2016-11-28 10:01:15 +0100 MartinHaimberger (e60d0d5) 

	* Merge pull request #3629 from nfedera/fix-wlog-format-and-arguments

2016-11-25 12:40:11 +0100 Norbert Federa (c6e6b44) 

	* countless WLog/printf format specifier fixes

2016-11-25 13:44:23 +0100 akallabeth (215fbe8) 

	* Merge pull request #3613 from mfleisz/rlgr_api_revamp

2016-11-25 13:41:07 +0100 Martin Fleisz (9e474b4) 

	* Merge pull request #3623 from akallabeth/mouse_wheel_event_check

2016-11-25 12:06:52 +0100 Bernhard Miklautz (90c02ad) 

	* Merge pull request #3625 from mfleisz/hash_comp_fix

2016-11-25 11:50:28 +0100 Martin Fleisz (971c853) 

	* winpr: Fix compile error after #3615

2016-11-25 11:49:16 +0100 Bernhard Miklautz (e0382e0) 

	* Merge pull request #3614 from mfleisz/warning_fixes

2016-11-25 11:12:10 +0100 akallabeth (3e6c54f) 

	* Merge pull request #3624 from mfleisz/comp_fix

2016-11-25 11:07:58 +0100 akallabeth (f234879) 

	* Merge pull request #3615 from nfedera/openssl_1.1.0

2016-11-25 10:47:00 +0100 Martin Fleisz (cf4b8a1) 

	* primitives: Fix compiler error

2016-11-25 10:39:20 +0100 Norbert Federa (b2ad980) 

	* disable ERR_remove_thread_state if not required

2016-11-25 10:38:56 +0100 Martin Fleisz (506aa78) 

	* Merge pull request #3619 from akallabeth/image_copy_ignore_alpha

2016-11-25 10:21:26 +0100 Martin Fleisz (b16df59) 

	* Merge pull request #3618 from akallabeth/x11_scanline_full_fix

2016-11-24 14:53:19 +0100 Norbert Federa (53bd988) 

	* winpr/crypt api changes and memory leak fixes

2016-11-21 17:28:54 +0100 Norbert Federa (7befab8) 

	* Support for OpenSSL 1.1.0

2016-11-24 15:45:23 +0100 Martin Fleisz (2a6dbab) 

	* Merge pull request #3591 from
          akallabeth/android_load_library_workaround

2016-11-10 10:18:55 +0100 Armin Novak (3f6bd60) 

	* Fixed addin loader, prefer system library paths.

2016-11-24 13:18:41 +0100 Armin Novak (a0fed88) 

	* Check hwheel capability before sending mouse event.

2016-11-24 12:59:30 +0100 Martin Fleisz (0febd9c) 

	* Merge pull request #3563 from akallabeth/android_update

2016-11-24 12:09:35 +0100 Bernhard Miklautz (fa230ce) 

	* Merge pull request #3621 from akallabeth/optimized_tests

2016-11-24 11:58:01 +0100 Bernhard Miklautz (3550d0c) 

	* Merge pull request #3620 from mfleisz/wtsapi_fix

2016-11-24 10:50:16 +0100 Armin Novak (9818ed3) 

	* Reduced number of test runs. Fixes 3617.

2016-11-24 10:37:21 +0100 Armin Novak (b9072bf) 

	* Added optimized write functions.

2016-11-24 10:36:57 +0100 Armin Novak (4cc2918) 

	* Added optimized write functions.

2016-11-24 10:35:36 +0100 Martin Fleisz (d30a138) 

	* wtsapi: Fix issue with setting custom API table

2016-11-24 10:01:45 +0100 Armin Novak (d1e2dd3) 

	* Moved format size calculation out of loop.

2016-11-24 09:42:30 +0100 akallabeth (aaae190) 

	* Merge pull request #3610 from FreeRDP/mh-channels-new-api

2016-11-24 09:27:19 +0100 Armin Novak (1c4c578) 

	* Ignore alpha channel in freerdp_image_copy

2016-11-24 09:02:06 +0100 Armin Novak (3c25ffb) 

	* Unified scanline padding function.

2016-11-23 17:57:47 +0100 Norbert Federa (812def3) 

	* Merge pull request #3612 from akallabeth/align_fix

2016-11-23 17:11:05 +0100 Martin Fleisz (4f1e3d0) 

	* codec: Fix some warnings on VC2010 (and probably others too)

2016-11-23 15:47:32 +0100 Martin Fleisz (faefe54) 

	* Merge pull request #3603 from realjiangms/fix_shadow_resize

2016-11-23 14:22:42 +0100 Martin Fleisz (c112111) 

	* codec: Use context functions for rfx decoding

2016-11-23 04:22:03 -0800 Martin Haimberger (778767c) 

	* fixed error

2016-11-23 13:21:59 +0100 Martin Fleisz (6c9df44) 

	* codec: Revamp of rfx rlgr API This PR contains following changes: -
          Give rlgr encode/decode APIs a similar interface - Make
          rlgr encode API accessible again - Make it possible to
          exchange rlgr functions - Make use of RLGR1/3 defines
          instead of 0/1 in decoding

2016-11-23 04:17:56 -0800 Martin Haimberger (7fe28a8) 

	* virtualChannel: removed static variable usage from

2016-11-23 12:54:20 +0100 Armin Novak (61a1c8c) 

	* Fixed broken scanline alignment.

2016-11-22 05:47:20 -0800 Martin Haimberger (d29848f) 

	* rdpsnd: using new VirtualChannelEx api

2016-11-22 03:33:41 -0800 Martin Haimberger (088a04f) 

	* rdpdr: using new VirtualChannelEx api

2016-11-22 03:27:05 -0800 Martin Haimberger (41b1790) 

	* remdesk: Using new VirtualChannelEx api

2016-11-22 03:18:38 -0800 Martin Haimberger (5c4fb88) 

	* rail: using new VirtualChannelEx api

2016-11-22 03:08:33 -0800 Martin Haimberger (2273a15) 

	* encomsp: using new VirtualChannelEx api

2016-11-22 14:00:08 +0100 Martin Fleisz (3f39dc4) 

	* Merge pull request #3608 from mfleisz/msvc10_fixes

2016-11-22 12:12:08 +0100 Martin Fleisz (e45c300) 

	* codec: Fix compilation with VS2010

2016-11-22 02:33:23 -0800 Martin Haimberger (3daf4f6) 

	* cliprdr: using new VirtualChannelEx api

2016-11-18 12:46:14 +0100 Martin Fleisz (06d4753) 

	* Merge pull request #3594 from akallabeth/line_draw_color_format

2016-11-17 15:41:17 +0100 Martin Fleisz (f8bcd70) 

	* Merge pull request #3581 from akallabeth/alignment_fix

2016-11-17 14:36:02 +0800 zihao.jiang (e3506bf) 

	* X11/client: call gdi resize on hw desktop resize. The gdi primary
          buffer is used in client/X11/xf_gdi.c, it should be big
          enough to hold the full screen update

2016-11-16 19:27:55 +0100 akallabeth (1571669) 

	* Merge pull request #3593 from ccpp/gateway-http-bugfix

2016-11-16 11:37:14 -0500 Marc-André Moreau (128ce8a) 

	* Merge pull request #3597 from awakecoding/tls_channel_fix

2016-11-16 09:52:24 -0500 Marc-André Moreau (36db0cc) 

	* channels: properly handle VirtualChannelEntryEx in static virtual
          channel loading

2016-11-15 12:37:50 -0500 Marc-André Moreau (f74380b) 

	* channels/drdynvc: fix channel entry point name

2016-11-15 11:41:01 -0500 Marc-André Moreau (dee7661) 

	* channels: remove thread-local storage usage

2016-11-15 10:58:38 -0500 Marc-André Moreau (2cce8e9) 

	* channels: migrate drdynvc to extended virtual channel API

2016-11-15 09:09:30 -0500 Marc-André Moreau (2259e91) 

	* channels: prepare virtual channel system for extended virtual
          channel API

2016-11-14 16:44:45 -0500 Marc-André Moreau (23eae31) 

	* channels: start working on extended virtual channel API

2016-11-14 15:23:05 -0500 Marc-André Moreau (70c4646) 

	* channels: restore global tables for initHandle, openHandle mappings
          instead of thread local storage

2016-11-14 09:36:16 +0100 Armin Novak (1203315) 

	* Fixed line drawing color format #3592

2016-11-13 03:26:01 +0100 Christian Plattner (b6e97cb) 

	* Bugfix in RDP Gateway HTTP: read/skip full HTTP body for non-RPC
          responses

2016-11-10 08:56:34 +0100 akallabeth (f910bbe) 

	* Merge pull request #3572 from rjcorrig/maclogin

2016-11-03 22:50:08 +0100 David Fort (ea24c1f) 

	* Merge pull request #3578 from
          realjiangms/fix_server_for_limit_frames

2016-11-03 15:57:35 +0100 Bernhard Miklautz (2ceab37) 

	* Merge pull request #3584 from awakecoding/master

2016-11-03 10:12:48 -0400 Marc-André Moreau (e8004d5) 

	* drdynvc: ignore some messages sent for invalid channel ids with MMR
          and Windows Server 2012 R2, fix issue #3422

2016-11-02 17:58:47 +0100 Martin Fleisz (50c5b40) 

	* Merge pull request #3577 from
          akallabeth/error_message_channel_thread

2016-10-31 07:56:10 +0100 Armin Novak (95a3144) 

	* Scanline alignment for GFX cache.

2016-10-29 13:18:17 +0800 zihao.jiang (7676b29) 

	* cleanup unnecessary code per comments

2016-10-29 00:28:10 +0800 zihao.jiang (b58ee58) 

	* keeping the old callback and adding the new one at the end of the
          struct, so that it can be potentially binary compatible.

2016-10-27 22:59:16 +0200 Armin Novak (f62d004) 

	* Fixed surface alignment.

2016-10-27 23:43:09 +0800 zihao.jiang (ddc326d) 

	* Fix server side code to be aware of rereadEvent

2016-10-27 14:41:05 +0200 Armin Novak (5bc691c) 

	* Improved error handling if channel is missing.

2016-10-27 14:36:48 +0200 Armin Novak (6276f3d) 

	* Added log messages for invalid function call.

2016-10-21 09:29:51 +0200 David Fort (043243f) 

	* Merge pull request #3560 from akallabeth/gfx_10_2

2016-10-20 11:22:08 -0400 Robert Corrigan (405e7eb) 

	* Code style fixes

2016-10-20 12:53:23 +0200 akallabeth (a6f4117) 

	* Merge pull request #3364 from hardening/limit_frames

2016-10-20 09:59:54 +0200 Armin Novak (97cbc42) 

	* Added reference to capability specifications

2016-10-14 18:24:14 -0400 Robert Corrigan (91e6255) 

	* Run password dialog as a modal sheet and set window title to
          server:port

2016-10-19 15:45:17 +0200 Martin Fleisz (f5a6645) 

	* Merge pull request #3571 from akallabeth/clang_fixes

2016-10-19 13:31:54 +0200 Martin Fleisz (f2abcaa) 

	* Merge pull request #3554 from akallabeth/color_refactor

2016-10-19 12:41:43 +0200 Armin Novak (e9b5b55) 

	* directly using FREERDP_PIXEL_FORMAT.

2016-10-19 11:10:35 +0200 Armin Novak (5211bc0) 

	* Fixed NULL dereferences.

2016-10-19 11:06:47 +0200 Armin Novak (4ceda8a) 

	* Fixed uninitialized return.

2016-10-19 11:06:25 +0200 Armin Novak (5c446dd) 

	* Fixed missing NULL checks.

2016-10-19 11:05:12 +0200 Armin Novak (ab733d7) 

	* Fixed NULL pointer dereferences.

2016-10-19 10:26:01 +0200 Martin Fleisz (92befb0) 

	* Merge pull request #3570 from rjcorrig/tz201610

2016-10-18 15:28:44 -0400 Robert Corrigan (2973b9c) 

	* Updates time zone data to October 2016

2016-10-18 17:06:41 +0200 Martin Fleisz (5f90656) 

	* Merge pull request #3568 from hardening/wayland_fixes

2016-10-18 15:45:15 +0200 Martin Fleisz (fc3bda8) 

	* Merge pull request #3569 from akallabeth/gdi_resize_fix

2016-10-18 15:16:58 +0200 Armin Novak (30b5b01) 

	* Fixed invalid arguments for gdi_resize_ex

2016-10-17 18:56:52 +0200 David Fort (02b4b5b) 

	* Added a command line parameter to set the time passed in packet
          loop

2016-10-17 11:27:10 +0200 David Fort (237451d) 

	* Implement callbacks for version 5 of wl_pointer

2016-10-17 15:34:17 +0200 David Fort (20344f2) 

	* Merge pull request #3567 from mfleisz/file_mode_fix

2016-10-17 14:49:26 +0200 Martin Fleisz (e8fbdf5) 

	* crypto: Remove unneeded update (+) flag from file open mode

2016-10-17 10:24:30 +0200 Armin Novak (43755c2) 

	* Android: fixed visibility, reformatted

2016-10-17 10:21:05 +0200 Armin Novak (6ca5a13) 

	* Android: fixed warnings, reformatted.

2016-10-17 09:05:54 +0200 Armin Novak (4dfdf83) 

	* Updated symbol visibility of GFX channel.

2016-10-16 15:08:47 +0200 Armin Novak (b6907aa) 

	* Deactivated unsupported operations.

2016-10-16 10:28:06 +0200 Armin Novak (39b624a) 

	* GFX: support 10.2 stack.

2016-10-13 22:02:25 +0200 David Fort (f92860d) 

	* Applied astyle formatting

2016-10-13 22:01:53 +0200 David Fort (9a25538) 

	* Updated the astyle formatting

2016-10-09 22:36:04 +0200 David Fort (60cffef) 

	* Release the reread event on transport_free

2016-10-08 22:37:31 +0200 David Fort (fd7ebdc) 

	* Took in account comment remarks

2016-07-06 18:31:22 +0200 David Fort (03abf19) 

	* test-connect: use a random port instead of always 3389

2016-07-06 18:30:12 +0200 David Fort (5b08035) 

	* sample-server: add a "local only" option to just listen on an UNIX
          socket

2016-05-03 17:24:07 +0200 David Fort (71fd5cc) 

	* Limit the time passed in transport check loop

2016-10-14 12:50:04 +0200 Armin Novak (8ef1808) 

	* Adjusted non X11 implementations.

2016-10-14 10:01:02 +0200 Armin Novak (9c50e1a) 

	* Replaced _VF formats with copy flags.

2016-10-14 10:12:27 +0200 akallabeth (9adc132) 

	* Merge pull request #3497 from realjiangms/fix_gfx_win10

2016-10-14 10:10:45 +0200 Bernhard Miklautz (da56839) 

	* Merge pull request #3544 from akallabeth/multi_warn_fixes

2016-10-12 11:24:29 +0200 Bernhard Miklautz (d7582b1) 

	* Adapt makefile specific file paths

2016-10-11 11:21:13 +0200 Armin Novak (8fbc885) 

	* Removed unused variable.

2016-10-11 11:20:54 +0200 Armin Novak (d1a28c5) 

	* Fixed uninitialized variable.

2016-10-11 11:20:26 +0200 Armin Novak (99ade05) 

	* Fixed uninitialized variable.

2016-10-11 11:17:22 +0200 Armin Novak (ae56897) 

	* Fixed uninitialized variables.

2016-10-11 11:14:49 +0200 Armin Novak (85e17ad) 

	* Fixed uninitialized arguments, WLog tag.

2016-10-11 11:13:54 +0200 Armin Novak (12aae50) 

	* Properly escaping __FILE__ replacement.

2016-10-13 13:01:53 +0200 Bernhard Miklautz (5a5f091) 

	* Merge pull request #3545 from akallabeth/legacy_rfx_fixes

2016-10-13 10:28:57 +0200 Bernhard Miklautz (de44204) 

	* Merge pull request #3537 from akallabeth/gdi_speedup

2016-10-11 16:13:19 +0200 Armin Novak (79e8a6d) 

	* Reverted NSC format, decoded data is always BGRA!

2016-10-12 17:35:10 +0200 Martin Fleisz (75b5571) 

	* Merge pull request #3547 from
          realjiangms/fix_after_color_conversion_nsc_server

2016-10-12 09:32:59 +0200 Armin Novak (714e704) 

	* Color format for surface bits unified.

2016-10-12 09:32:05 +0200 Armin Novak (25c7372) 

	* Fixed offset and stride for X11 surface bits.

2016-10-12 09:21:21 +0200 Armin Novak (985ca17) 

	* Respecting tile offsets.

2016-10-11 18:44:50 +0200 Armin Novak (8286fa4) 

	* Fixed format flip and offsets for GDI.

2016-10-11 23:31:12 +0800 zihao.jiang (5e1f745) 

	* Fix nsc server side after color conversion. We use new color format
          system and PIXEL_FORMAT_BGRX32 is the unified buffer color
          format. Add support for PIXEL_FORMAT_BGRX32 in nsc

2016-10-11 15:47:32 +0200 Bernhard Miklautz (bd1ec5f) 

	* Merge pull request #3538 from akallabeth/mac_server_fix

2016-10-11 13:10:54 +0200 Armin Novak (c3058ba) 

	* Optimized ROP for GDI_SRCCOPY and GDI_DSTCOPY.

2016-10-11 12:14:52 +0200 Armin Novak (c2787d7) 

	* Optimized gdi_FillRect

2016-10-10 11:25:47 +0200 Armin Novak (c405e15) 

	* Inlined heavily used function.

2016-10-10 11:09:06 +0200 Armin Novak (94c6473) 

	* Inlined heavily used functions.

2016-10-11 14:34:07 +0200 Armin Novak (404ae7d) 

	* Fixed Windows 7 RFX issues.

2016-10-11 13:15:13 +0200 akallabeth (1d03fd3) 

	* Merge pull request #3470 from untoldone/master

2016-10-11 09:44:53 +0200 Bernhard Miklautz (4085d45) 

	* Merge pull request #3531 from rjcorrig/macdialogfix

2016-10-11 09:29:49 +0200 Martin Fleisz (9afc0cc) 

	* Merge pull request #3536 from akallabeth/memory_leak_fixes

2016-10-11 09:25:43 +0200 akallabeth (1b783fd) 

	* Merge pull request #3540 from
          realjiangms/fix_after_color_conversion_gfx_h264

2016-10-11 09:25:19 +0200 akallabeth (1ea2481) 

	* Merge pull request #3541 from
          realjiangms/fix_after_color_conversion_nsc

2016-09-09 15:31:21 +0800 zihao.jiang (3fb92ae) 

	* server/shadow: Fix black screen with win10 Request full screen
          update on RDPGFX_CAPS_ADVERTISE_PDU. Win10 client seems to
          clean the screen after gfx channel opened. If there
          happens to be no screen update from server, we will get
          black screen in mstsc client.

2016-10-11 01:39:08 +0800 zihao.jiang (34b4bca) 

	* Fix nsc client after after color conversion huge fix nsc codec
          client doesn't work: 1. We should mark invalid region for
          software gdi 2. Checked the code before color conversion
          fix, the correct color format should be
          PIXEL_FORMAT_BGRX32_VF (corresponds to old
          PIXEL_FORMAT_XRGB32_VF) 3. For gdi:hw: xfc->bitmap_buffer
          is never used/initialized. However gdi->primary_buffer is
          always maintained. So use primary_buffer to hold the
          decoded bitmap data

2016-10-11 00:23:48 +0800 zihao.jiang (ac08f6a) 

	* Regression fix: The usage of RDPGFX_SURFACE_COMMAND::format is
          changed after color conversion huge fix. Fix server side
          rdpgfx code to match the change.

2016-10-10 16:04:09 +0200 Bernhard Miklautz (aa67398) 

	* Merge pull request #3533 from akallabeth/glyph_cache_disable

2016-10-10 13:34:57 +0200 Armin Novak (c6ae62f) 

	* Fixed memory leak in certificate check.

2016-10-10 12:23:57 +0200 Martin Fleisz (38f9d0f) 

	* Merge pull request #3529 from akallabeth/warning_fixes

2016-10-10 12:10:29 +0200 Armin Novak (cf2ec62) 

	* Reformatted file.

2016-10-10 12:07:27 +0200 Armin Novak (bc39f28) 

	* Fixed regression from rebase.

2016-10-10 11:33:31 +0200 Armin Novak (fa71427) 

	* Removed unused function.

2016-10-10 11:31:57 +0200 Martin Fleisz (06a04a0) 

	* Merge pull request #3534 from akallabeth/x11_pointer_color

2016-10-10 11:28:45 +0200 Martin Fleisz (071b79a) 

	* Merge pull request #3535 from akallabeth/leak_check

2016-10-10 10:38:54 +0200 Armin Novak (eecc4b1) 

	* Fixed leak in bitmap handling.

2016-10-10 10:26:54 +0200 Armin Novak (bc69730) 

	* Fixed memory leak in pointer free.

2016-10-10 09:29:09 +0200 Armin Novak (930045e) 

	* Added leak detector option, made conflicting options exclusive.

2016-10-10 09:19:43 +0200 Armin Novak (249bb12) 

	* Fixed pointer color mapping.

2016-10-10 09:07:28 +0200 Armin Novak (8f75516) 

	* Deactivated glyph cache.

2016-10-10 09:06:05 +0200 Armin Novak (afc4408) 

	* Reformatted file.

2016-10-08 01:39:07 -0400 Robert Corrigan (ecf9eed) 

	* Runs Mac password dialog on main UI thread

2016-10-07 14:11:04 +0200 Armin Novak (7709542) 

	* Using C99 compatible variadic macros.

2016-10-07 14:09:42 +0200 Armin Novak (6fdc872) 

	* Fixed comma at end of enum

2016-10-07 14:08:54 +0200 Armin Novak (1122627) 

	* Fixed function argument and variable types.

2016-10-07 14:08:33 +0200 Armin Novak (fb1dcf2) 

	* Fixed invalid const type.

2016-10-07 14:07:51 +0200 Armin Novak (edacd7c) 

	* Thread using proper function pointer type.

2016-10-07 14:06:46 +0200 Armin Novak (14fcfbb) 

	* Addin loader using proper function pointer defines.

2016-10-07 14:04:40 +0200 Armin Novak (943e295) 

	* WLog using C99 compatible variadic macros.

2016-10-06 16:18:19 +0200 Martin Fleisz (267dea9) 

	* Merge pull request #3524 from bmiklautz/cleanup_3381

2016-10-06 15:40:11 +0200 Bernhard Miklautz (e54c504) 

	* winpr/wait: add missing parameters

2016-10-06 14:56:26 +0200 Martin Fleisz (38c88d4) 

	* Merge pull request #3500 from akallabeth/color_conversion_fix_v6

2016-10-06 13:41:52 +0200 Armin Novak (649d270) 

	* Fixed GDI_RGN->null initialization.

2016-10-06 13:31:25 +0200 Armin Novak (8f1adf6) 

	* Refactored ClipboardSetData.

2016-10-06 13:06:20 +0200 Armin Novak (2db0473) 

	* Fixed memory leak.

2016-10-06 13:04:06 +0200 Armin Novak (9d0f753) 

	* Fixed use after free.

2016-10-06 11:05:31 +0200 Armin Novak (cba6766) 

	* Added documentation, removed unused function.

2016-10-06 10:21:00 +0200 Armin Novak (0e2b518) 

	* Added color format documentation.

2016-10-04 17:07:49 +0200 Armin Novak (376dc21) 

	* Fixed uninitialized value.

2016-10-04 16:54:11 +0200 Armin Novak (9a1c608) 

	* Unified RFX server color format.

2016-10-04 16:04:20 +0200 Bernhard Miklautz (ddced3f) 

	* Fix compiler warnings

2016-10-04 15:12:11 +0200 Bernhard Miklautz (143b875) 

	* wtsvc: add missing DRDYNVC_STATE_FAILED

2016-10-04 14:14:39 +0200 Armin Novak (97e8f9e) 

	* Fixed broken return check.

2016-10-04 14:14:01 +0200 Armin Novak (70f3d43) 

	* Removed broken return check.

2016-10-04 14:12:51 +0200 Armin Novak (4fa2bd2) 

	* Fixed memory leak and argument checks.

2016-10-04 10:31:04 +0200 Armin Novak (b03e471) 

	* Fixed NULL pointer checks.

2016-10-04 10:06:27 +0200 Armin Novak (ded84b1) 

	* Fixed error message.

2016-10-04 10:05:27 +0200 Armin Novak (b0b6dce) 

	* Fixed NULL pointer checks.

2016-10-04 09:57:52 +0200 Armin Novak (2cf5f1b) 

	* Fixed missing NULL pointer checks.

2016-10-04 09:00:01 +0200 Armin Novak (0c81f4a) 

	* Reformatted file.

2016-10-04 09:00:01 +0200 Armin Novak (b372d63) 

	* Reformatted file.

2016-10-04 09:00:01 +0200 Armin Novak (86d414b) 

	* Reformatted file.

2016-10-04 09:00:01 +0200 Armin Novak (8e12f0f) 

	* Reformatted file.

2016-10-04 09:00:01 +0200 Armin Novak (1a22cb3) 

	* Reformatted file.

2016-10-04 09:00:01 +0200 Armin Novak (9a34e43) 

	* Reformatted file.

2016-10-04 09:00:01 +0200 Armin Novak (032b59f) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (994fed8) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (d8751a3) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (ec26629) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (5ba9f82) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (3b9c74e) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (dec268d) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (ab231f8) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (569c6a5) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (a4014b4) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (14ed774) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (226ee43) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (6cd2a43) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (377b955) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (b1c5461) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (4d179fd) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (b0b3273) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (1b6cf57) 

	* Reformatted file.

2016-10-04 09:00:00 +0200 Armin Novak (07010e6) 

	* Reformatted file.

2016-10-04 08:54:42 +0200 Armin Novak (dd676c7) 

	* Fixed missing NULL checks.

2016-10-03 13:18:21 +0200 Armin Novak (5a2c249) 

	* Disabled glyph-cache

2016-09-26 12:12:37 +0200 Armin Novak (9f5da48) 

	* Reformatted files touched in last 2 commits.

2016-09-26 12:12:14 +0200 Armin Novak (64590e7) 

	* Set pEntryPointsEx->ppInterface NULL on error.

2016-09-26 12:02:33 +0200 Armin Novak (88a3b8d) 

	* Initializing channel context in each thread.

2016-09-20 09:50:44 +0200 Armin Novak (d55690d) 

	* Fixed RFX encoding.

2016-09-20 09:25:13 +0200 Armin Novak (9ab0471) 

	* Fixed shadow server color encoding.

2016-09-20 08:58:04 +0200 Armin Novak (f5fff76) 

	* Made some functions static.

2016-09-13 13:42:42 +0200 Armin Novak (3220b15) 

	* Added missing event handle.

2016-09-13 09:53:16 +0200 Armin Novak (f2d7766) 

	* Moved common async input handling to core library.

2016-09-06 14:20:07 +0200 Armin Novak (b8b8447) 

	* Fixed post disconnect hook.

2016-09-09 08:58:26 +0200 Armin Novak (4e11883) 

	* Fixed X11 cursor decoding.

2016-08-29 09:40:53 +0200 Armin Novak (83c6a79) 

	* Removed broken X11 command.

2016-08-25 09:47:50 +0200 Armin Novak (f2bb83e) 

	* Fixed rebase related issues.

2016-08-18 11:54:29 +0200 Armin Novak (296bc02) 

	* Fixed ellipse test.

2016-08-18 10:03:28 +0200 Armin Novak (399c318) 

	* Fixed test loop.

2016-08-18 10:01:12 +0200 Armin Novak (196386f) 

	* Android client support script fixes.

2016-08-17 09:26:59 +0200 Armin Novak (161685b) 

	* Fixed some more glyph chache bugs.

2016-08-17 09:01:27 +0200 Armin Novak (dbab3dd) 

	* Fixed tests and not intialized values.

2016-08-16 14:30:18 +0200 Armin Novak (0c57065) 

	* GlyphCache: Erasing destination if not redundant.

2016-08-16 11:27:27 +0200 Armin Novak (b7f3235) 

	* Fixed pattern checks.

2016-08-11 09:36:06 +0200 Armin Novak (823b1ec) 

	* Added proper brush support to fill rect.

2016-08-11 13:40:22 +0200 Armin Novak (9471f82) 

	* Fixed missing include preventing symbol export.

2016-08-10 18:11:36 +0200 Armin Novak (ad4f6d8) 

	* Fixed MacOS includes.

2016-08-10 18:05:00 +0200 Armin Novak (739d45e) 

	* Fixed includes for iOS

2016-08-10 17:57:21 +0200 Armin Novak (e23a7e2) 

	* Removed obsolete code.

2016-08-10 17:01:54 +0200 Armin Novak (c242467) 

	* Fixed some X11 functions.

2016-08-10 14:53:03 +0200 Armin Novak (50c509e) 

	* Fixed barrier test.

2016-08-10 14:45:55 +0200 Armin Novak (b320e3c) 

	* windows fixes.

2016-08-10 13:44:55 +0200 Armin Novak (416801a) 

	* Fixed warning.

2016-08-10 13:33:34 +0200 Armin Novak (22ddec8) 

	* Moved pre and post channel hooks.

2016-08-10 13:12:54 +0200 Armin Novak (2e76529) 

	* Updated Order support.

2016-08-10 12:49:36 +0200 Armin Novak (4b3d3cd) 

	* Warning fixes.

2016-08-10 12:49:36 +0200 Armin Novak (44b8756) 

	* Warning fixes.

2016-08-10 12:42:57 +0200 Armin Novak (a3fd9bf) 

	* Fixed warnings.

2016-08-10 12:39:26 +0200 Armin Novak (1454400) 

	* Fixed windows defines for *LIST*

2016-08-10 11:06:34 +0200 Armin Novak (9c64e77) 

	* Disabled thread local storage on iOS.

2016-08-10 11:03:13 +0200 Armin Novak (35bf9e6) 

	* Fixed missing mac server symbols.

2016-08-10 10:50:10 +0200 Armin Novak (14dc629) 

	* Fixed expressions.

2016-08-10 10:46:01 +0200 Armin Novak (4f62d84) 

	* Refactored interlocked typedefs, avoid namespace collisions.

2016-08-10 10:29:59 +0200 Armin Novak (64c5d78) 

	* Fixed clang warnings.

2016-08-10 10:29:02 +0200 Armin Novak (ada4abc) 

	* Using add_definitions for symbols now.

2016-08-10 09:37:34 +0200 Armin Novak (0c55180) 

	* Fixed gdi_init for windows server.

2016-08-10 09:12:55 +0200 Armin Novak (c7448c0) 

	* Added FREERDP_LOCAL

2016-08-09 22:51:58 +0200 Armin Novak (6d6b991) 

	* Fixed BitBlt function for overlapping areas.

2016-08-09 22:37:32 +0200 Armin Novak (5554d80) 

	* Code cleanup.

2016-08-09 22:37:02 +0200 Armin Novak (122f25e) 

	* Fixed channel cleanup.

2016-08-09 16:48:02 +0200 Armin Novak (d35823c) 

	* Moved channel init code to core library.

2016-08-09 12:04:06 +0200 Armin Novak (dadc526) 

	* Removed static channel variables.

2016-08-08 15:15:55 +0200 Armin Novak (2e40c9c) 

	* Windows GDI color decoding.

2016-08-08 09:29:36 +0200 Armin Novak (f16ffae) 

	* Fixed glyph cache issues.

2016-08-06 15:37:50 +0200 Armin Novak (0d56de5) 

	* Glyph offset fix.

2016-08-05 19:38:46 +0200 Armin Novak (b765374) 

	* Refactored BitBlt, implementing everything now.

2016-08-05 14:10:53 +0200 Armin Novak (f17f147) 

	* Fixed font drawing.

2016-08-05 13:14:55 +0200 Armin Novak (f086410) 

	* Updated iOS client.

2016-08-05 12:05:08 +0200 Armin Novak (081b579) 

	* Added ios home and temp dir support.

2016-08-04 16:58:07 +0200 Armin Novak (dd9354d) 

	* Added argument checks.

2016-08-04 16:57:27 +0200 Armin Novak (9fcfc38) 

	* Fixed planar decoding.

2016-08-04 16:28:38 +0200 Armin Novak (0acfc64) 

	* Fixed log message.

2016-08-04 16:14:12 +0200 Armin Novak (844f7b7) 

	* Made logging less verbose.

2016-08-04 16:13:37 +0200 Armin Novak (0f9ab81) 

	* Fixed command line setting.

2016-08-04 14:50:53 +0200 Armin Novak (b888059) 

	* Fixed color conversion issues.

2016-08-04 14:37:19 +0200 Armin Novak (c8d4438) 

	* Fixed android settings.

2016-08-04 13:25:52 +0200 Armin Novak (c3e6240) 

	* Fixed android client.

2016-08-04 13:25:12 +0200 Armin Novak (4027a1d) 

	* Added error checks.

2016-08-04 13:24:53 +0200 Armin Novak (04846ca) 

	* Added missing API export.

2016-08-04 13:24:35 +0200 Armin Novak (a978ccc) 

	* Added argument checks.

2016-08-04 13:24:11 +0200 Armin Novak (ab4725d) 

	* Fixed error message parameter.

2016-08-04 13:23:50 +0200 Armin Novak (fb36121) 

	* Added signal handler for android.

2016-08-04 09:16:54 +0200 Armin Novak (fddf710) 

	* Fixed OpenSSL build headers.

2016-08-04 09:02:40 +0200 Armin Novak (7b5d0d5) 

	* Updated build script error checking.

2016-08-03 21:22:06 +0200 Armin Novak (3b21209) 

	* Fixed xfreerdp GDI color order.

2016-08-03 18:44:38 +0200 Armin Novak (8898980) 

	* Removed obsolete generation script.

2016-08-03 18:44:26 +0200 Armin Novak (346515a) 

	* Wayland client overhaul.

2016-08-03 18:44:15 +0200 Armin Novak (543631d) 

	* Added better argument checks.

2016-08-03 18:42:49 +0200 Armin Novak (3820c91) 

	* Added wayland OS minor version.

2016-08-03 15:29:24 +0200 Armin Novak (376f6a4) 

	* Fixed OS X client.

2016-08-03 15:29:12 +0200 Armin Novak (896f500) 

	* Fixed h264 dummy init.

2016-08-03 14:22:55 +0200 Armin Novak (90cd2a8) 

	* Fixed color pointer.

2016-08-03 14:16:20 +0200 Armin Novak (c8a7065) 

	* Refactored xfContext.

2016-08-03 12:37:40 +0200 Armin Novak (fbdb00a) 

	* Simplified windows context.

2016-08-03 12:09:24 +0200 Armin Novak (71a7306) 

	* Reformatted client code.

2016-08-03 11:31:42 +0200 Armin Novak (bc5aa1b) 

	* Added more GDI orders.

2016-08-03 10:54:50 +0200 Armin Novak (9af71b9) 

	* Fixed color conversion from order.

2016-08-03 09:55:19 +0200 Armin Novak (a76b0df) 

	* Fixed reading of colors from order.

2016-08-02 17:11:27 +0200 Armin Novak (60ac638) 

	* 32bpp cursor fix.

2016-08-02 15:21:28 +0200 Armin Novak (c00fc57) 

	* Cursor color decoding fixes.

2016-08-02 14:16:49 +0200 Armin Novak (984bec7) 

	* Simplified gdi_patblt

2016-08-02 11:46:11 +0200 Armin Novak (00890c2) 

	* Exporting all symbols from DLL for test builds on windows.

2016-08-02 11:39:25 +0200 Armin Novak (0b6c7a3) 

	* Fixed windows color cursor.

2016-08-02 11:20:57 +0200 Armin Novak (d1a3362) 

	* Fixed windows software GDI issues.

2016-08-02 10:23:04 +0200 Armin Novak (66cf000) 

	* Fixed broken test.

2016-08-02 10:03:18 +0200 Armin Novak (e3b43b9) 

	* Fixed some bitblt issues.

2016-08-02 09:30:50 +0200 Armin Novak (5fa9344) 

	* Deactivated broken tests.

2016-08-02 08:43:26 +0200 Armin Novak (9034867) 

	* Added brush helper function to retrieve style.

2016-08-01 18:14:17 +0200 Armin Novak (cd65c49) 

	* Fixed mac compile errors.

2016-08-01 17:31:59 +0200 Armin Novak (b505220) 

	* Fixed Get/SetPixel function tests.

2016-08-01 17:08:35 +0200 Armin Novak (f3d9e8d) 

	* Fixed (some) planar codec tests.

2016-08-01 16:37:26 +0200 Armin Novak (e4d8906) 

	* Fixed splitting of color planes.

2016-08-01 16:36:32 +0200 Armin Novak (c7f8d00) 

	* Fixed RGBX32 format split color mixup.

2016-08-01 13:13:04 +0200 Armin Novak (d3538fc) 

	* Fixed gdi LineTo and tests.

2016-08-01 10:15:21 +0200 Armin Novak (ebfe4fb) 

	* Fixed compile issues.

2016-08-01 09:41:41 +0200 Armin Novak (88be64f) 

	* Fixed apple file times.

2016-07-21 16:51:42 +0200 Armin Novak (35f1347) 

	* Fixed warnings and mac build.

2016-07-21 16:10:41 +0200 Armin Novak (aad0a5c) 

	* Updated mac build script.

2016-07-21 15:36:15 +0200 Armin Novak (7818ca1) 

	* Fixed windows compile.

2016-07-21 15:36:01 +0200 Armin Novak (d0f09c8) 

	* Fixed warnings and stride default.

2016-07-21 13:00:57 +0200 Armin Novak (7dbeeb2) 

	* Fixed hardware GDI.

2016-07-21 12:53:44 +0200 Armin Novak (a372009) 

	* Internal functions static.

2016-07-21 12:42:23 +0200 Armin Novak (a06ceb6) 

	* Fixed duplicate setting of callback.

2016-07-21 12:41:55 +0200 Armin Novak (0e1b385) 

	* Internal functions static.

2016-07-21 11:57:51 +0200 Armin Novak (9d82c47) 

	* Removed duplicate code.

2016-07-21 10:07:42 +0200 Armin Novak (8675280) 

	* Simplified bitmap drawing.

2016-07-21 09:24:09 +0200 Armin Novak (ec0d68b) 

	* Fixed bitmap update decoding.

2016-07-20 16:50:20 +0200 Armin Novak (c22d16b) 

	* Reverted bitmap update changes.

2016-07-20 16:03:08 +0200 Armin Novak (3898b56) 

	* Fixed drawing orders.

2016-07-20 15:58:05 +0200 Armin Novak (e3f88ad) 

	* Fixed BitBlt_PSDPxax

2016-07-20 15:34:06 +0200 Armin Novak (032bdef) 

	* Unified bitmap drawing.

2016-07-20 11:40:30 +0200 Armin Novak (b8ff3cb) 

	* Fixed (a lot of) GDI drawing issues.

2016-07-20 10:31:07 +0200 Armin Novak (bb82d48) 

	* Fixed part of font cache issue.

2016-07-20 10:06:45 +0200 Armin Novak (3f90966) 

	* Bug fixes.

2016-07-19 16:15:38 +0200 Armin Novak (85bbe2a) 

	* API refactoring.

2016-07-19 13:18:30 +0200 Armin Novak (f680b62) 

	* Fixed PATINVERT.

2016-07-19 13:02:08 +0200 Armin Novak (e650fdb) 

	* Bugfixes.

2016-07-19 12:15:01 +0200 Armin Novak (b719178) 

	* Removed obsolete DEBUG_GDI

2016-07-18 17:45:30 +0200 Armin Novak (17fd552) 

	* Cleanups.

2016-07-18 16:15:52 +0200 Armin Novak (bc49c16) 

	* Removed obsolete options.

2016-07-18 14:42:55 +0200 Armin Novak (7a20ff5) 

	* Refactored bitmap API.

2016-07-18 14:30:26 +0200 Armin Novak (8b69b16) 

	* Refactored Glyph API.

2016-07-18 14:16:13 +0200 Armin Novak (9d5ca34) 

	* Fixed pointer initialisation for X11.

2016-07-18 12:36:22 +0200 Armin Novak (04fb4e4) 

	* Fixed rectangle clipping and warnings.

2016-07-18 12:33:42 +0200 Armin Novak (3c8d0bb) 

	* Added address sanitizer to options.

2016-07-18 11:16:36 +0200 Armin Novak (c229a19) 

	* Updated codec API, unified drawing order color decoding.

2016-07-18 11:11:59 +0200 Armin Novak (e32ed83) 

	* Updated interleaved and planar API.

2016-07-15 16:45:36 +0200 Armin Novak (bc8217e) 

	* Removed palette, using GDI one.

2016-07-15 16:45:26 +0200 Armin Novak (6525a56) 

	* Fixed 24bit color format.

2016-07-15 16:34:51 +0200 Armin Novak (39d6ad3) 

	* Fixed source format for bitmap decompress.

2016-07-15 16:23:00 +0200 Armin Novak (f9a89ae) 

	* Bug fixes, refactoring.

2016-07-15 16:22:09 +0200 Armin Novak (960bc26) 

	* Further refactored tests.

2016-07-15 15:51:08 +0200 Armin Novak (9f0a9c3) 

	* Refactored GDI.

2016-07-15 12:14:14 +0200 Armin Novak (c5b6e7e) 

	* Fixed GDI tests.

2016-07-14 17:55:53 +0200 Armin Novak (2594262) 

	* Fixed progressive decoding.

2016-07-14 17:39:39 +0200 Armin Novak (1608799) 

	* Cleaned up clear codec.

2016-07-14 16:08:06 +0200 Armin Novak (8fffda5) 

	* Fixed clearcodec and codecs reset.

2016-07-14 12:44:17 +0200 Armin Novak (dc12641) 

	* Fixed a windows 8.1 issue.

2016-07-14 12:42:24 +0200 Armin Novak (5e9c9f9) 

	* Code refactoring.

2016-07-13 17:33:23 +0200 Armin Novak (e6e8f2d) 

	* Added ROP to string function.

2016-07-13 16:06:59 +0200 Armin Novak (9fc8dc6) 

	* Removed gdi->codecs, unused.

2016-07-13 15:15:41 +0200 Armin Novak (076b92d) 

	* Fixed primitives misuse.

2016-07-13 14:58:11 +0200 Armin Novak (a6cef5c) 

	* Fixed GFX related issues.

2016-07-13 14:04:48 +0200 Armin Novak (99c4187) 

	* Updated primitives API and tests.

2016-07-13 13:13:28 +0200 Armin Novak (e860fde) 

	* Fixed function arguments.

2016-07-13 13:12:27 +0200 Armin Novak (7d01fe1) 

	* Fixed planar tests, deactivated them for clear

2016-07-11 11:52:56 +0200 Armin Novak (03907c8) 

	* Fixed issues.

2016-07-11 11:29:26 +0200 Armin Novak (d986770) 

	* Fixed warnings.

2016-07-11 11:05:38 +0200 Armin Novak (bbae42d) 

	* Compile fix

2016-04-25 09:42:59 +0200 Armin Novak (5039a82) 

	* GDI fixes.

2016-04-23 11:25:55 +0200 Armin Novak (e1c3adf) 

	* freerdp_image_copy fixes, 8bit color improvements.

2016-04-20 09:57:42 +0200 Armin Novak (c12c5dd) 

	* Added overlapped copy support.

2016-04-19 22:11:12 +0200 Armin Novak (716c5c5) 

	* 256 color support.

2016-04-19 21:30:28 +0200 Armin Novak (48d1b4e) 

	* Fixed color ordering for GDI.

2016-04-13 23:37:23 +0200 Armin Novak (016f3a4) 

	* xxx.

2016-04-13 23:18:55 +0200 Armin Novak (b668b0d) 

	* Api update.

2016-04-13 23:13:04 +0200 Armin Novak (ac8c722) 

	* Api update.

2016-04-13 23:10:08 +0200 Armin Novak (0e7bb50) 

	* Bitmaps now remember their format.

2016-04-13 23:06:33 +0200 Armin Novak (bb92655) 

	* Fixed clear codec.

2016-04-13 12:32:51 +0200 Armin Novak (5633f52) 

	* Fixed crashes.

2016-04-11 17:30:29 +0200 Armin Novak (da956e0) 

	* ...

2016-04-11 14:14:17 +0200 Armin Novak (24599af) 

	* More color fixes.

2016-04-05 17:07:45 +0200 Armin Novak (df35c13) 

	* Fixed color conversion, unified GFX and updated API.

2016-10-06 12:19:57 +0200 Bernhard Miklautz (bfdab0e) 

	* Merge pull request #3523 from rjcorrig/tz201609

2016-10-05 09:21:11 -0400 Marc-André Moreau (1d06087) 

	* Merge pull request #3515 from akallabeth/apple_time_fix

2016-10-05 13:14:06 +0200 Bernhard Miklautz (1acd6c4) 

	* Merge pull request #3522 from ondrejholy/fix-pulse-asserts

2016-10-04 09:50:37 -0400 Robert Corrigan (fc7378f) 

	* Updated time zone definitions to Sept 2016

2015-06-11 13:25:35 +0200 Ondrej Holy (2fec57f) 

	* rdpsnd/pulse: Fix crashes in pulseaudio

2016-10-03 22:40:28 +0200 David Fort (425942d) 

	* Merge pull request #3511 from
          nonamed108/fix_for_xcode8_clock_gettime

2016-09-30 09:32:52 +0200 David Fort (dbb353d) 

	* Merge pull request #3501 from DavBfr/fix-few-memory-leaks

2016-09-27 13:28:39 +0200 Armin Novak (3eb136d) 

	* Fixed SetFileTime for mac.

2016-09-27 12:33:44 +0200 akallabeth (3a9cc2c) 

	* Merge pull request #3512 from nathankidd/redundant-rfx-conversion

2016-09-23 19:07:09 -0400 Nathan Kidd (24aa71e) 

	* client/X11: Only upconvert < 24 bit RFX tiles

2016-09-22 15:42:43 -0500 ed.velez (ed697fa) 

	* fix_for_xcode8_clock_gettime

2016-09-01 11:34:38 -0700 David PHAM-VAN (d5dc5b4) 

	* Fix smartcard channel disconnect

2016-07-06 12:12:40 -0700 David PHAM-VAN (f5f3913) 

	* Fix Memory Leaks in Printer Redirection

2016-06-28 14:39:29 -0700 David PHAM-VAN (fe2e426) 

	* Fix Memory Leaks in RdpSnd

2016-06-28 14:39:14 -0700 David PHAM-VAN (4265177) 

	* Fix Memory Leaks in RdpDR

2016-06-28 14:39:01 -0700 David PHAM-VAN (1bca1e7) 

	* Fix Memory Leaks in Disp channel

2016-09-09 11:16:29 +0200 David Fort (1855e36) 

	* Merge pull request #3482 from realjiangms/fix_gfx_win8

2016-08-27 21:51:29 +0800 zihao.jiang (2c00240) 

	* server/shadow: Fix regression with rdp8.0 Shadow server crash with
          rdp8.0 with gfx enabled. Root Cause: rdp8.0 is not support
          in shadow gfx and rdpgfx_caps_advertise returns an error.
          However setChannelError crashs because
          context->errorDescription is NULL 1. Fix shadow gfx to
          handle rdp8.0 2. Initialize context->errorDescription for
          server side new-context

2016-08-25 09:00:56 +0200 Martin Fleisz (3586e33) 

	* Merge pull request #3435 from akallabeth/uuid_find_fix

2016-08-25 08:17:52 +0200 Martin Fleisz (71765b7) 

	* Merge pull request #3284 from ondrejholy/endianness

2016-08-24 11:08:00 +0200 David Fort (5394a04) 

	* Merge pull request #3316 from realjiangms/server_gfx

2016-08-24 10:40:31 +0200 akallabeth (4c9782d) 

	* Merge pull request #3476 from FreeRDP/mh-fix-transport

2016-08-22 02:17:11 -0700 Martin Haimberger (e9e0764) 

	* libfreerdp/core: transport_write unchecked parameters

2016-08-21 01:02:13 +0800 zihao.jiang (92ca985) 

	* rdpgfx/server: Fix for windows10 clients 1. Fix order of gfx reset
          and new-surface. Windows10 client will show black screen
          with this issue(FreeRDP itself is dramatically immune to
          this issue) 2. Handle RDPGFX_QOE_FRAME_ACKNOWLEDGE_PDU for
          FPS control

2016-08-20 01:36:37 +0800 zihao.jiang (5d4e9a2) 

	* rdpgfx/server: More minor fix

2016-08-16 14:49:56 +0800 zihao.jiang (7d0fa79) 

	* rdpgfx/server: More minor fix according to comments: Not use sizeof
          on packet memory structure for stream length
          check/estimating and use number directly. Most of the
          packet size could be obviously calculated/verified from
          code and comments in same function. Macro is defined for
          those were referenced multiple times.

2016-08-13 18:27:19 -0700 Michael M. Wasser (75a483d) 

	* mac BUILD_SHARED_LIBS=ON fix

2016-06-03 02:33:31 +0800 zihao.jiang (a15b8ff) 

	* rdpgfx/server: Minor fix: allow configurable codec parameter

2016-05-28 13:43:33 +0800 zihao.jiang (26c98e4) 

	* rdpgfx/server: Minor fix: use switch for pdu length estimation

2016-05-27 02:11:52 +0800 zihao.jiang (992e0e9) 

	* rdpgfx: more minor changes 1. Fix style for
          channels/rdpgfx/server/rdpgfx_main.c according to
          scripts/format_code.sh 2. Refactor and introduce APIs to
          allow rdpgfx server channel running in existing thread
          (similar to rdpsnd)

2016-05-04 00:48:59 +0800 zihao.jiang (2b6bd26) 

	* rdpgfx: various fixes according to comments 1. Fix stream leak in
          rdpgfx 2. Make src data const in zgfx. Harden zgfx to be
          independent to byte order 3. Fix written bytes return
          value in channel write 4. Add check for return value in
          shadow_client.c 5. Add gfx callback to send surface
          command with frame marker pdu. 6. Check remain length for
          recv subroutine 7. Fix compile errors

2016-04-24 01:49:10 +0800 zihao.jiang (746a754) 

	* rdpgfx: Implementation for server side channel server/shadow:
          support h264 codec with gfx channel

2016-07-22 09:34:49 -0400 Marc-André Moreau (5b2455f) 

	* Merge pull request #3451 from awakecoding/nla_server_fix

2016-07-22 09:06:07 -0400 Marc-André Moreau (14cb6d3) 

	* freerdp: make modifications to NLA server-side fixes according to
          PR comments

2016-07-21 18:58:24 -0400 Marc-André Moreau (801dc0f) 

	* freerdp: add configurable NTLM SAM file option for server-side NLA

2016-07-21 17:53:20 -0400 Marc-André Moreau (1ffbd77) 

	* freerdp: fix sending of TLS alert on NLA failure, add better
          handling of server-side NLA in shadow server

2016-07-20 09:26:04 -0400 Marc-André Moreau (9ef863b) 

	* Merge pull request #3449 from awakecoding/android_toolchain_fix

2016-07-19 21:53:23 -0400 Marc-André Moreau (a04f324) 

	* cmake: fix Android toolchain missing usage of CMAKE_PREFIX_PATH

2016-07-18 14:53:53 +0200 Bernhard Miklautz (05d63c6) 

	* Merge pull request #3445 from lanoxx/master

2016-07-18 13:23:00 +0200 akallabeth (cd9bdd5) 

	* Merge pull request #3447 from bmiklautz/package_updates

2016-07-18 12:33:44 +0200 Bernhard Miklautz (add4db4) 

	* pkg: update packages

2016-07-17 22:29:09 +0200 Sebastian Geiger (d1c7843) 

	* docs: Make doxygen silent

2016-07-08 11:14:25 +0200 Martin Fleisz (5d7027a) 

	* Merge pull request #3438 from akallabeth/android_build_paths

2016-07-07 12:41:34 +0000 Bernhard Miklautz (c4e3db0) 

	* Merge pull request #3436 from akallabeth/openh264_1_6_support

2016-07-07 10:38:51 +0200 akallabeth (79a360b) 

	* Merge pull request #3405 from hardening/wlog_man

2016-07-06 17:21:46 +0200 Armin Novak (40bfc17) 

	* Added gradle.properties to extend heap size.

2016-07-06 17:17:39 +0200 Armin Novak (48b4c5b) 

	* Fixed android libfreerdp install paths.

2016-07-06 13:58:10 +0200 Norbert Federa (89c2527) 

	* Merge pull request #3384 from akallabeth/android64_build

2016-07-06 13:02:35 +0200 Armin Novak (d5b7c19) 

	* Updated gradle.

2016-07-06 11:59:08 +0200 Armin Novak (f5fef88) 

	* Disabled OpenH264 build for pull request tester.

2016-07-06 11:50:53 +0200 Armin Novak (730ff20) 

	* Using android build-tools 24 (23 is broken)

2016-07-05 15:35:41 +0200 David Fort (070b2c6) 

	* Merge pull request #3402 from doughdemon/master

2016-07-05 15:15:19 +0200 David Fort (4a67ba8) 

	* Merge pull request #3433 from akallabeth/wlog_callbac_init_fix

2016-07-05 13:22:28 +0200 Armin Novak (2ceb38a) 

	* Proper wLogMessage initialisation.

2016-07-05 13:00:54 +0200 Armin Novak (d96fbd1) 

	* Initialise WLog PrefixString for each message type.

2016-07-04 12:33:52 +0200 Armin Novak (44fc5b5) 

	* Added support for OpenH264 1.6

2016-06-30 22:43:05 +0200 David Fort (a132545) 

	* Merge pull request #3428 from
          nfedera/fix-getcomputernameex-lentgh-calculation

2016-06-30 17:15:40 +0200 Norbert Federa (333a111) 

	* winpr/sspi/ntlm: fix computer name len calculation

2016-06-27 15:28:22 +0200 Bernhard Miklautz (c42d2ef) 

	* Merge pull request #3426 from nfedera/fix-read-extended-info-packet

2016-06-27 10:56:40 +0200 Norbert Federa (ae9460f) 

	* protocol violation: rdp_read_extended_info_packet

2016-06-27 10:11:19 +0200 Armin Novak (b7f8dc3) 

	* Fixed UUID find.

2016-06-22 15:32:11 +0200 Martin Fleisz (0d7a6b5) 

	* Merge pull request #3418 from llyzs/rdpsnd_server_latency

2016-06-21 15:10:09 +0200 David Fort (1fdcae9) 

	* Add an environment variables section to the man

2016-06-21 14:05:29 +0800 Vic Lee (019a569) 

	* rdpsnd/server: decrease audio latency and make it configurable.

2016-06-15 22:39:03 +0200 David Fort (0905cc2) 

	* man pages needed love

2016-06-13 22:16:36 +0200 David Fort (db6efd0) 

	* Add a dedicated man page for wLog

2016-06-16 16:16:37 +0200 Bernhard Miklautz (e86f7c2) 

	* Merge pull request #3408 from hendwolt/master

2016-06-16 14:46:27 +0200 Martin Fleisz (f166f5d) 

	* Merge pull request #3410 from nfedera/fix-symbols

2016-06-16 11:47:33 +0200 Norbert Federa (27c4396) 

	* winpr: fix win32 linking issues

2016-06-15 18:01:38 +0200 Norbert Federa (6a3b48d) 

	* freerdp: remove static inet_ntop

2016-06-15 13:54:31 +0200 Norbert Federa (7a68eeb) 

	* cmake: remove some void statements and fix winpr source group

2016-06-15 13:36:27 +0200 Norbert Federa (90cdfa7) 

	* cmake: replaced STATIC_CHANNELS with BUILTIN_CHANNELS

2016-06-15 13:30:38 +0200 Norbert Federa (0ed98c4) 

	* channels/audin/client/winmm: requires winpr

2016-06-14 20:43:35 +0200 Hendrik Woltersdorf (8ea61fe) 

	* fix errors in xdg-shell-xml for protocol creation

2016-06-14 13:57:00 +0200 Bernhard Miklautz (50649ac) 

	* Merge pull request #3407 from nfedera/enable-tests-on-windows

2016-06-14 12:57:30 +0200 Norbert Federa (675ea70) 

	* ci: build tests on windows from now on

2016-06-14 12:54:01 +0200 Bernhard Miklautz (0cb37b0) 

	* Merge pull request #3406 from nfedera/fix-winpr-ntlm

2016-06-14 12:37:37 +0200 Norbert Federa (26ed09a) 

	* winpr/sspi/ntlm: fix GetComputerNameExA parameters

2016-06-14 10:20:52 +0200 akallabeth (f0bdd62) 

	* Merge pull request #3404 from nfedera/fix-pathmakepath

2016-06-13 19:19:28 +0200 Norbert Federa (62d73dc) 

	* winpr: fix PathMakePathA and TestWLog

2016-06-13 10:06:51 +0200 Bernhard Miklautz (ee4d118) 

	* Merge pull request #3403 from TingPing/freerdp-client.pc

2016-06-12 22:10:00 -0400 TingPing (9fe5da8) 

	* Fix include path in freerdp-client.pc

2016-06-12 17:54:52 +0200 Felix Janda (cd581cf) 

	* Make iOS workaround iOS specific

2016-06-08 11:43:11 +0200 Ondrej Holy (b8f33aa) 

	* winpr/crt: Make TestString endian-independent

2016-06-08 11:42:27 +0200 Ondrej Holy (bbcc047) 

	* winpr/crt: Fix endianness in string utils

2016-06-10 15:08:49 +0200 Bernhard Miklautz (f818bab) 

	* Merge pull request #3399 from nfedera/fix-winpr-library2

2016-06-10 13:10:39 +0200 Norbert Federa (581c000) 

	* winpr/library: fix GetModuleFileName and tests

2016-06-08 11:03:40 -0400 Marc-André Moreau (0c8af43) 

	* Merge pull request #3397 from awakecoding/master

2016-06-08 10:51:58 -0400 Marc-André Moreau (f905861) 

	* wayk-now: add missing inet_pton implementation on Windows

2016-06-08 11:50:43 +0200 Bernhard Miklautz (b71f60c) 

	* Merge pull request #3393 from nfedera/fix-winpr-library-wtimer-test

2016-06-08 08:21:13 +0200 Hardening (a0520f8) 

	* Merge pull request #3394 from nfedera/fix-client-x11-locked-mutex

2016-06-07 18:57:27 +0200 Norbert Federa (374f97a) 

	* client/x11: don't close locked mutex

2016-06-07 17:20:56 +0200 Norbert Federa (f2c825b) 

	* winpr: fix some tests

2016-06-07 15:33:49 +0200 MartinHaimberger (0abb285) 

	* Merge pull request #3392 from nfedera/fix-winpr-barrier-deadlock

2016-06-07 13:06:50 +0200 Norbert Federa (f969e60) 

	* winpr/synch: fix barrier deadlock in release build

2016-06-07 09:34:12 +0200 Bernhard Miklautz (aa15327) 

	* Merge pull request #3391 from
          nfedera/fix-initializewaitabletimer-result

2016-06-06 23:06:12 +0200 Norbert Federa (a35a1e3) 

	* winpr/synch: fix InitializeWaitableTimer result

2016-06-06 16:21:39 +0200 Norbert Federa (6e15931) 

	* Merge pull request #3390 from nfedera/fix-winpr-barrier2

2016-06-06 15:33:16 +0200 Norbert Federa (131ffaa) 

	* winpr/synch: improve barrier test

2016-06-06 13:54:39 +0200 Bernhard Miklautz (bd71b36) 

	* Merge pull request #3388 from nfedera/fix-winpr-pool-synch

2016-06-06 13:44:48 +0200 Bernhard Miklautz (11ecda2) 

	* Merge pull request #3386 from nfedera/fix-winpr-barrier

2016-06-06 13:39:36 +0200 Bernhard Miklautz (a24d1fd) 

	* Merge pull request #3389 from
          nfedera/fix-winpr-synch-timer-queue-segfault

2016-06-06 13:18:00 +0200 Norbert Federa (e35049c) 

	* winpr/synch: fix timerqueue segfault

2016-06-06 11:32:25 +0200 Armin Novak (8e552e2) 

	* Updated readme for android.

2016-06-06 09:23:41 +0200 akallabeth (8c4f3ba) 

	* Merge pull request #3387 from
          nfedera/fix-wfreerdp-verify-cert-callback

2016-06-04 17:13:07 +0200 Norbert Federa (882f593) 

	* wfreerdp: fix invalid VerifyCertificate callback

2016-06-04 17:04:12 +0200 Norbert Federa (c16bee7) 

	* winpr: several pool and synch fixes

2016-06-04 13:40:01 +0200 Norbert Federa (2dba082) 

	* winpr/synch/barrier: fix return value and test

2016-06-04 00:55:27 +0200 Norbert Federa (85f4426) 

	* winpr/synch: add spinning support to barrier

2016-06-03 18:56:36 +0200 Norbert Federa (341eed1) 

	* winpr/synch: rewrite barrier implementation & test

2016-06-03 18:53:14 +0200 Bernhard Miklautz (8ea8b7c) 

	* Merge pull request #3381 from nfedera/fix-winpr-misc

2016-06-03 14:23:06 +0200 Armin Novak (dd9cb25) 

	* Fixed defined symbols for function check.

2016-06-03 13:02:30 +0200 Armin Novak (de662b9) 

	* Setting lib64 preference now.

2016-06-03 13:02:13 +0200 Armin Novak (20568af) 

	* Updated toolchain file, added new variable for lib64 detection.

2016-06-03 13:01:59 +0200 Armin Novak (10460d3) 

	* Fixed android library detection.

2016-06-03 09:39:48 +0200 Armin Novak (be33a11) 

	* Fixed missing arch.

2016-06-02 15:38:57 +0200 Norbert Federa (458f606) 

	* winpr/thread: fix SwitchToThread

2016-06-02 15:33:00 +0200 Armin Novak (e405464) 

	* Fixed pthread_mutex_timedlock detection.

2016-06-02 14:25:13 +0200 Armin Novak (fc2f43e) 

	* Added android64 support.

2016-06-02 08:32:12 +0200 Ondrej Holy (1903537) 

	* winpr/crt: Make TestUnicodeConversion endian-independent

2016-06-02 10:49:42 +0200 Bernhard Miklautz (215e7b5) 

	* Merge pull request #3382 from giox069/master

2016-06-02 10:23:28 +0200 Giovanni Panozzo (01a8db2) 

	* Fix some memory leaks in freerdp_settings_free()

2016-06-01 16:26:26 +0200 Norbert Federa (e718fb3) 

	* fix race conditions, tests and some invalid return values

2016-05-31 16:04:16 +0200 Ondrej Holy (44ce6b0) 

	* winpr/stream: Make TestStream endian-independent

2016-05-31 09:41:09 +0200 Norbert Federa (42d2b69) 

	* Merge pull request #3379 from nfedera/fix-winpr-wtsapi

2016-05-31 09:37:31 +0200 akallabeth (345478b) 

	* Merge pull request #3376 from realjiangms/fix_client_gfx

2016-05-30 19:25:20 +0200 Bernhard Miklautz (9daf129) 

	* Merge pull request #3371 from realjiangms/fix_x11_shadow_race

2016-05-30 17:54:59 +0200 Norbert Federa (c6aeba6) 

	* winpr/wtsapi: fixed race conditions and tests

2016-05-30 14:59:34 +0200 MartinHaimberger (69f738f) 

	* Merge pull request #3377 from nfedera/fix-channel-name-parsing

2016-05-30 14:40:23 +0200 Norbert Federa (7a42a8d) 

	* freerdp/core/gcc: channel name hardening

2016-04-27 13:43:16 +0200 Ondrej Holy (0e353cc) 

	* winpr/ntlm: Fix endianness in NTLM authentication

2016-04-22 14:43:40 +0200 Ondrej Holy (95a1b53) 

	* winpr/ntlm: Fix endianness in ntlm_av_pair_list

2016-04-27 13:35:09 +0200 Ondrej Holy (8d468ea) 

	* winpr/crt: Fix endianness in WCHAR case conversions

2016-04-13 16:26:42 +0200 Ondrej Holy (f722dc5) 

	* winpr/crt: Fix endianness in unicode conversions

2016-04-11 11:05:21 +0200 Ondrej Holy (e326e43) 

	* codec/xcrush: Fix endianness in compression

2016-04-06 17:02:23 +0200 Ondrej Holy (250998e) 

	* winpr: Be sure data points to BYTE in endian.h

2016-04-06 16:49:37 +0200 Ondrej Holy (11221e7) 

	* winpr: Fix Data_Read_UINT16

2016-04-22 15:31:01 +0200 Ondrej Holy (6d2ab9c) 

	* winpr: Fix 64-bit architecture detection

2016-05-30 13:00:32 +0200 Bernhard Miklautz (ca03b51) 

	* Merge pull request #3375 from nfedera/fix-sizet-format-segfaults

2016-05-29 02:13:47 +0800 zihao.jiang (e7d9e91) 

	* channels/rdpgfx: Make freerdp_client_codecs_prepare calls codec
          reset. It fix broken h264 client from #3328. Also it
          doesn't make sense that we don't need width and height for
          codec initialization while we need them for codec reset

2016-05-27 15:53:49 +0200 Norbert Federa (e8c4910) 

	* fix segfaults casused by size_t format specifier

2016-05-27 14:53:12 +0200 Hardening (00dd6f8) 

	* Merge pull request #3372 from nfedera/fix-winpr-test-library

2016-05-26 12:19:36 +0200 Norbert Federa (d2b2a92) 

	* winpr/library: fix win32 test and some cleanup

2016-05-27 11:19:50 +0200 Hardening (9f37f46) 

	* Merge pull request #3374 from nfedera/fix-winpr-path

2016-05-26 18:36:02 +0200 Norbert Federa (a45ac8d) 

	* winpr/path: fix PathCchFindExtensionA and more

2016-05-26 14:07:48 +0200 Hardening (ef1ddff) 

	* Merge pull request #3373 from nfedera/fix-winpr-test-pipe

2016-05-26 13:52:30 +0200 Norbert Federa (9370d98) 

	* winpr/pipe: fix CreateNamedPipe test

2016-05-26 00:20:37 +0800 zihao.jiang (4227983) 

	* Server/shadow: Protect X operations on shared subystem X11 display
          with X11 display lock

2016-05-25 17:25:07 +0200 Bernhard Miklautz (17c125d) 

	* Merge pull request #3369 from realjiangms/fix_mouseback_2796

2016-05-25 17:24:30 +0800 zihao.jiang (9f4465e) 

	* Server/shadow: Fix issue 2796. Mouse cursor draw back issue

2016-05-25 16:39:22 +0200 Bernhard Miklautz (8aec19d) 

	* Merge pull request #3370 from
          nfedera/fix-winpr-test-thread-createprocess

2016-05-25 15:47:58 +0200 Norbert Federa (1b231f9) 

	* winpr/thread: fix TestThreadCreateProcess

2016-05-25 11:08:31 +0200 MartinHaimberger (9bfe3a6) 

	* Merge pull request #3365 from nfedera/fix-winpr-synch-tests

2016-05-24 22:33:27 +0200 Norbert Federa (aded51f) 

	* winpr/synch: fix tests

2016-05-24 15:41:45 +0200 akallabeth (53de4b8) 

	* Merge pull request #3363 from nfedera/fix-mutex-implementation

2016-05-24 13:35:11 +0200 Norbert Federa (386d290) 

	* winpr/synch: fix mutex implementation

2016-05-23 16:21:49 +0200 akallabeth (cf127eb) 

	* Merge pull request #3357 from realjiangms/fix_rdpsnd_race

2016-05-23 13:38:18 +0200 Martin Fleisz (a722fbf) 

	* Merge pull request #3359 from bmiklautz/eventfd_leak

2016-05-23 13:22:33 +0200 akallabeth (21e3515) 

	* Merge pull request #3349 from byteboon/master

2016-05-23 13:04:44 +0200 Bernhard Miklautz (5d03053) 

	* winpr/event: fix file descriptor leak

2016-05-20 01:02:08 +0800 zihao.jiang (444b678) 

	* shadow/rdpsnd: Fix race condition in rdpsnd channel server. The
          output buffer and format parameters are not protected.
          This cause some data inconsistence if rdpsnd has own
          thread

2016-05-19 23:39:49 +0200 Hardening (aeabb95) 

	* Merge pull request #3356 from rinov/master

2016-05-20 01:17:49 +0900 rinov (c42edd9) 

	* Update mf_mountain_lion.c

2016-05-18 17:30:25 +0200 Norbert Federa (ca53e8b) 

	* Merge pull request #3353 from bmiklautz/no_shared_libs

2016-05-18 17:13:45 +0200 Bernhard Miklautz (41298d6) 

	* build: fix builds with -DBUILD_SHARED_LIBS=OFF

2016-05-16 09:53:38 -0700 byteboon (158be3a) 

	* fixed kerberos authentication

2016-05-13 11:32:48 +0200 Hardening (4e66df7) 

	* Merge pull request #3333 from akallabeth/memleak_fixes

2016-05-13 09:41:42 +0200 Bernhard Miklautz (9e3695f) 

	* Merge pull request #3340 from rjcorrig/kb3153731

2016-05-12 14:38:23 -0400 Marc-André Moreau (1b97593) 

	* Merge pull request #3341 from awakecoding/xcrush_fix

2016-05-12 14:24:53 -0400 Marc-André Moreau (a75d89d) 

	* libfreerdp-codec: make proper xcrush context reset fix

2016-05-12 13:12:24 -0400 Robert Corrigan (73e13b0) 

	* KB3153731: May 2016 DST update for Azerbaijan, Chile, Haiti and
          Morocco

2016-05-12 17:48:40 +0200 Martin Fleisz (eadc9e1) 

	* Merge pull request #3335 from bmiklautz/wfreerdp_naming

2016-05-12 09:41:57 -0400 Marc-André Moreau (ed326f6) 

	* Merge pull request #3339 from awakecoding/xcrush_fix

2016-05-12 09:22:24 -0400 Marc-André Moreau (892531d) 

	* libfreerdp-codec: fix xcrush decompression, revert remote control
          fix

2016-05-12 11:47:10 +0200 Bernhard Miklautz (1ea3d4d) 

	* wfreerdp: fix name build without client interface

2016-05-12 10:01:30 +0200 Armin Novak (eacf2b5) 

	* Fixed memory leaks.

2016-05-12 09:28:12 +0200 Armin Novak (704d69d) 

	* Fixed NULL pointer access.

2016-05-11 17:00:35 -0400 Marc-André Moreau (9b7c53c) 

	* Merge pull request #3329 from awakecoding/hv_fix

2016-05-11 16:47:50 -0400 Marc-André Moreau (b24df90) 

	* Merge pull request #3330 from awakecoding/xcrush_fix

2016-05-11 16:35:20 -0400 Marc-André Moreau (a0630de) 

	* libfreerdp-codec: fix xcrush context flush

2016-05-11 15:52:36 -0400 Marc-André Moreau (e4714f3) 

	* freerdp: fix Hyper-V connectivity, fix issues #2421 and #3325

2016-05-11 14:15:07 -0400 Marc-André Moreau (5b9b86d) 

	* Merge pull request #3328 from awakecoding/gfx_fix

2016-05-11 13:53:34 -0400 Marc-André Moreau (56f9b18) 

	* libfreerdp-codec: fix error on empty RFX tileset, which can
          sometimes happen

2016-05-11 13:42:54 -0400 Marc-André Moreau (54cdd6a) 

	* channels/rdpgfx: fix resetting of codec contexts

2016-05-11 13:27:45 -0400 Marc-André Moreau (171198b) 

	* Merge pull request #3260 from awakecoding/master

2016-05-11 13:13:02 -0400 Marc-André Moreau (6b73757) 

	* Merge branch 'master' of github.com:awakecoding/FreeRDP

2016-05-11 13:12:44 -0400 Marc-André Moreau (d4c809c) 

	* winpr: fix definitions of synchronization barrier and interlocked
          functions

2016-05-11 11:05:17 -0400 Marc-André Moreau (915b9a1) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2016-05-11 09:44:26 +0200 akallabeth (c5940d8) 

	* Merge pull request #3318 from bmiklautz/multilayoutpdu

2016-05-11 09:40:18 +0200 akallabeth (6abdd4c) 

	* Merge pull request #3321 from bmiklautz/client_interface

2016-05-09 10:25:31 +0200 Bernhard Miklautz (2c0e73b) 

	* client: disable the client interface per default

2016-05-04 09:47:23 +0200 Bernhard Miklautz (a61a642) 

	* core: don't advertise multi layout PDUs

2016-05-03 17:04:45 +0200 Bernhard Miklautz (f828595) 

	* Merge pull request #3282 from akallabeth/input_arg_checks

2016-05-03 16:27:15 +0200 Bernhard Miklautz (221a292) 

	* Merge pull request #3263 from akallabeth/tofu

2016-05-03 16:19:37 +0200 akallabeth (dd009af) 

	* Merge pull request #3314 from bmiklautz/refactoringx

2016-04-13 09:47:48 +0200 Armin Novak (115f59d) 

	* Added argument checks for exported input functions.

2016-05-03 14:47:53 +0200 Bernhard Miklautz (c52984f) 

	* pkg/deb: update the package

2016-05-03 14:16:11 +0200 Bernhard Miklautz (59fbfdb) 

	* Add library libwinpr-tools

2016-05-03 10:44:42 +0200 Bernhard Miklautz (8cb873b) 

	* client/X11: fix build without client interface

2016-05-02 18:44:40 +0200 Bernhard Miklautz (a7ca42e) 

	* Merge pull request #3313 from bmiklautz/typos

2016-05-02 18:31:43 +0200 Bernhard Miklautz (9d98759) 

	* libfreerd/color: fix typo

2016-05-02 18:09:24 +0200 akallabeth (38beb29) 

	* Merge pull request #3311 from bmiklautz/static_rdtk

2016-05-02 18:08:46 +0200 akallabeth (9591d2e) 

	* Merge pull request #3312 from bmiklautz/commtests

2016-05-02 17:44:25 +0200 Bernhard Miklautz (29adf0c) 

	* rdtk: fix windows build

2016-05-02 16:59:25 +0200 Bernhard Miklautz (81d30cc) 

	* Disable comm tests per default

2016-05-02 16:10:31 +0200 Bernhard Miklautz (1bad57c) 

	* Don't export/install rdtk

2016-04-26 11:01:40 +0200 Bernhard Miklautz (bd7ed27) 

	* Merge pull request #3305 from akallabeth/dynamic_channel_crash_fix

2016-04-26 09:59:40 +0200 akallabeth (a62d962) 

	* Merge pull request #3250 from mfleisz/cssp_v3

2016-04-26 09:35:54 +0200 Armin Novak (48b11cf) 

	* Dynamic channel internal functions now static.

2016-04-26 09:34:12 +0200 Armin Novak (ee186be) 

	* ListDictionary handle NULL list argument.

2016-04-19 17:57:53 +0200 Hardening (ca2d015) 

	* Merge pull request #3296 from akallabeth/clipboard_file_fix

2016-04-19 16:44:31 +0200 Armin Novak (8917a3d) 

	* Fix CB_FILECONTENTS_REQUEST message decoding.

2016-04-19 15:32:56 +0200 Norbert Federa (8110435) 

	* Merge pull request #3294 from bmiklautz/misc_build

2016-04-19 15:21:49 +0200 Norbert Federa (a4cec9f) 

	* Merge pull request #3287 from bmiklautz/linking_fixes2

2016-04-19 14:55:26 +0200 Hardening (d4b7301) 

	* Merge pull request #3293 from
          nfedera/mitigate-cbclientaddress-verification

2016-04-19 14:33:26 +0200 Bernhard Miklautz (0ebc6f1) 

	* build: disable -Wl,--no-undefined per default

2016-04-19 14:09:58 +0200 Norbert Federa (9f148e6) 

	* core: allow TS Gateway protocol violation

2016-04-19 12:46:54 +0200 Bernhard Miklautz (4a9da95) 

	* Tests: Disable TESTS_WTSAPI_EXTRA per default

2016-04-15 14:48:46 +0200 Bernhard Miklautz (470e147) 

	* Merge pull request #3285 from rjcorrig/kb3148851

2016-04-15 14:32:40 +0200 Bernhard Miklautz (62cb5fa) 

	* build: add missing dependencies

2016-04-13 13:34:43 -0400 Robert Corrigan (f8c42da) 

	* KB3148851: Updates to Russian Time Zones for 2016

2016-04-11 20:47:53 +0200 Hardening (11d1138) 

	* Merge pull request #3274 from bmiklautz/linking_fixes

2016-04-11 11:10:08 +0200 Hardening (c9f4485) 

	* Merge pull request #3276 from
          nfedera/nf-fix-ms-android-protocol-violation

2016-04-11 10:50:27 +0200 Norbert Federa (4ae77b8) 

	* core: allow ms android client protocol violation

2016-04-08 15:28:40 +0200 akallabeth (45ab979) 

	* Merge pull request #3275 from
          nfedera/fix-server-establish-keys-typo

2016-04-08 14:47:35 +0200 Norbert Federa (6ee4453) 

	* core: fix broken rdp security (server side)

2016-04-07 14:39:16 +0200 Bernhard Miklautz (7838072) 

	* build: add missing dependencies

2016-04-07 14:52:52 +0200 Bernhard Miklautz (0e2c4f2) 

	* Merge pull request #3273 from
          realjiangms/fix_android_crash_rotate_3258

2016-04-07 14:35:57 +0200 Bernhard Miklautz (8fe88ac) 

	* build: use --no-undefined if available

2016-04-07 20:19:22 +0800 zihao.jiang (748982c) 

	* Fix android rotation crash

2016-03-31 12:16:55 +0200 Armin Novak (5344576) 

	* Added command line option /cert-tofu

2016-03-31 11:43:38 +0200 Bernhard Miklautz (a0d9969) 

	* Merge pull request #3254 from akallabeth/avc444_cmd_arg

2016-03-31 11:01:45 +0200 Armin Novak (81450dd) 

	* Cleaned up empty if.

2016-03-30 10:58:36 -0400 Marc-André Moreau (a192967) 

	* libwinpr-path: fix missing shlwapi.lib import

2016-03-30 10:47:01 -0400 Marc-André Moreau (8fcc2aa) 

	* Merge branch 'master' of github.com:awakecoding/FreeRDP

2016-03-30 10:31:34 -0400 Marc-André Moreau (0d15539) 

	* wfreerdp: fix Windows XP clipboard missing imports

2016-03-30 15:20:53 +0200 akallabeth (445059b) 

	* Merge pull request #3259 from bmiklautz/overlinking

2016-03-29 20:34:52 -0400 Marc-André Moreau (cedf6d9) 

	* freerdp: more UWP porting

2016-03-29 16:03:15 -0400 Marc-André Moreau (4d629a7) 

	* freerdp: UWP porting

2016-03-29 15:10:00 +0200 Bernhard Miklautz (bafe1aa) 

	* usbdrc: remove unused dependencies

2016-03-25 16:28:17 +0100 Bernhard Miklautz (9e8c6c9) 

	* First shot on fixing over linking

2016-03-01 12:45:25 +0100 Bernhard Miklautz (b184f58) 

	* winpr/TestFileGetStdHandle: rename variable stdout

2016-03-25 12:20:51 -0400 Marc-André Moreau (2201ac5) 

	* winpr: fix PathFileExists on UWP

2016-03-24 16:25:22 +0100 Armin Novak (50873be) 

	* Added advanced gfx command line options.

2016-03-21 16:58:09 +0100 Martin Fleisz (5d956eb) 

	* core: correctly set last error on credssp errors

2016-03-21 10:23:18 +0100 Martin Fleisz (34a7c18) 

	* core: Propagate credssp error code by setting last error

2016-03-18 13:45:51 +0100 Martin Fleisz (98528ea) 

	* winpr: Fix definition of NTSTATUS_FROM_WIN32

2016-03-18 13:32:13 +0100 Martin Fleisz (1c2d315) 

	* core: Add support for CredSSP version 3

2016-03-17 11:06:39 +0100 akallabeth (75ae3f5) 

	* Merge pull request #3243 from hardening/typofix

2016-03-17 11:02:51 +0100 Bernhard Miklautz (14daecf) 

	* Merge pull request #3240 from akallabeth/drive_fixes

2016-03-17 10:44:11 +0100 David FORT (2cb3717) 

	* Fixed a typo in debug messages

2016-03-17 09:34:24 +0100 Armin Novak (43b13ff) 

	* Replace SetFilePointerEx with SetFilePointer.

2016-03-17 09:33:39 +0100 Armin Novak (f45be8d) 

	* Print device name when loading channel.

2016-03-16 15:19:11 +0100 Martin Fleisz (80cd647) 

	* Merge pull request #3164 from akallabeth/windows_UnixChangeFileMode

2016-03-16 14:05:55 +0100 Bernhard Miklautz (eb5e303) 

	* Merge pull request #3215 from akallabeth/avc_444

2016-03-16 13:56:39 +0100 Bernhard Miklautz (90b3bf4) 

	* Merge pull request #3204 from akallabeth/rdp_file_preference_fix

2016-03-16 13:46:47 +0100 Armin Novak (7faff04) 

	* Assume the update rectangle is inclusive.

2016-03-14 09:01:57 +0100 Armin Novak (dfdc4c3) 

	* Fixed comments.

2016-03-14 08:57:00 +0100 Armin Novak (9ab3532) 

	* Renamed GFX defines to conform to spec.

2016-03-02 15:16:49 +0100 Armin Novak (5bc333c) 

	* Implemented GFX AVC444 support.

2016-03-02 14:53:55 +0100 Armin Novak (3309bf8) 

	* Implemented YUV444 related primitives.

2016-03-02 14:39:36 +0100 Armin Novak (3a3ec85) 

	* Unified RDPGFX_RECT16 and RECTANGLE_16

2016-03-16 13:32:51 +0100 akallabeth (0c99d6a) 

	* Merge pull request #3226 from rjcorrig/#3198

2016-03-16 13:32:29 +0100 akallabeth (2ea56c6) 

	* Merge pull request #3234 from bmiklautz/rdkt_version

2016-03-16 08:29:21 -0400 Robert Corrigan (a4f0089) 

	* winpr_detect_windows_time_zone should have void argument

2016-03-16 13:15:39 +0100 Armin Novak (fd26624) 

	* Parse RDP and assistance files in parser.

2016-03-16 13:05:00 +0100 Armin Novak (fb44b68) 

	* Removed windows extra handling for RDP files.

2016-03-16 13:15:24 +0100 Bernhard Miklautz (babbc4b) 

	* Increase rdtk version to 2.0.0

2016-03-16 13:08:06 +0100 Armin Novak (3d23a77) 

	* Updated ConvertToUnicode return check.

2016-03-16 13:03:33 +0100 Bernhard Miklautz (228f6b1) 

	* Merge pull request #3207 from akallabeth/mic_crash_fix

2016-03-16 12:39:36 +0100 Armin Novak (059c754) 

	* Fixed double free.

2016-03-16 11:58:31 +0100 Bernhard Miklautz (1b15636) 

	* Merge pull request #3214 from hardening/fix_systemd_appender

2016-03-15 20:19:15 -0400 Marc-André Moreau (9211f44) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2016-03-15 09:25:50 +0100 akallabeth (b35f306) 

	* Merge pull request #3225 from mfleisz/fix_set_err_info

2016-03-10 15:10:49 -0500 Robert Corrigan (16796b9) 

	* winpr: Updates time zones and fixes bias values

2016-03-14 15:28:56 +0100 Bernhard Miklautz (c5fd49c) 

	* Merge pull request #3223 from comicfans/wayland_fix

2016-03-14 15:27:15 +0100 Martin Fleisz (b2d24a4) 

	* freerdp: Fix possible crash when setting error info in server-mode

2016-03-14 15:13:52 +0100 Bernhard Miklautz (05bcec4) 

	* Merge pull request #3224 from mfleisz/win32_bld_fix

2016-03-14 14:08:48 +0100 Martin Fleisz (0249b09) 

	* winpr: Fix definition of PathFileExists on Win32

2016-03-14 12:51:50 +0000 comicfans44 (6603039) 

	* only compile wayland client when WAYLAND_FOUND

2016-03-14 13:19:08 +0100 Armin Novak (2dbc1a0) 

	* Reverted WTS API changes.

2016-03-08 13:19:40 +0100 Armin Novak (d06723e) 

	* Fixed return value for failed malloc.

2016-03-07 12:54:49 +0100 Armin Novak (36cbf1b) 

	* Fixed error handling for channel load failures.

2016-03-14 13:00:52 +0100 Bernhard Miklautz (6ebf452) 

	* Merge pull request #3209 from akallabeth/android_translation_fix

2016-03-14 10:08:25 +0100 akallabeth (4ad3428) 

	* Merge pull request #3221 from bmiklautz/fix_nightlies

2016-03-14 09:57:33 +0100 Bernhard Miklautz (e13a327) 

	* Merge pull request #3212 from realjiangms/fix_default_audin

2016-03-14 09:53:45 +0100 Armin Novak (77d82f1) 

	* Removed untranslatable strings from translated files.

2016-03-14 09:38:35 +0100 Bernhard Miklautz (3bae203) 

	* pkg/deb: adapt channel paths

2016-03-14 09:20:30 +0100 Martin Fleisz (9554177) 

	* Merge pull request #3213 from akallabeth/android_build_fixes

2016-03-11 14:42:16 -0500 Marc-André Moreau (3cbd7c0) 

	* freerdp: fix freerdp_connect possible incorrect status code

2016-03-11 11:22:59 +0100 Martin Fleisz (66ae3f2) 

	* Merge pull request #3177 from akallabeth/codec_reset_fix

2016-03-10 23:41:12 +0100 Hardening (19494bd) 

	* Make systemd appender honor layout and log off

2016-03-10 22:07:30 +0100 Armin Novak (f60b8d5) 

	* Replaced version patch with make argument.

2016-03-10 21:54:11 +0100 Armin Novak (4a7816d) 

	* Updated OpenSSL version in script.

2016-03-10 21:52:40 +0100 Armin Novak (382626f) 

	* Fixed settings load/store.

2016-03-10 21:18:19 +0100 Armin Novak (cabcf7c) 

	* Fixed paralell building issue.

2016-03-11 01:52:18 +0800 zihao.jiang (40ea6e9) 

	* audin: Fixed default sys argument for audin PR #3173 fixed argument
          parsing. However it breaks the usage without specifying
          subsystem: "/microphone" In particular, aFreerdp
          microphone redirect is broken as it exactly uses
          "/microphone" This PR fixes the regression. Fix: We should
          not call CommandLineParseArgumentsA if argc is only 1
          (same case as rdpsnd_main.c)

2016-03-10 08:22:30 +0100 Martin Fleisz (1feb03d) 

	* Merge pull request #3210 from hardening/env_fix

2016-03-09 14:10:31 +0100 David FORT (b3c0478) 

	* Don't require HOME env var to be set for server-side code

2016-03-08 20:34:19 +0100 Armin Novak (15498ea) 

	* Marked non translatable strings as such.

2016-03-08 16:27:51 +0100 Armin Novak (1d4fd05) 

	* Reverted translation of internal VALUE arrays.

2016-03-08 20:50:30 +0100 akallabeth (ff1eb25) 

	* Merge pull request #3172 from
          realjiangms/android_launch_by_scheme_2720

2016-02-27 18:31:43 +0800 zihao.jiang (0927114) 

	* android: Allow freerdp mobile version to be launched from URI
          (freerdp://) It would be good if we have a easy way to
          call aFreeRDP in another Android APP (Requirement also
          mentioned in #2720) We can define a scheme (freerdp://) as
          unified way to launch FreeRDP from another APP or browser
          and connect to compatible RDP server 1. Define scheme
          freerdp:// 2. General form could be
          freerdp://user@hostname:port/connect?key1=value&key2=-&key3=%2b&key4=
          3. [user] part would be translated to /u: 4.
          [hostname:port] would be translated to /v: 5. The
          [user@hostname:port] part would be used as app title,
          currently it's just the progress dialog title 6. query
          parameters would be translated to command line arguments.
          Later same arguments will overwrite the formers:     a.
          key1=value: 		=> /key1:value     b. key2=-: 	
          	=> -key2     c. key3=%2b 		=> +key3
          (%2b is url encoded +) 	d. key4= 		
          => /key4 	e. Especially, drive=sdcard will be properly
          handled with local sdcard path. On my device it will be
          translated to /drive:sdcard,/storage/emulated/0

2016-03-08 10:05:57 +0100 Martin Fleisz (30325f1) 

	* Merge pull request #3181 from akallabeth/wlog_filter_fix

2016-03-07 21:21:17 -0500 Marc-André Moreau (c78a142) 

	* Merge branch 'master' of github.com:awakecoding/FreeRDP

2016-03-07 21:21:06 -0500 Marc-André Moreau (d61c2d4) 

	* winpr: fix ini utils leak

2016-03-07 10:19:50 -0500 Marc-André Moreau (ceefc4b) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2016-03-07 15:39:59 +0100 Bernhard Miklautz (9f8baf3) 

	* Merge pull request #3206 from akallabeth/openssl_unification

2016-03-07 13:12:38 +0100 Armin Novak (bb3448f) 

	* Set variable to NULL to prevent double free.

2016-03-07 11:51:13 +0100 Armin Novak (2208a84) 

	* Moved assistance to winpr crypto.

2016-03-07 10:55:51 +0100 akallabeth (52f1e6b) 

	* Merge pull request #3086 from DavBfr/fix-rdpdr

2016-03-07 10:50:35 +0100 akallabeth (ece552d) 

	* Merge pull request #3200 from dwmw2/master

2016-03-07 09:43:35 +0100 Armin Novak (83ef642) 

	* Use common command line parser.

2016-03-07 09:43:53 +0100 Armin Novak (4bb33e9) 

	* Reparse command line after RDP or assistance file.

2016-03-07 09:44:07 +0100 Armin Novak (36241ed) 

	* Fix memory leaks if parsed multiple times.

2016-03-07 09:24:44 +0100 Martin Fleisz (f0cc927) 

	* Merge pull request #3202 from akallabeth/file_bsd_fix

2016-03-04 09:25:04 +0100 Armin Novak (34b1236) 

	* Fixed FreeBSD support for filetime settings.

2016-03-04 13:22:58 +0000 David Woodhouse (701f54e) 

	* winpr: Bump API version to 2.0

2016-03-04 11:19:00 +0100 Hardening (fb63dd2) 

	* Merge pull request #3194 from
          nfedera/fix-convertfromunicode-hardening

2016-03-04 11:17:42 +0100 Bernhard Miklautz (9fa85ae) 

	* Merge pull request #1726 from grpomega/patch-3

2016-03-04 00:45:26 +0100 Norbert Federa (de4adef) 

	* fix logon info processing

2016-03-03 20:39:31 +0100 Bernhard Miklautz (120bd2d) 

	* Merge pull request #3173 from akallabeth/audin_arg_fix

2016-03-03 17:34:57 +0100 Martin Fleisz (151f435) 

	* Merge pull request #3196 from akallabeth/exported_symbols_fix

2016-03-03 17:11:26 +0100 Armin Novak (fb88ad0) 

	* Fixed symbol export for sound plugins.

2016-03-03 16:21:12 +0100 Norbert Federa (ef4b29e) 

	* ConvertFromUnicode fixes and misc hardening

2016-03-03 13:58:42 +0100 Bernhard Miklautz (167fd47) 

	* Merge pull request #3192 from akallabeth/plugin_path_fix

2016-03-03 12:07:10 +0100 Armin Novak (ee2839f) 

	* Caching log filter after first use.

2016-03-03 12:12:21 +0100 Martin Fleisz (f150575) 

	* Merge pull request #3191 from hardening/saveInfoPdu_fix

2016-03-03 11:45:12 +0100 David FORT (f5ce5e7) 

	* Fix parsing of saveSessionInfo PDU

2016-03-03 11:36:26 +0100 Armin Novak (767e6bb) 

	* Updated freerdp plugin path to use major version.

2016-03-03 11:06:24 +0100 Martin Fleisz (2710ebf) 

	* Merge pull request #3187 from akallabeth/client_name_fix

2016-03-03 09:08:30 +0100 Armin Novak (7dcba9a) 

	* Removed additional '\0' from TUNNEL_AUTH message.

2016-03-02 20:53:19 +0100 Hardening (9afa928) 

	* Merge pull request #3184 from xhaakon/fix-ubuntu-gcc-build

2016-02-23 15:27:33 +0100 Jakub Adam (bc750e9) 

	* Fix build on older 32-bit Ubuntu releases

2016-03-02 19:02:01 +0100 Armin Novak (0ea7aea) 

	* Remember filter log level.

2016-03-01 17:10:22 -0800 David PHAM-VAN (40504c5) 

	* Fix Uninitialized Variable

2016-03-02 19:03:46 +0100 akallabeth (e71369d) 

	* Merge pull request #3183 from bmiklautz/timezone_regression

2016-02-26 10:32:54 -0800 David PHAM-VAN (f4eb278) 

	* Mount only removable devices and network drives in Windows; Adds
          consistency with Linux and Mac

2016-02-26 10:31:14 -0800 David PHAM-VAN (31d9599) 

	* Move first_hotplug call to parent thread to avoid parallel access
          to devman dictionary

2016-02-26 10:19:21 -0800 David PHAM-VAN (2f28b6c) 

	* Improve code using more winpr functions

2015-09-07 12:16:03 +0200 David PHAM-VAN (2e1e6a4) 

	* Add hotplug support for MacOS

2016-01-07 11:04:10 -0800 David PHAM-VAN (a20950f) 

	* Implement FileAllocationInformation

2016-03-02 12:37:48 -0500 Bernhard Miklautz (7075353) 

	* winpr: fix regression in timezone detection

2016-03-02 10:33:41 -0500 Bernhard Miklautz (ee40be2) 

	* Merge pull request #3182 from xhaakon/shadow-pkg-config

2016-03-02 10:20:12 +0100 Jakub Adam (9f0b14f) 

	* shadow/subsystem: fix pkgconfig file

2016-03-01 17:30:08 +0100 Armin Novak (5bb68a0) 

	* Fixed broken resource cleanup.

2016-03-01 17:14:35 +0100 Armin Novak (ce8f3f2) 

	* Fixed context reset of sample server.

2016-03-01 16:56:36 +0100 Armin Novak (09e957f) 

	* Fixed broken check.

2016-03-01 16:39:53 +0100 Armin Novak (8997c6c) 

	* Added log messages for unsupported surface commands.

2016-03-01 16:17:28 +0100 Armin Novak (2e110c7) 

	* Fixed codec reset, now resetting resolution too.

2016-03-02 14:11:15 +0100 Armin Novak (41fdac2) 

	* Respecting filter in WLog_GetLogLevel

2016-03-02 09:43:46 +0100 Martin Fleisz (857c373) 

	* Merge pull request #3163 from akallabeth/set_file_time

2016-03-02 09:43:24 +0100 Martin Fleisz (cfe5923) 

	* Merge pull request #3179 from akallabeth/minor_fixes

2016-02-26 12:53:23 +0100 Armin Novak (c74e37d) 

	* Implemented UnixChangeFileMode for windows.

2016-03-02 09:16:59 +0100 Armin Novak (65cddbc) 

	* Removed obsolete log message.

2016-03-02 09:16:49 +0100 Armin Novak (227ecc4) 

	* Fixed uninitialized variable.

2016-03-01 23:34:57 +0100 Hardening (49a0a9c) 

	* Merge pull request #3178 from hendwolt/master

2016-03-01 21:49:21 +0100 Hendrik Woltersdorf (a5bb05b) 

	* fix wayland-client.h not found

2016-03-01 16:44:19 +0100 Bernhard Miklautz (e02af82) 

	* Merge pull request #3160 from akallabeth/stream_fixes

2016-03-01 11:40:11 +0100 Armin Novak (a79072a) 

	* Added tests for remaining stream functions.

2016-03-01 11:39:21 +0100 Armin Novak (e7814d5) 

	* Fixed stream API for Stream_Copy.

2016-03-01 10:29:51 +0100 Armin Novak (a98e0f9) 

	* Reverted opaque structures.

2016-02-29 17:39:18 +0100 Norbert Federa (b4b8239) 

	* Merge pull request #3176 from bmiklautz/shadow_subsystem

2016-02-29 17:10:53 +0100 Bernhard Miklautz (014f31d) 

	* Merge pull request #3171 from akallabeth/crypto_simplification

2016-02-29 16:59:58 +0100 Bernhard Miklautz (2550634) 

	* Merge pull request #3168 from akallabeth/visibility_fixes

2016-02-29 16:25:04 +0100 Bernhard Miklautz (1688738) 

	* ci: build server side on windows

2016-02-29 16:22:24 +0100 Bernhard Miklautz (1b926f8) 

	* build: export freerdp-shadow

2016-02-29 16:02:13 +0100 Bernhard Miklautz (f15c050) 

	* shadow/subsystem: fix windows build

2016-02-29 16:00:35 +0100 Bernhard Miklautz (5a7ac96) 

	* build/win32: fix DLL version information

2016-02-29 15:24:07 +0100 Armin Novak (c182be0) 

	* Removed module.def from build config.

2016-02-29 15:21:22 +0100 Bernhard Miklautz (92de4cf) 

	* Merge pull request #3167 from
          realjiangms/shadow_export_default_subsystem

2016-02-29 15:18:47 +0100 Armin Novak (68c402a) 

	* Removed windows module.def files.

2016-02-29 15:18:19 +0100 Armin Novak (5acd80d) 

	* Exporting channel entry points.

2016-02-29 14:43:33 +0100 Armin Novak (4e4d2e1) 

	* Fixed crypto tests.

2016-02-29 12:54:31 +0100 Armin Novak (b690470) 

	* Replaced stream manipulation with EnsureCapacity.

2016-02-29 12:51:54 +0100 Armin Novak (46fa7ec) 

	* Fixed invalid stream copy length.

2016-02-29 12:34:53 +0100 Armin Novak (8482fbf) 

	* Fixed formatting.

2016-02-29 11:12:32 +0100 Armin Novak (19568c6) 

	* Fixed indentation.

2016-02-29 11:10:15 +0100 Armin Novak (7e65013) 

	* Fixed memory leak.

2016-02-29 10:31:50 +0100 Hardening (da9d9ed) 

	* Merge pull request #3165 from akallabeth/printer_fix

2016-02-29 09:00:02 +0100 Armin Novak (b429d23) 

	* Refactored crypto *_New functions.

2016-02-28 19:56:57 +0100 Armin Novak (71bea3e) 

	* Fixed argument parsing for audin.

2016-02-28 11:12:17 +0100 Armin Novak (92c1578) 

	* Updated RC4 API, fixed crashing bug.

2016-02-28 10:33:25 +0100 akallabeth (e2a8083) 

	* Merge pull request #3169 from realjiangms/android_fix_sound

2016-02-27 01:07:30 +0800 zihao.jiang (176ad52) 

	* server/shadow: Export API to set built-in subsystem modules for
          freerdp-shadow-subsystem

2016-02-27 02:20:49 +0800 zihao.jiang (17139b9) 

	* android: Fix sound redirection. After #3097, the java side pass
          command line argument to JNI for freerdp settings. However
          there's several issues need to be fixed: 1. The argument
          /sound should be appended if freerdp is required to play
          sound at local device 2. The option value for "audio-mode"
          is not correct. It should match the definition in
          client/common/cmdline.c /* Audio Mode */ define
          AUDIO_MODE_REDIRECT     0 /* Bring to this computer */
          define AUDIO_MODE_PLAY_ON_SERVER   1 /* Leave at remote
          computer */ define AUDIO_MODE_NONE         2 /* Do not
          play */ 3. Uncomment support for WAVE_FORMAT_PCM in audin.
          I tested on my android phone and Nokia N1 tablet. It works
          on both device

2016-02-27 23:28:49 +0100 Armin Novak (238ff3b) 

	* Unified encryption functions.

2016-02-27 22:39:45 +0100 Armin Novak (5805ba8) 

	* Removed crypto_nonce.

2016-02-27 22:16:41 +0100 Armin Novak (4929844) 

	* Fixed const argument for Stream_Write.

2016-02-27 22:13:59 +0100 Armin Novak (86436bc) 

	* Added API export for uwac.

2016-02-27 11:36:34 +0100 Armin Novak (11c4425) 

	* Fixed dupliace FREERDP_API declarations.

2016-02-26 19:25:49 +0100 Armin Novak (1036f1e) 

	* Fixed default visibility.

2016-02-26 18:53:45 +0100 akallabeth (9d21117) 

	* Merge pull request #3157 from DavBfr/Fix-bad-malloc-size

2016-02-12 11:32:18 -0800 David PHAM-VAN (8ebe5b9) 

	* Fix bad malloc size in statvfs

2016-02-26 15:21:19 +0100 Armin Novak (b7187d0) 

	* Printer driver from command line now used.

2016-02-26 14:50:27 +0100 Armin Novak (dccf40c) 

	* Fixed duplicate loading of smartcard and printers.

2016-02-26 12:13:02 +0100 Armin Novak (98d4a93) 

	* Added support for android SetFileTime. Deactivated libjpeg support
          for android.

2016-02-26 11:22:56 +0100 Armin Novak (5537230) 

	* Fixed missing iOS UTIME_OMIT.

2016-02-26 10:48:53 +0100 Armin Novak (436be24) 

	* Implemented SetFileTime

2016-02-26 09:57:35 +0100 Martin Fleisz (4f22682) 

	* Merge pull request #3151 from akallabeth/timezone_refactor

2016-02-26 09:52:43 +0100 Hardening (4217262) 

	* Merge pull request #3156 from akallabeth/ssl_wrapper_merge

2016-02-26 09:28:54 +0100 Armin Novak (fe8f5de) 

	* Fixed indentation.

2016-02-26 09:27:53 +0100 Armin Novak (7a253ba) 

	* Replaced magic numbers with defines.

2016-02-26 09:23:34 +0100 akallabeth (f44f339) 

	* Merge pull request #3161 from bmiklautz/uwac_versioning

2016-02-25 23:47:32 +0100 Bernhard Miklautz (d5a43dd) 

	* uwac: generate .pc and cmake find-module

2016-02-25 23:46:56 +0100 Bernhard Miklautz (167907e) 

	* uwac: enable library versioning

2016-02-25 23:38:53 +0100 Bernhard Miklautz (71836f6) 

	* build winpr: export WINPR_API_VERSION

2016-02-25 21:57:56 +0100 Bernhard Miklautz (541abee) 

	* cmake/FindWayland: cleanup

2016-02-25 20:13:56 +0100 Armin Novak (cf9543e) 

	* Converted Stream defines to inline functions.

2016-02-25 20:01:12 +0100 Armin Novak (e79eee2) 

	* Fixed Stream API misuse.

2016-02-25 19:37:20 +0100 Armin Novak (b61ab5e) 

	* Fixed stream copy in update_message_SurfaceCommand

2016-02-25 16:57:48 +0100 akallabeth (16ba8f3) 

	* Merge pull request #3159 from bmiklautz/disable_mipsel

2016-02-25 16:57:34 +0100 Bernhard Miklautz (8bdad1e) 

	* Merge pull request #3140 from hardening/printer_work

2016-02-25 16:31:20 +0100 Bernhard Miklautz (ae6c235) 

	* android: disable mips build

2016-02-25 15:03:14 +0100 David FORT (aa7fe1d) 

	* Fixed indentation

2016-02-25 09:02:46 +0100 Armin Novak (fd415cd) 

	* Fixed missing semicolon.

2016-02-25 09:00:50 +0100 akallabeth (70f9ebe) 

	* Merge pull request #3042 from hardening/uwac

2016-02-25 00:41:19 +0100 David FORT (2b18d25) 

	* Added some checks

2016-02-24 21:45:09 +0100 Armin Novak (f997421) 

	* Unified hmac functions.

2016-02-24 20:39:49 +0100 Armin Novak (4ca6b9b) 

	* Unified random functions and remaining MD5.

2016-02-24 20:32:20 +0100 Armin Novak (6e8ea34) 

	* Updated cryto wrapper API.

2016-02-24 20:16:33 +0100 Armin Novak (95058c6) 

	* Fixed argument checks and return values.

2016-02-24 20:16:19 +0100 Armin Novak (0bfe5ba) 

	* Fixed naming of static functions.

2016-02-24 17:04:03 +0100 Armin Novak (ada2b16) 

	* Unified RC4 functions.

2016-02-24 16:46:25 +0100 Armin Novak (06da644) 

	* Unified md5 functions.

2016-02-24 16:36:15 +0100 Armin Novak (0e4ea39) 

	* Unified sha1 functions.

2016-02-24 09:43:53 +0100 Armin Novak (7795ebd) 

	* Fixed return value for DST.

2016-02-24 09:42:12 +0100 Armin Novak (495df6d) 

	* Readded read timezone from link.

2016-02-23 18:15:25 +0100 Armin Novak (1cd6697) 

	* Implemented timezone detection for android

2016-02-23 18:08:18 +0100 Armin Novak (447ac23) 

	* Refactored timezone functions.

2016-02-23 20:23:52 +0100 akallabeth (7c5fcc9) 

	* Merge pull request #3149 from bmiklautz/feb22

2016-02-23 19:11:32 +0100 Bernhard Miklautz (ce51592) 

	* Merge pull request #3150 from xhaakon/subsystem-lib

2016-02-23 10:49:52 +0100 Jakub Adam (db44d27) 

	* server/shadow: Build libraries for shadow subsystems

2016-02-23 17:14:08 +0100 Bernhard Miklautz (738f55a) 

	* Merge pull request #3119 from akallabeth/abort_event_reset

2016-02-23 16:46:16 +0100 akallabeth (a53e4f4) 

	* Merge pull request #3015 from bmiklautz/pull/2936

2016-02-23 15:58:48 +0100 Armin Novak (d28cb6a) 

	* Removed function call with invalid arguments.

2016-02-10 11:20:52 +0100 Armin Novak (24c93e4) 

	* Resetting abortEvent only on connect and reconnect.

2016-02-23 16:25:05 +0100 Bernhard Miklautz (dd93fd2) 

	* timezon: add support for tz package

2016-02-23 15:34:58 +0100 Bernhard Miklautz (be02849) 

	* tcp: set the timeout to 9s

2015-10-19 18:29:30 +0000 volth (8b9c402) 

	* Increase TCP_USER_TIMEOUT to avoid disconnections.

2016-02-23 14:09:14 +0100 David FORT (0bf2fae) 

	* Fix compilation with out-of-tree builds

2016-02-23 09:22:15 +0100 David FORT (c1c43f9) 

	* Fixed detection of wayland libs

2016-02-22 16:03:57 +0100 David FORT (5dcb3df) 

	* Fix compilation and detection under debian/ubuntu

2016-01-18 15:55:33 +0100 David FORT (87d6caa) 

	* Integrate UWAC in to the FreeRDP source tree

2016-01-12 22:29:38 +0100 David FORT (bc31c00) 

	* Fixed detection of UWAC library

2016-01-06 23:56:05 +0100 David FORT (ded17d9) 

	* Move wayland client to UWAC

2016-02-23 11:44:58 +0100 Bernhard Miklautz (35faa8b) 

	* Merge pull request #3148 from mfleisz/win32_include_fix

2016-02-23 09:56:17 +0100 akallabeth (05aa425) 

	* Merge pull request #2851 from
          ilammy/x11-cliprdr/improve-format-support

2016-02-23 09:55:55 +0100 Martin Fleisz (1b881e4) 

	* winpr/file: Add missing include (io.h) for windows builds

2016-02-23 09:37:31 +0100 akallabeth (88fa29c) 

	* Merge pull request #3145 from giox069/master

2016-02-23 00:14:30 +0200 ilammy (93fc349) 

	* client/X11: harden xf_cliprdr_parse_server_format_list()

2016-02-22 17:01:43 +0100 Bernhard Miklautz (e6f013e) 

	* fix spelling

2016-02-22 13:54:08 +0100 akallabeth (4d85ade) 

	* Merge pull request #3136 from bmiklautz/winpr_version

2016-02-22 12:48:42 +0100 Bernhard Miklautz (8ac4998) 

	* Merge pull request #3147 from akallabeth/win_debug_symbol_fix

2016-02-22 10:27:50 +0100 Armin Novak (6c8de27) 

	* Installing debug symbols only if activated.

2016-02-21 17:52:52 +0100 Giovanni Panozzo (1dea980) 

	* Fix char signedness in glyph offset calculation, fixes #2137

2016-02-19 13:27:13 +0100 Bernhard Miklautz (503399f) 

	* Merge pull request #3143 from
          akallabeth/deny_cert_if_cred_from_stdin

2016-02-19 10:22:38 +0100 Armin Novak (ae4a1ee) 

	* Abort certificate accept if password is read from stdin.

2016-02-18 14:19:36 +0100 David FORT (1b2b1c4) 

	* Add support for saveSessionInfo PDU

2016-02-11 22:45:30 +0100 David FORT (a53cb81) 

	* Added missing checks

2016-02-03 10:26:59 +0100 David FORT (60fed9d) 

	* Mutualize definitions for the printer channel

2016-02-16 13:42:08 -0500 Marc-André Moreau (8fa25aa) 

	* mfreerdp: fix build on 32-bit with mac audio

2016-02-16 17:39:22 +0100 Bernhard Miklautz (12bd0ec) 

	* winpr: BUMP the API version to 1.2

2016-02-15 13:52:47 +0100 Hardening (2a3e999) 

	* Merge pull request #2710 from akallabeth/cert_temp_accept_v2

2016-02-14 14:18:26 +0100 Hardening (0092bcf) 

	* Merge pull request #3130 from pxx02134/patch-1

2016-02-14 14:17:52 +0100 Hardening (f524c4c) 

	* Merge pull request #3131 from pxx02134/patch-2

2016-02-12 21:19:13 +0100 Hardening (ef7c867) 

	* Merge pull request #3124 from nathankidd/region16_rects-handle-null

2016-02-11 19:34:48 -0500 Nathan Kidd (d68e58a) 

	* libfreerdp-codec: Make region16_rects() handle NULL nbRects

2016-02-12 10:43:25 +0100 Bernhard Miklautz (cf6ea23) 

	* Merge pull request #3123 from nfedera/fix-keyboardtype-7

2016-02-11 22:21:33 +0100 Hardening (cbd1ffa) 

	* Merge pull request #3110 from akallabeth/mac_os_ssl_warning_fix

2016-02-11 21:40:50 +0100 Norbert Federa (92aa21c) 

	* Several fixes for keyboard type 7 (japanese)

2016-02-11 12:24:47 +0900 pxx02134 (2bf525d) 

	* Update AndroidManifest.xml

2016-02-11 12:21:11 +0900 pxx02134 (2178245) 

	* Update BookmarkDB.java

2016-02-10 10:51:27 -0500 Marc-André Moreau (0547a31) 

	* winpr: fix ini loader on Windows

2016-02-10 11:17:34 +0100 Hardening (8bbbbf3) 

	* Merge pull request #3116 from akallabeth/win_unicode_arg_fix

2016-02-09 09:36:00 +0100 Armin Novak (8be7b25) 

	* Printing help on invalid command line again.

2016-02-08 10:19:36 -0500 Marc-André Moreau (2f568aa) 

	* winpr: fix GetComputerNameEx for UWP

2016-02-08 14:36:31 +0100 Armin Novak (d67614a) 

	* Reading unicode from command line.

2016-02-08 13:10:50 +0100 Norbert Federa (bb3882b) 

	* Merge pull request #3111 from colemickens/hidpi-cli

2016-02-05 16:28:45 -0500 Marc-André Moreau (d0f413d) 

	* winpr: initial port to Universal Windows Platform (UWP)

2015-03-04 09:37:25 -0500 Isaac Richter (1f6ba79) 

	* Enable display scaling in client

2016-02-05 11:39:45 -0500 Marc-André Moreau (bfca674) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2016-02-05 11:52:07 +0100 Armin Novak (f456829) 

	* Fixed API for old openssl versions < 1.0.0

2016-02-05 11:12:48 +0100 Hardening (7534876) 

	* Merge pull request #3113 from akallabeth/remove_broken_rdpdr_check

2016-02-05 10:50:26 +0100 Armin Novak (c430d5e) 

	* Removed broken check, fixes #3112

2016-02-05 02:32:47 +0100 Armin Novak (80d7d63) 

	* Updated android API.

2015-12-18 10:36:28 +0100 Armin Novak (6b406bd) 

	* Not building GetLine on android and ios.

2015-12-18 09:45:44 +0100 Armin Novak (5e46a6e) 

	* Replaced getline with custom GetLine.

2015-12-17 16:43:55 +0100 Armin Novak (b35f665) 

	* Moved common code from cli clients to client lib.

2015-12-17 16:43:49 +0100 Armin Novak (0e2208e) 

	* Fixed warning.

2015-12-14 14:02:49 +0100 Armin Novak (cbf2892) 

	* Implemented temporary certificate accept.

2015-12-14 14:01:12 +0100 Armin Novak (1669900) 

	* Fixed allocation issue with common_name.

2016-02-04 16:20:59 +0100 Martin Fleisz (56a0c4c) 

	* Merge pull request #3097 from akallabeth/android_api_upgrade_v4

2016-02-04 16:09:49 +0100 Armin Novak (8fdf59a) 

	* Removed android SDK dependency for native build.

2016-02-04 15:05:07 +0100 Bernhard Miklautz (db77cff) 

	* Merge pull request #3108 from akallabeth/log_leve_adjust

2016-02-04 14:33:28 +0100 Armin Novak (1f81556) 

	* Removed hardcoded debug mode.

2016-02-04 13:56:33 +0100 Armin Novak (74f3ebf) 

	* Fixed argument for freerdp source.

2016-02-04 13:04:41 +0100 Norbert Federa (94565a0) 

	* Merge pull request #3109 from nfedera/fix-x11-xdgh-types-collision

2016-02-04 12:57:21 +0100 Armin Novak (b6b0f57) 

	* Fixed compiler warning about cast.

2016-02-04 12:55:11 +0100 Armin Novak (3b0f5b5) 

	* Removed obsolete APPLE preprocessor switch.

2016-02-03 21:32:55 +0100 Norbert Federa (099d488) 

	* fix X11/Xdg.h typedef collision fix

2016-02-04 11:41:54 +0100 Armin Novak (1b3ac98) 

	* rdp_print_errinfo now uses INFO log level.

2016-02-04 11:40:42 +0100 Armin Novak (cdadb58) 

	* Function freerdp_set_error_info fix

2016-02-04 11:39:57 +0100 Armin Novak (ad36a5c) 

	* Disconnect log message now uses debug level.

2016-02-04 09:56:52 +0100 akallabeth (eadfff8) 

	* Merge pull request #3107 from ccpp/tls-sni

2016-02-04 09:06:43 +0100 Hardening (13df05b) 

	* Merge pull request #3079 from akallabeth/drive_hotplug_fix

2016-02-04 08:34:51 +0100 Christian Plattner (c0226d6) 

	* Enable support for SNI on client side

2016-02-03 13:55:37 +0100 akallabeth (b769d84) 

	* Merge pull request #3105 from nfedera/fix-cmake-include-names

2016-02-03 13:37:35 +0100 Norbert Federa (24a2f2a) 

	* appropriate names in server & client cmake exports

2016-02-03 12:56:45 +0100 Norbert Federa (157d81b) 

	* Merge pull request #3104 from akallabeth/sign_mismatch_fixes

2016-02-03 12:46:02 +0100 Armin Novak (96bf6fc) 

	* Fixed inverted check.

2016-02-03 12:45:49 +0100 Armin Novak (f835744) 

	* Removed unused variable.

2016-02-03 12:45:31 +0100 Armin Novak (40519f0) 

	* Fixed initialization warning.

2016-02-03 12:11:27 +0100 akallabeth (c17c7de) 

	* Merge pull request #3094 from DavBfr/mac-adpcm

2016-02-03 11:55:23 +0100 Armin Novak (d267750) 

	* Fixed flac caps creation.

2016-02-03 11:51:31 +0100 Armin Novak (10956f3) 

	* Fixed constant definition.

2016-02-03 11:45:22 +0100 Armin Novak (22f704c) 

	* Fixed _socket error check.

2016-02-03 11:43:01 +0100 Armin Novak (c2d2ead) 

	* Fixed error check.

2016-02-03 11:30:15 +0100 Armin Novak (539be1f) 

	* Fixed unsigned underflow.

2016-02-03 11:23:41 +0100 Armin Novak (d1c59f7) 

	* Fixed invalid boolean check.

2016-02-03 11:22:27 +0100 Armin Novak (a1617c7) 

	* Fixed unused check.

2016-02-03 11:04:35 +0100 Armin Novak (511f9e8) 

	* Use ERROR_INVALID_DATA for short buffers.

2016-02-03 09:46:16 +0100 Martin Fleisz (9712509) 

	* Merge pull request #3103 from llyzs/memfix

2016-02-03 13:34:58 +0800 Vic Lee (73f895f) 

	* gcc: assigned string must not be freed.

2016-02-02 11:58:05 -0800 David PHAM-VAN (506749b) 

	* Activate WITH_MACAUDIO flag if the build is for OS X

2016-02-02 18:47:26 +0100 Martin Fleisz (220478e) 

	* Merge pull request #3101 from akallabeth/stdbool_detection_fix

2016-02-02 18:24:30 +0100 Armin Novak (9b0ef3a) 

	* Fixed stdint.h and stdbool.h detection.

2016-02-02 17:59:56 +0100 Armin Novak (96aecca) 

	* Fixed length check issue.

2016-02-02 16:10:33 +0100 Armin Novak (5c97075) 

	* Fixed stdbool.h and stdint.h detection.

2016-02-02 10:02:00 +0100 Martin Fleisz (c862ca3) 

	* Merge pull request #3099 from akallabeth/mac_fullscreen

2016-02-02 09:50:23 +0100 Armin Novak (c908b95) 

	* Reformatted patch.

2015-03-23 13:54:04 +0100 “John (8324b3d) 

	* Mac Fullscreen + window title

2016-02-01 16:01:32 +0100 Armin Novak (b8106a1) 

	* Updated documentation and default build config.

2016-02-01 15:25:40 +0100 Armin Novak (54a7d79) 

	* Restructured client project, moved to gradle build.

2016-02-01 15:22:10 +0100 Armin Novak (d04eb12) 

	* Added new android build scripts.

2016-02-01 15:21:07 +0100 Armin Novak (61633a1) 

	* Fixed android build issues.

2016-02-01 15:09:51 +0100 Armin Novak (cd05ea7) 

	* Fixed error checks for command line parser.

2016-02-01 13:02:38 +0100 Bernhard Miklautz (8ec3903) 

	* Merge pull request #3076 from
          akallabeth/remove_fixed_size_heap_strings

2016-02-01 13:00:23 +0100 akallabeth (cccc8b1) 

	* Merge pull request #3096 from bmiklautz/fix/nightlies

2016-02-01 12:47:00 +0100 Bernhard Miklautz (7b9881e) 

	* pkg/deb: fix nightly builds

2016-01-29 09:58:48 -0800 David PHAM-VAN (3f5ce2d) 

	* Refactor format_supported with a nice switch() statement

2016-01-25 13:53:19 -0800 David PHAM-VAN (8ef64ae) 

	* Add ADPCM codec for Mac client

2016-01-28 15:26:04 +0100 MartinHaimberger (e83f97b) 

	* Merge pull request #3093 from hardening/last_write_checks

2016-01-28 15:23:24 +0100 MartinHaimberger (83b706c) 

	* Merge pull request #3092 from akallabeth/get_build_config

2016-01-28 15:12:26 +0100 David FORT (b6dd7bb) 

	* Check more Stream_EnsureCapacity results when writing capabilities

2016-01-28 14:36:50 +0100 MartinHaimberger (99c0a73) 

	* Merge pull request #3091 from akallabeth/wlog_warning_fix

2016-01-28 14:30:18 +0100 akallabeth (5a2a2b8) 

	* Merge pull request #3090 from akallabeth/drdynvc_size_checks

2016-01-28 14:28:51 +0100 Hardening (a2aa56e) 

	* Merge pull request #3067 from akallabeth/reset_abort_event

2016-01-28 14:26:50 +0100 Armin Novak (035f127) 

	* Added get_build_config functions.

2016-01-28 12:25:44 +0100 Armin Novak (d847993) 

	* Using Stream_ReminingLength for read checks.

2016-01-28 12:08:57 +0100 Armin Novak (c251534) 

	* Fixed return value of WLog_FileAppender_WriteImageMessage

2016-01-28 12:05:14 +0100 Armin Novak (6f50589) 

	* Cleared up error code usage.

2016-01-28 11:45:06 +0100 Armin Novak (8595e39) 

	* Fixed size checks (thanks to @virtman)

2016-01-28 11:12:20 +0100 Armin Novak (57f1e26) 

	* Checking capability read return. Updated copyright headers.

2016-01-28 10:33:17 +0100 Martin Fleisz (7294a7f) 

	* Merge pull request #3078 from akallabeth/wlog_cmd_options

2016-01-28 10:32:14 +0100 Martin Fleisz (81f5060) 

	* Merge pull request #3088 from clangm/patch-1

2016-01-27 15:40:08 -0700 clangm (62a559a) 

	* fix typo

2016-01-27 23:02:11 +0100 Hardening (bb4a0c5) 

	* Merge pull request #3087 from DavBfr/fix-png-load

2016-01-13 15:09:03 -0800 David PHAM-VAN (3d22cbe) 

	* Fix png image loading that needed write access

2016-01-27 19:26:52 +0100 Armin Novak (e08ca73) 

	* Improved error checks.

2016-01-27 11:21:04 +0100 Armin Novak (06adbc9) 

	* Fixed realloc check, renamed filter variable.

2016-01-27 10:50:38 +0100 Hardening (d458bc2) 

	* Merge pull request #3073 from davewheel/cert_key_in_memory

2016-01-27 10:45:54 +0100 Hardening (7af1ec8) 

	* Merge pull request #3083 from akallabeth/capability_set_fix

2016-01-26 21:35:16 +0100 Armin Novak (974d2ef) 

	* Fix #3081, client string encoding.

2016-01-27 10:18:30 +0100 Martin Fleisz (a9e4ba0) 

	* Merge pull request #3069 from davewheel/4upstream-1

2016-01-27 10:13:32 +0100 Martin Fleisz (b2744f8) 

	* Merge pull request #3082 from
          hardening/check_client_and_server_capabilities

2016-01-26 16:14:48 +0100 David FORT (708d0cb) 

	* Check server and client capabilities

2016-01-26 09:56:01 +0100 Martin Fleisz (b6ad805) 

	* Merge pull request #3080 from hardening/capa_write

2016-01-26 09:34:22 +0100 Armin Novak (106479d) 

	* Fixed clientNameLen initialization.

2016-01-25 19:11:35 +0100 David FORT (137825e) 

	* Stream_EnsureCapacity return value aren't checked in
          capabilities_write

2016-01-24 15:21:06 +0100 Armin Novak (deffd0d) 

	* Fixed argument checks for drive channel.

2016-01-23 15:16:13 +0100 Armin Novak (46a079f) 

	* Added new command line options for logger.

2016-01-23 14:42:20 +0100 Hardening (507fba0) 

	* Merge pull request #3072 from giox069/master

2016-01-20 12:22:32 +0100 Giovanni Panozzo (c5a4ce7) 

	* Improve error logging after calling some BIO_ functions

2016-01-23 00:00:18 +0100 Hardening (bbf5c77) 

	* Merge pull request #3070 from davewheel/ntlm_attrs

2016-01-21 21:29:42 +0100 Bernhard Miklautz (ef6cb2b) 

	* Merge pull request #3075 from akallabeth/winpr_header_install_fix

2016-01-21 14:47:10 +0100 Armin Novak (73ec3d6) 

	* Removed fixed size strings.

2016-01-21 15:26:32 +0100 Armin Novak (78d3f45) 

	* Added cmake patch from @david-geiger

2016-01-21 00:17:59 +0100 davewheel (d5b8585) 

	* Allow to specify the raw content of crypto materials

2016-01-20 22:21:05 +0100 davewheel (a971f9e) 

	* Handle more NTLM attributes

2016-01-20 16:54:15 +0100 davewheel (121a234) 

	* Add better handling of monitors

2016-01-14 21:00:41 +0100 davewheel (ca9e908) 

	* Fix a security issue in monitors packet handling

2016-01-19 09:28:40 +0100 Martin Fleisz (3e19791) 

	* Merge pull request #3014 from bmiklautz/winpr_nt_file

2016-01-19 09:27:50 +0100 Martin Fleisz (07d5d16) 

	* Merge pull request #3059 from akallabeth/zlib_memleak_fix

2016-01-19 09:25:42 +0100 Martin Fleisz (059286d) 

	* Merge pull request #3066 from akallabeth/srccopy_fix

2016-01-19 09:24:22 +0100 Martin Fleisz (90783c7) 

	* Merge pull request #3068 from akallabeth/pkg_config_fix

2016-01-18 22:45:40 +0100 Armin Novak (20ada7d) 

	* Fix pkg-config generation.

2016-01-18 10:08:12 +0100 Armin Novak (5542fef) 

	* Resetting abort event on freerdp_connect.

2016-01-18 09:32:34 +0100 Armin Novak (93f3c06) 

	* Fixed memory overlap check.

2016-01-18 09:18:42 +0100 Armin Novak (123cd52) 

	* Fixed SRCCOPY, using memmove now.

2016-01-15 16:32:54 +0100 akallabeth (e2dbe5e) 

	* Merge pull request #3062 from bmiklautz/build_fix

2016-01-15 13:23:45 +0100 Bernhard Miklautz (ede0da3) 

	* build: fix a problem with cmake version 2.8.11

2016-01-15 10:16:08 +0100 Armin Novak (d2ab276) 

	* Fix memory leak in lodepng_zlib_compress

2016-01-15 09:51:51 +0100 Martin Fleisz (2db8c7e) 

	* Merge pull request #3052 from abma/fix3051

2016-01-15 09:51:07 +0100 Martin Fleisz (87c0913) 

	* Merge pull request #3054 from akallabeth/leak_fixes_v2

2016-01-14 16:00:31 +0100 Armin Novak (9b160d4) 

	* Fixed uninitialized value.

2016-01-14 15:55:25 +0100 Armin Novak (aa90673) 

	* Fixed memory leak on cleanup.

2016-01-14 15:42:20 +0100 Armin Novak (e7c8ea4) 

	* Fixed memory leak.

2016-01-14 15:36:34 +0100 Armin Novak (a0d6a1f) 

	* Fixed memory leak.

2016-01-15 01:59:08 +0100 abma (ba28668) 

	* fix keyboard release (thanks hardening!)

2016-01-14 10:58:45 +0100 akallabeth (4292631) 

	* Merge pull request #3049 from bmiklautz/api2.0

2016-01-13 17:37:19 +0100 Bernhard Miklautz (3232be5) 

	* Use major version only for SOVERSION

2016-01-13 23:05:32 +0100 abma (bedb4a2) 

	* fix #3051: fullscreen switching with CTRL+ALT+ENTER doesn't work
          any more

2016-01-13 14:35:19 +0100 Bernhard Miklautz (3b7d952) 

	* Merge pull request #3048 from bmiklautz/pkg_2.0

2016-01-13 14:14:04 +0100 Bernhard Miklautz (6ca5644) 

	* pkg: fix .deb based packages

2016-01-12 20:46:53 +0100 Hardening (1210421) 

	* Merge pull request #3046 from bmiklautz/tls12

2016-01-12 19:07:33 +0100 Martin Fleisz (f7ed7cc) 

	* Merge pull request #3043 from bmiklautz/prep2.0

2016-01-12 17:47:09 +0100 Bernhard Miklautz (183771b) 

	* Merge pull request #3045 from bmiklautz/adress_sanitize

2016-01-12 17:43:14 +0100 Bernhard Miklautz (aa80f63) 

	* tls: enable tls 1+

2016-01-11 16:18:40 +0100 Bernhard Miklautz (7c03db3) 

	* add parameter buildconfig

2016-01-08 14:07:35 +0100 Bernhard Miklautz (6fa3608) 

	* cleanup cmake exports and pkg-config files

2015-12-30 18:45:09 +0100 Bernhard Miklautz (b8136a3) 

	* build: remove FREERDP_MONOLITHIC_BUILD

2015-12-30 18:42:54 +0100 Bernhard Miklautz (25363c0) 

	* update .gitignore files

2015-12-21 08:00:14 +0100 Giovanni Panozzo (601c0b8) 

	* Add cmake flag -DWITH_SANITIZE_ADDRESS=on to enable GCC and clang
          AddressSanitizer

2016-01-12 17:03:35 +0100 Bernhard Miklautz (9b8b1d6) 

	* Merge pull request #3044 from akallabeth/duplicate_define_fix

2016-01-12 16:38:53 +0100 Armin Novak (a9e3368) 

	* Fixed broken duplicate define.

2015-12-16 16:25:09 +0100 Bernhard Miklautz (aa2709a) 

	* winpr: create a specific winpr nt file handle

2016-01-02 11:31:39 +0100 Bernhard Miklautz (c3ce0c3) 

	* Merge pull request #2871 from realjiangms/shadow_stand_alone2

2015-06-28 16:20:49 +0800 zihao.jiang (60ae27b) 

	* server/shadow: Completely decouple subsystem implementations and
          shadow framework internal details. It will be completely
          possible to implement subsystem with only
          include/freerdp/server/shadow.h and libfreerdp-shadow.

2015-12-18 10:50:51 +0100 Hardening (df81e84) 

	* Merge pull request #2932 from realjiangms/fix_gdi_brush

2015-12-17 16:37:54 +0100 Bernhard Miklautz (97edeca) 

	* Merge pull request #2874 from akallabeth/stdtypes

2015-12-17 16:25:16 +0100 Armin Novak (d25855b) 

	* Added comment to generated defines.

2015-12-17 13:30:41 +0100 Armin Novak (33500b4) 

	* Removed obsolete wtypes.h

2015-12-17 13:15:00 +0100 Armin Novak (ef23b45) 

	* Renamed HAVE_STDXX_H in public header.

2015-12-17 12:51:10 +0100 Bernhard Miklautz (188f6ef) 

	* Merge pull request #3016 from akallabeth/fix_missing_wlog_includes

2015-12-17 12:01:52 +0100 Armin Novak (f8565b8) 

	* Generating wtypes.h now with used defines.

2015-12-17 11:28:03 +0100 Armin Novak (120e5e2) 

	* Moved header detection defines to config.h

2015-12-17 10:59:59 +0100 Armin Novak (864f06b) 

	* Added missing include.

2015-12-17 00:04:53 +0100 Hardening (b35d0aa) 

	* Merge pull request #2779 from RolKau/2779_ptrbtn

2015-12-16 23:21:43 +0100 Roland Kaufmann (6f6f0b0) 

	* Move UnmapButtons settings to stable ABI section

2015-12-16 19:03:15 +0100 Bernhard Miklautz (d03b387) 

	* Merge pull request #2816 from akallabeth/known_hosts_locking

2015-12-16 18:33:19 +0100 Bernhard Miklautz (06307f1) 

	* winpr/file: disable buffering

2015-12-16 17:45:59 +0100 Bernhard Miklautz (79707cb) 

	* makecert: fix installation of .a file

2015-12-16 17:35:59 +0100 Armin Novak (5b2f4f5) 

	* Fixed FILE* leak and EndOfFile settings.

2015-12-16 15:15:46 +0100 Armin Novak (03a1ff8) 

	* Fixed unused warnings.

2015-12-15 17:43:32 +0100 Bernhard Miklautz (15fc35c) 

	* Merge pull request #2820 from akallabeth/pdb_file_install

2015-07-14 01:03:33 +0200 Roland Kaufmann (600d3c5) 

	* Add option to disable pointer button mapping

2015-07-14 00:31:12 +0200 Roland Kaufmann (9f43291) 

	* Get pointer button mapping from input system

2015-07-13 22:59:18 +0200 Roland Kaufmann (6ca8962) 

	* Map logical to physical mouse button events

2015-12-15 17:19:58 +0100 Armin Novak (197ba27) 

	* Changed symbol install to OFF.

2015-08-19 09:02:20 +0200 Armin Novak (6ed43cd) 

	* Updated pdb file locations.

2015-07-31 11:35:54 +0200 Armin Novak (cb958ba) 

	* Added pdb files to package target. Fixed name collision with
          freerdp-shadow targets.

2015-07-31 11:31:21 +0200 Armin Novak (e223684) 

	* args arrays static.

2015-12-15 11:23:43 +0100 Hardening (1b177fa) 

	* Merge pull request #2984 from bsagal/master

2015-12-14 21:48:31 +0200 Binyamin Sagal (23fea16) 

	* Fix horizontal scrolling direction and capability detection

2015-12-14 18:29:23 +0100 Armin Novak (a5db711) 

	* Implemented horizontal wheel support.

2015-11-24 15:41:46 +0200 Binyamin Sagal (d81784c) 

	* remove horizontal scroll maping to forward/back partal fix for
          #2302

2015-12-14 17:58:25 +0100 Bernhard Miklautz (7f7ef1a) 

	* Merge pull request #2831 from akallabeth/gdi_fix

2015-12-14 17:22:38 +0100 Hardening (55d097a) 

	* Merge pull request #2414 from zavadovsky/opensles_fixes

2015-12-14 17:21:58 +0100 Hardening (7b5051c) 

	* Merge pull request #2913 from realjiangms/shadow_fix_align

2015-12-14 16:09:47 +0100 Hardening (c44dc17) 

	* Merge pull request #2980 from akallabeth/clipboard_struct_fixes

2015-12-14 16:08:13 +0100 Hardening (292a37b) 

	* Merge pull request #2772 from bjcollins/master

2015-12-14 15:10:33 +0100 Hardening (58d80d2) 

	* Merge pull request #2973 from hopToDev/master

2015-11-10 11:45:49 +0100 Armin Novak (d339b98) 

	* Fixed broken #if #endif.

2015-09-08 13:03:13 +0200 Armin Novak (533e147) 

	* Fixed broken objective C detection.

2015-09-07 16:34:23 +0200 Armin Novak (ff24885) 

	* Fixed mixup of type defines.

2015-09-07 15:11:08 +0200 Armin Novak (6e69caa) 

	* Disabled definition of BOOL for objective C

2015-09-07 15:05:18 +0200 Armin Novak (c865237) 

	* Removed stdbool define for iOS.

2015-09-07 13:54:41 +0200 Armin Novak (00b8d80) 

	* Fixed callback function return

2015-09-07 13:54:19 +0200 Armin Novak (90251f5) 

	* Fixed OnNewChannelConnection arguments

2015-09-07 13:53:37 +0200 Armin Novak (639c176) 

	* Fixed DecodeEx return value

2015-09-07 13:52:35 +0200 Armin Novak (74c15a6) 

	* Fixed freerdp_assistance_file_new argument declaration

2015-09-07 12:09:39 +0200 Armin Novak (63894eb) 

	* Using stdint.h and stdbool.h for type definitions

2015-12-14 09:23:42 +0100 Armin Novak (6010932) 

	* Fixed possible race on file creation.

2015-12-11 12:09:33 +0100 Bernhard Miklautz (b02943a) 

	* Merge pull request #2928 from
          akallabeth/non_verbose_VerifyX509Certificate

2015-12-10 16:13:24 +0100 Hardening (70b9e99) 

	* Merge pull request #2941 from akallabeth/clipboard_file_fix

2015-12-10 13:57:05 +0100 Armin Novak (6506263) 

	* Fixed memory leak.

2015-12-10 10:40:14 +0100 Armin Novak (f0e3a2d) 

	* Added extended file seek tests.

2015-12-10 10:39:37 +0100 Armin Novak (fe51dd1) 

	* Fixed logging, added file name.

2015-12-10 10:37:44 +0100 Armin Novak (400d1b8) 

	* Fixed open mode for fdopen.

2015-12-09 18:29:41 +0100 Armin Novak (df528ce) 

	* Using locking winpr file functions for known hosts.

2015-12-09 18:29:16 +0100 Armin Novak (19744f3) 

	* Added additional file functions and tests.

2015-12-09 18:27:37 +0100 Armin Novak (d0e3528) 

	* Added winpr_strerror function.

2015-12-09 18:27:05 +0100 Armin Novak (a04f1f8) 

	* Added missing _snprintf define.

2015-12-09 14:56:56 +0100 Hardening (17a1127) 

	* Merge pull request #2976 from akallabeth/mac_audin_support

2015-12-09 14:41:53 +0100 Hardening (20f27f5) 

	* Merge pull request #2972 from akallabeth/option_fix

2015-12-08 22:46:29 +0100 Hardening (57fe581) 

	* Merge pull request #2824 from bjcollins/nla_auth_exit_code

2015-12-03 19:39:30 +0100 Hardening (b588075) 

	* Merge pull request #2979 from bmiklautz/bm/pre2.0_2

2015-11-30 10:52:40 +0100 Hardening (8ba1b1c) 

	* Merge pull request #2991 from xdqi/master

2015-11-29 00:14:29 +0800 Xiaodong Qi (602d271) 

	* Fix compilation error under Visual Studio 2010

2015-11-26 09:43:23 -0500 Marc-André Moreau (8cc799f) 

	* libwinpr-synch: fix non-Win32 build

2015-11-26 09:56:19 +0100 Hardening (3375865) 

	* Merge pull request #2983 from nitomartinez/master

2015-11-26 09:50:03 +0100 Nito Martinez (2d5c788) 

	* Fix formatting: else if in its own line and no brackets for single
          statements

2015-11-25 14:41:32 -0500 Marc-André Moreau (c0c9c93) 

	* winpr: more Win32 fixes

2015-11-25 13:46:25 -0500 Marc-André Moreau (c6eacd4) 

	* Merge branch 'master' of github.com:awakecoding/FreeRDP

2015-11-25 13:46:10 -0500 Marc-André Moreau (2f5d159) 

	* winpr: fix WinXP backwards compatibility

2015-11-25 08:36:49 +0100 Nito Martinez (89d8a68) 

	* Disable setting socket options for preexisting socket like:
          keepalive and tcp_nodelay, these should be set extenally
          if needed. Do not close the socket if the clientaddress
          could not be set

2015-11-23 11:53:20 +0100 Hardening (c63928f) 

	* Merge pull request #2981 from mfleisz/server_cliprdr_fix

2015-11-20 02:44:35 +0100 Nito Martinez (428cbd8) 

	* Fixes #2982. The idea is to be able to create the socket externally
          and pass that socket FD to FreeRDP so that it can be used
          there.

2015-11-19 16:29:57 +0100 Martin Fleisz (6890e0b) 

	* cliprdr/server: Fix incorrect message flags

2015-11-19 16:17:36 +0100 Martin Fleisz (fc2768f) 

	* cliprdr/server: Fix incorrect message header

2015-11-19 14:12:26 +0100 Martin Fleisz (3070cab) 

	* cliprdr/server: Fix parsing of file contents request PDU

2015-11-18 09:49:40 +0100 Armin Novak (75fc201) 

	* Fixed CLIPRDR_FILEDESCRIPTOR

2015-11-17 23:29:07 +0100 Bernhard Miklautz (428ac98) 

	* pkg: update version infos to 2.0

2015-08-19 10:25:59 +0300 ilammy (7bce7ef) 

	* client/X11: transfer raw clipboard format data

2015-08-19 10:59:49 +0300 ilammy (391ed0d) 

	* client/X11: transfer raw clipboard format lists

2015-08-14 22:57:42 +0300 ilammy (626e40a) 

	* client/X11: add raw clipboard transfer indication

2015-08-18 17:07:38 +0300 ilammy (532371d) 

	* client/X11: remove unused function

2015-08-18 17:05:48 +0300 ilammy (46fb66e) 

	* client/X11: send clipboard format data errors correctly

2015-08-19 17:25:17 +0300 ilammy (d7c9a31) 

	* client/X11: correctly trim terminating null bytes from strings

2015-08-17 11:35:19 +0300 ilammy (b9a2973) 

	* client/X11: improve named clipboard format support

2015-08-16 11:56:36 +0300 ilammy (8434709) 

	* client/X11: improve clipboard format search functions

2015-08-15 00:15:44 +0300 ilammy (4b67513) 

	* winpr/clipboard: add CF_RAW clipboard format ID

2015-11-13 11:47:58 +0100 Armin Novak (f4a466b) 

	* Added mac implementation.

2015-11-12 16:04:31 +0100 Armin Novak (f6e17ec) 

	* Added audin support for mac os.

2015-11-11 12:54:34 +0100 Hardening (be8f8f7) 

	* Merge pull request #2970 from bmiklautz/prep_2.0

2015-11-11 03:20:37 +0100 Bernhard Miklautz (555b749) 

	* Merge pull request #2971 from woutershep/cmake-manual-path

2015-11-10 11:39:37 -0800 Mehul Dhorda (044ebaa) 

	* Fixed build errors that occur when setting WITH_IOSAUDIO build
          option.

2015-11-10 11:34:05 -0800 Mehul Dhorda (c63ebab) 

	* Merge commit 'b5f8900bc45abbb36a03f58eed105c17a68e0516'

2015-11-10 10:59:13 -0600 bjcollins (d83386b) 

	* Fix issue with previous commit, Xext is not required for tsmf but
          the definition for it still needs to be added when found.

2015-11-10 16:29:09 +0100 Bernhard Miklautz (bff63b3) 

	* wlog: cleanup API includes

2015-11-10 14:18:51 +0100 Armin Novak (7b37156) 

	* Fixed cmake_dependent_option use.

2015-11-10 13:40:52 +0100 Bernhard Miklautz (be0845b) 

	* wlog/journald: don't set a default identifier

2015-11-10 12:05:23 +0100 Bernhard Miklautz (34c7073) 

	* wlog: change variable naming and fix documentation

2015-11-10 10:13:47 +0100 Hardening (b5f8900) 

	* Merge pull request #2917 from binglinoioij/master

2015-11-10 10:12:21 +0100 Hardening (bf147f7) 

	* Merge pull request #2930 from dbungert/glyph

2015-11-10 09:59:45 +0100 Hardening (aff69ab) 

	* Merge pull request #2962 from akallabeth/client_build_fixes

2015-11-09 21:57:41 +0100 Wouter van Kesteren (857c003) 

	* cmake: tweak manpage install location

2015-11-09 20:30:23 +0100 Bernhard Miklautz (59cc6c4) 

	* wlog: add some rudimentary documentation

2015-11-09 19:47:51 +0100 Bernhard Miklautz (2513798) 

	* wlog: fix build on windows

2015-11-09 19:37:02 +0100 Bernhard Miklautz (57f952b) 

	* wlog: fix android build

2015-11-09 19:26:34 +0100 Bernhard Miklautz (0cdb4f7) 

	* Fix compiler warnings

2015-11-09 18:27:38 +0100 Bernhard Miklautz (67368b2) 

	* Adapt error level for debug messages

2015-11-09 17:56:44 +0100 Bernhard Miklautz (0741759) 

	* wlog: rework, cleanup and stabilize API

2015-11-05 14:02:07 +0100 Bernhard Miklautz (d73c489) 

	* Add build-config.h

2015-11-05 12:29:41 +0100 Bernhard Miklautz (8206ae4) 

	* Pump version to 2.0.0

2015-11-09 13:42:02 +0100 Norbert Federa (2ac195e) 

	* Merge pull request #2964 from hardening/udp_appender

2015-11-06 23:17:11 +0100 David FORT (458aaa1) 

	* Take in account @nfedera's remarks

2015-11-06 13:43:44 +0100 Norbert Federa (13f710b) 

	* Merge pull request #2954 from mfleisz/cliprdr_fix

2015-11-06 13:34:42 +0100 Norbert Federa (3eee70b) 

	* Merge pull request #2926 from bjcollins/rail_fixes

2015-11-06 10:21:47 +0100 Hardening (f06556c) 

	* Merge pull request #2963 from nfedera/fix-fullscreen-multimon

2015-11-06 10:19:40 +0100 Hardening (248dcbe) 

	* Merge pull request #2968 from nfedera/fix-commandlinetoargv

2015-11-05 18:10:05 +0100 Norbert Federa (d6b5b90) 

	* winpr/argv: fix CommandLineToArgvA memory access

2015-11-05 11:57:47 -0500 Marc-André Moreau (5350d8e) 

	* mfreerdp: fix dynamic desktop resize

2015-11-04 18:11:19 +0100 David FORT (5fbf26a) 

	* Add an UDP appender to wLog

2015-11-04 17:58:21 +0100 Norbert Federa (7ddd15d) 

	* client/X11: fix post fullscreen repositioning

2015-11-04 15:01:31 +0100 Norbert Federa (48be081) 

	* client/X11: multimon/fullscreen fixes

2015-11-04 13:15:37 +0100 Armin Novak (9b7c35e) 

	* Fixed WITH_CLIENT_CHANNELS dependencies.

2015-11-04 09:53:13 +0100 Armin Novak (1ba4f9b) 

	* Added WITH_CLIENT_COMMON option.

2015-11-03 16:16:49 +0100 Armin Novak (d4d4271) 

	* Disabled client builds if WITH_CLIENT is not set.

2015-11-03 16:18:09 +0100 Armin Novak (b5288da) 

	* Fixed return values.

2015-11-03 12:22:22 +0100 Bernhard Miklautz (b83356a) 

	* Merge pull request #2961 from nfedera/nf-fix-image-copy-segfault

2015-11-03 12:05:47 +0100 Norbert Federa (0f1cedc) 

	* codec/color: fix segfault in freerdp_image32_copy

2015-11-02 10:50:16 +0100 Hardening (3d6e1fb) 

	* Merge pull request #2951 from bmiklautz/friday

2015-11-02 10:45:35 +0100 Bernhard Miklautz (8b3ed92) 

	* Merge pull request #2957 from hardening/journald

2015-11-01 21:34:03 +0100 David FORT (2a8de84) 

	* Take in account @bmiklautz remarks

2015-10-30 20:22:25 +0100 David FORT (e3915b6) 

	* Fix the env var leak

2015-10-30 20:20:42 +0100 David FORT (89156e5) 

	* Use unbuffered output

2015-10-30 14:50:14 +0100 David FORT (9ea3019) 

	* Adds a systemd journal appender

2015-10-29 18:44:14 +0100 Bernhard Miklautz (a011719) 

	* Merge pull request #2940 from hardening/syslog_appender

2015-10-29 18:33:42 +0100 David FORT (8d2aadf) 

	* Fixed a warning

2015-10-29 18:31:22 +0100 David FORT (c2a322f) 

	* Support syslog type for the WLOG_APPENDER env var

2015-10-29 12:45:12 +0100 Martin Fleisz (25b1e39) 

	* cliprdr/server: Server-side file content receiving used wrong
          callback

2015-10-29 10:32:58 +0100 David FORT (0cf2a0e) 

	* Don't include config.h in public headers

2015-10-28 15:55:17 +0100 Bernhard Miklautz (9520017) 

	* Merge pull request #2952 from mfleisz/server_cliprdr_config

2015-10-28 12:28:14 +0100 Martin Fleisz (ab6485b) 

	* cliprdr/server: Add comment

2015-10-27 21:45:26 +0100 David FORT (382993d) 

	* Include config.h file when needed

2015-10-27 17:12:33 +0100 Martin Fleisz (730f43a) 

	* cliprdr/server: Provide the server with a possibility to configure
          capabilities

2015-10-27 09:57:15 +0100 Armin Novak (b4dbe23) 

	* Fixed mixed declaration.

2015-10-23 12:07:36 +0200 Armin Novak (57c90ea) 

	* Fixed clipboard format for directory copy.

2015-10-23 11:31:54 +0200 Armin Novak (5de5309) 

	* Fixed directory copy from remote to local.

2015-10-22 10:01:12 +0200 Armin Novak (d538547) 

	* Disabled file locking, added response checks.

2015-10-22 09:31:47 +0200 Armin Novak (34191cd) 

	* Fixed clipboard file transfer.

2015-10-22 09:01:30 +0200 Armin Novak (17a2d1b) 

	* Fixed clipboard file contents response and message to string.

2015-10-23 18:17:14 +0200 Bernhard Miklautz (c70559d) 

	* winpr API: add EnvironmentBlockToEnvpA

2015-10-23 18:06:17 +0200 Bernhard Miklautz (ab05a79) 

	* winpr/stream: don't allow 0-size streams

2015-10-23 17:18:53 +0200 Bernhard Miklautz (a9d81ad) 

	* winpr: fix compiler warning

2015-10-23 12:38:13 +0200 Bernhard Miklautz (fa2c39f) 

	* Merge pull request #2945 from mfleisz/wlog_compile_fix

2015-10-23 12:08:20 +0200 Martin Fleisz (08cbcb3) 

	* wlog: Fix variable definitions

2015-10-23 15:59:07 +0800 Vic Lee (39195bd) 

	* Merge pull request #2929 from mfleisz/cliprdr_fix

2015-10-23 08:49:24 +0200 Martin Fleisz (2d99f76) 

	* cliprdr/server: Fix memory leak

2015-10-22 10:54:21 +0200 David FORT (d908031) 

	* Adapt to last wLog changes

2015-10-21 16:13:15 +0200 David FORT (720c879) 

	* Add a wLog syslog appender

2015-10-22 10:35:43 +0200 Hardening (94d107c) 

	* Merge pull request #2927 from MartinHaimberger/mh-log-returnvalues

2015-10-21 11:36:37 -0400 Marc-André Moreau (1b5f574) 

	* winpr: fix OpenSSL includes

2015-10-21 12:57:12 +0200 MartinHaimberger (16069e6) 

	* Merge pull request #2939 from nfedera/fix-x11-clip-id

2015-10-21 01:11:06 -0700 Martin Haimberger (b2398b3) 

	* wlog: fixed return values

2015-10-21 09:53:42 +0200 Martin Fleisz (364ab68) 

	* Merge pull request #2938 from LookBehind/master

2015-10-20 21:28:29 +0200 Norbert Federa (a458092) 

	* xfreerdp/clipr: fix self owned test and hardening

2015-10-20 18:05:09 +0400 LookBehind (95fe9ec) 

	* Fix rdp_recv_logon_error_info

2015-10-20 08:44:52 +0200 Martin Fleisz (d0cda5a) 

	* Merge pull request #2933 from realjiangms/fix_gdi_bitmap_update

2015-10-18 17:53:22 +0800 zihao.jiang (e8fb821) 

	* GDI: Fix gdi_bitmap_update to check dest buffer size.

2015-10-16 02:52:02 +0800 zihao.jiang (83d58cc) 

	* GDI: Fix usage of gdi_get_brush_pointer. Currently we get color
          from brush according to the offset in the paint region.
          According to MSDN
          https://msdn.microsoft.com/en-us/library/dd183396(v=vs.85).aspx,
          it should get color according to dest position instead of
          offset in paint region.

2015-10-16 11:40:25 +0200 Martin Fleisz (26d102c) 

	* cliprdr/server: Don't call CloseHandle on EventHandle

2015-10-16 09:50:18 +0200 Armin Novak (75ae38d) 

	* Silenced VerifyX509Certificate logging.

2015-10-16 10:38:11 +0200 Bernhard Miklautz (7aca1e0) 

	* Merge pull request #2910 from dupondje/master

2015-10-16 15:54:26 +0800 root (934c4ff) 

	* update values-zh/strings.xml

2015-10-15 19:10:04 -0500 bjcollins (ace5bba) 

	* Cleanup unnecessary/unintended changes from last commit

2015-10-15 18:41:55 -0500 bjcollins (8e27b6d) 

	* RemoteApp Support

2015-10-15 18:18:21 -0500 bjcollins (cc676c4) 

	* Remote app support

2015-10-15 14:59:53 -0500 bjcollins (cb4e4cf) 

	* Store Miscellaneous X11 Atoms into variables to match how we handle
          other X11 Atoms.

2015-10-15 14:47:10 -0500 bjcollins (d1a8119) 

	* RemoteApp support

2015-10-15 14:39:59 -0500 bjcollins (5bfbee8) 

	* Ensure that app windows always get a window type assigned to them.

2015-10-15 14:35:07 -0500 bjcollins (6934c18) 

	* Continue processing all other window orders for new remote app
          windows instead of existing after only looking at part of
          the information. For instance, window visibility rects are
          part of the message with the new order and were being
          ignored.

2015-10-15 14:31:15 -0500 bjcollins (964f0ad) 

	* Do not support fullscreen toggle keyboard sequence in remote_app
          mode. There is no support in interface for this and the
          fullscreen code is not designed to handle remote app
          windows.

2015-10-15 14:29:48 -0500 bjcollins (6d3565b) 

	* Fix xf_rail_paint fencepost error

2015-10-14 14:16:19 -0600 Daniel Bungert (32e2f81) 

	* Clamp ultra-wide glyph opRight vals to desktop width

2015-10-14 10:50:26 -0400 Marc-André Moreau (6223e31) 

	* Merge pull request #2924 from awakecoding/master

2015-10-13 15:50:39 -0400 Marc-André Moreau (029cbf3) 

	* libfreerdp-gdi: fix egfx multimon support

2015-10-13 14:49:30 -0400 Marc-André Moreau (4ab373a) 

	* xfreerdp: fix multiple egfx context support in X11 GFX

2015-10-13 11:09:43 -0400 Marc-André Moreau (1b7e36a) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-10-13 10:40:28 -0400 Marc-André Moreau (863939f) 

	* Merge pull request #2919 from realjiangms/fix_allow_empty_password

2015-10-13 10:23:58 -0400 Marc-André Moreau (91663df) 

	* Merge pull request #2920 from awakecoding/mbedtls

2015-10-13 09:54:59 -0400 Marc-André Moreau (329194b) 

	* libwinpr-crypto: fix OpenSSL 1.0 HMAC API change

2015-10-13 09:43:26 -0400 Marc-André Moreau (6ab29da) 

	* libwinpr-crypto: fix error checking

2015-10-13 09:13:52 -0400 Marc-André Moreau (0a7e07a) 

	* libwinpr-crypto: avoid linking to less common digests and ciphers

2015-10-13 08:53:45 +0200 Hardening (8ee0eb4) 

	* Merge pull request #2912 from realjiangms/shadow_fix_auth_nopasswd

2015-10-09 15:58:50 -0400 Marc-André Moreau (87780a8) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP into mbedtls

2015-10-09 15:57:41 -0400 Marc-André Moreau (4f76986) 

	* winpr: make clean non-OpenSSL build possible (without schannel,
          makecert)

2015-10-09 15:23:15 -0400 Marc-André Moreau (82afb0f) 

	* libwinpr-crypto: add generic digest API and OpenSSL compatible key
          derivation

2015-10-10 01:48:41 +0800 zihao.jiang (a7f4685) 

	* Sec/NLA: Support passwordless (blank password) login with NLA. It
          was supported in freerdp 1.0.2 but not supported in
          lastest master. We should take empty password if it is
          explicitly specified with /v option. If a password is not
          specified, we could first try SAM file. If the user entry
          does not exist, prompt for password.

2015-10-09 12:15:31 -0400 Marc-André Moreau (54292f2) 

	* libwinpr-crypto: add generic cipher API with OpenSSL/mbedtls
          support

2015-10-08 16:48:58 -0400 Marc-André Moreau (87c4212) 

	* libwinpr-sspi: remove OpenSSL dependency in NTLM SSPI module

2015-10-08 16:26:37 -0400 Marc-André Moreau (5bff1d0) 

	* libwinpr-crypto: add rand and RC4 functions with OpenSSL/mbedtls

2015-10-08 13:58:55 -0400 Marc-André Moreau (7521ecd) 

	* libwinpr-crypto: add basic hashing and HMAC support with
          OpenSSL/mbedTLS

2015-10-08 17:20:44 +0800 clouder (1030f8d) 

	* add values-zh/string.xml

2015-10-06 10:56:24 -0400 Marc-André Moreau (ac62d43) 

	* winpr: isolate OpenSSL

2015-10-06 09:02:22 +0200 Martin Fleisz (d277346) 

	* Merge pull request #2914 from sriramster/master

2015-10-05 16:23:44 -0400 Marc-André Moreau (94a2f95) 

	* winpr: start porting to non-OpenSSL

2015-10-05 22:42:59 +0530 Sriram Raghunathan (1c1e215) 

	* Remove warning: HANDLE event variable unused

2015-10-02 16:09:12 +0800 zihao.jiang (50e5837) 

	* Server/Shadow: Fix Authentication in shadow_client.c. Currently if
          username or password is not set, the authentication is
          always failed because the authentication callback is never
          tried. Fix to always give a chance to try the subsystem
          authentication callback even if username / password is not
          set.

2015-09-25 01:29:40 +0800 zihao.jiang (86a3b30) 

	* Server/Shadow: Fix invalid ALIGN in
          shadow_client_send_bitmap_update

2015-10-05 08:44:42 -0400 Marc-André Moreau (6d810a5) 

	* Merge pull request #2909 from akallabeth/clipboard_remove_copy

2015-10-05 08:40:34 -0400 Marc-André Moreau (8ffb7ba) 

	* Merge pull request #2901 from volth/patch-1

2015-10-04 18:17:33 +0200 Jean-Louis Dupond (bea27fd) 

	* FindGStreamer_1_0: fix build failure for new gstreamer versions

2015-10-02 09:29:00 +0200 Armin Novak (82134fb) 

	* Remove unnecessary copy operation.

2015-10-01 13:45:20 +0200 Martin Fleisz (2d641c4) 

	* Merge pull request #2864 from bjcollins/smartcard_same_name_readers

2015-10-01 11:28:47 +0200 Norbert Federa (2df3cda) 

	* Merge pull request #2908 from hardening/fix_region

2015-09-30 21:14:43 +0200 David FORT (ff92a12) 

	* Fix a bug in region_union_rect()

2015-09-24 21:18:46 +0200 Hardening (1e1983b) 

	* Merge pull request #2903 from ssieb/fix-redir

2015-09-24 10:37:21 -0700 Samuel Sieb (812e14a) 

	* Don't fail the redirect if padding wasn't sent before disconnecting

2015-09-23 18:40:34 +0000 volth (2b7681d) 

	* Update xf_keyboard.c

2015-09-22 11:53:50 -0400 Marc-André Moreau (3fd0c45) 

	* afreerdp: fix build warnings

2015-09-21 23:42:32 +0200 Hardening (62da9d2) 

	* Merge pull request #2899 from awakecoding/master

2015-09-21 15:36:19 -0400 Marc-André Moreau (a915061) 

	* libfreerdp-core: fix redirection with standard RDP security

2015-09-21 14:31:47 +0200 Martin Fleisz (859a097) 

	* Merge pull request #2897 from bjcollins/rail_fix_window_title

2015-09-21 13:50:29 +0200 Hardening (77e113c) 

	* Merge pull request #2898 from
          bjcollins/smartcard_status_buffer_size

2015-09-18 16:55:06 -0500 bjcollins (456416a) 

	* Dont use invalid/bogus input value for cbAtrLen for Smartcard
          Status Calls, instead just always use the max value here
          to indicate we have max buffer space available.

2015-09-18 16:14:30 -0500 bjcollins (47c2601) 

	* fix window title for rail as it was not being set on initial window
          creation remove duplicate call to XStoreName when setting
          window title expand WITH_XEXT #define for rail window
          rects as extra unecessary work was being done when
          WITH_XEXT was not defined

2015-09-18 11:57:01 -0400 Marc-André Moreau (d1cb341) 

	* Merge pull request #2896 from awakecoding/master

2015-09-18 11:38:27 -0400 Marc-André Moreau (70b0371) 

	* libwinpr-synch: fix broken FD_ISSET check caused by hidden type
          cast from int to char

2015-09-17 16:19:55 -0500 bjcollins (9b2d5ce) 

	* Fix logic with stream syncing as the sync offset was not always
          calculated correctly, which could result in video playback
          freezing. Fixed formatting of some tsmf debugging
          timestamps so they are readable/usabe.

2015-09-16 12:46:45 -0500 bjcollins (d975470) 

	* Fixed memory leak in tsmf_send_eos_response() function Correctly
          handled tsmf geometry updates with no rects = tsmf window
          should not be shown Add more X Display locking to tsmf
          gstreamer X11 module

2015-09-16 12:45:25 -0500 bjcollins (0cb5411) 

	* Remove strict dependency on Xext for tsmf, it is optional not
          required

2015-09-03 12:58:16 -0500 bjcollins (ca097e7) 

	* Fix minor issues with the previous tsmf commits.

2015-07-08 13:10:21 -0500 bjcollins (8d69299) 

	* tsmf gstreamer fixes - Update patch based on feedback - Fix
          gstreamer 1.0 compatibility/build issue from first patch

2015-07-07 16:39:29 -0500 bjcollins (e870454) 

	* - Use decodebin2 instead of old decodebin - decodebin has issues -
          Use autovideosink - xvimagesink does not work with cards
          with no xv ports available and cant be used if wanted to
          use the fluendo hardware accelerated playback codec - Use
          autoaudiosink - let gstreamer choose best audio playback
          plugin - Catch when autosinks add known elements so that
          we can manipulate properties on them - Adjust caps of
          various media types to work better with gstreamer, some
          codecs are picky about having certain fields available -
          Remove unneeded plugins such as "ffmpegcolorspace" and
          "videoscale" - these do not work correctly with fluendo
          hardware accelerated playback codec - Name audio/video
          gstreamer elements better for easier debugging - Update
          gstreamer pipeline and element properties to handle
          playback better - Detect when valid timestamps are
          available for buffer from server and try to account for
          when they are not valid - Start time is much more reliable
          then end time from server for various media formats, so
          use it when possible to make decisions instead of end time
          - Do not rebuild gstreamer pipeline for a seek(very
          expensive), instead reset gstreamer time to 0 and maintain
          offset between real time and gstreamer time - Change
          buffer filled function back to a buffer level function, so
          that we can use buffer level to make better choices above
          gstreamer decoder in tsmf - Remove ack function from
          gstreamer, instead rely on ack thread to handle acks -
          Rework X11 gstreamer code to handle various videosinks
          which implement the XOverlayInterface and to keep more
          detailed information on the sub-window that is used for
          display - Add check to see if a decoder is available for
          telling the server the client various media types - Add in
          support for M4S2 and WMA1 media types - Fix flush message
          handling, they are for individual streams and not the
          entire presentation - Delay eos response to try to allow
          more time for buffers to be loaded into decoder, as we
          anticipate acks to server and the server will issue stop
          as soon as we ack eos. - Fix issue with geometry info
          being ignored when resent for new streams within existing
          presentation - Fixed volume level initialization issue
          when a stream is stopped and restarted - Attempt to sync
          video/audio streams...because we run two different
          gstreamer pipelines - they can enter pause/playing states
          at different times and are thus not synchronized. Attempt
          to adjust video buffer timestamps based on difference
          between audio/video running time to account for this
          difference. This logic accounts for a huge improvement in
          audio/video sync(ie. lip sync to words)

2015-09-17 14:32:40 -0400 Marc-André Moreau (9c35b73) 

	* libfreerdp-core: fix gateway connectivity on Windows

2015-09-17 11:16:20 -0400 Marc-André Moreau (8a5c557) 

	* libwinpr-sspi: don't warn about non-error security statuses

2015-09-17 16:02:00 +0200 Martin Fleisz (f8ceb3f) 

	* Merge pull request #2895 from aballier/ffmpeg

2015-09-17 10:36:44 +0200 Alexis Ballier (b7b6696) 

	* channels/tsmf/client/ffmpeg: Fix build with ffmpeg git master.

2015-09-17 10:33:43 +0200 Martin Fleisz (affe82c) 

	* Merge pull request #2890 from realjiangms/shadow_fix_memory_leak

2015-09-15 23:17:22 +0800 zihao.jiang (f21749a) 

	* server: Fix several memory leak while running valgrind on
          freerdp-shadow

2015-09-16 10:41:32 -0400 Marc-André Moreau (6dff045) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-09-16 10:41:07 -0400 Marc-André Moreau (48c7a8d) 

	* Merge pull request #2889 from dvincent-devolutions/gateway

2015-09-16 09:54:03 -0400 Denis Vincent (3ea0fe0) 

	* Small corrections to BIO implementation.

2015-09-15 20:52:46 -0400 Marc-André Moreau (8e3baed) 

	* cmake: add mbed TLS detection

2015-09-15 19:59:41 -0400 Marc-André Moreau (c0a887d) 

	* libfreerdp-crypto: add locking of operations dealing with SSL*

2015-09-15 14:17:13 -0500 bjcollins (ee3b39d) 

	* Remove unnecessary variable to keep track of nlaFailure, instead
          just set the NLA authentication error in the callback
          where it is detected.

2015-09-03 15:27:58 -0500 bjcollins (be47c6f) 

	* Remove unused functions from initial code to handle NLA
          authentication failures.

2015-09-03 14:45:40 -0500 bjcollins (7fbc7e4) 

	* Clean up NLA authentication failure handling code 1. Make use of
          freerdp_set_last_error to set authentication failure
          without the helper functions 2. Rename ssl callback
          function 3. Break out AuthenticationOnly exit handling
          from bad connect handling

2015-08-04 16:52:44 -0500 bjcollins (32a1406) 

	* Return FREERDP_ERROR_AUTHENTICATION_FAILED on an authentication
          failure when using NLA with xfreerdp.

2015-09-15 13:03:11 -0400 Marc-André Moreau (3f2915e) 

	* libfreerdp-core: alternative RDG BIO fix

2015-09-15 10:37:57 -0400 Marc-André Moreau (12ce635) 

	* libfreerdp-core: fix code style

2015-09-15 15:57:56 +0200 Martin Fleisz (912cd96) 

	* Merge pull request #2887 from FreeRDP/mh-file-api-extension

2015-09-15 09:24:04 -0400 Marc-André Moreau (5f66420) 

	* Merge branch 'gateway' of
          https://github.com/dvincent-devolutions/FreeRDP

2015-09-15 15:16:37 +0200 MartinHaimberger (2b2af6c) 

	* Merge pull request #2886 from clangm/master

2015-09-15 09:12:00 -0400 Marc-André Moreau (2c3c693) 

	* Merge pull request #2888 from awakecoding/master

2015-09-15 09:08:47 -0400 Marc-André Moreau (875c703) 

	* Merge pull request #2879 from peterh/shape

2015-09-15 09:03:39 -0400 Denis Vincent (6d55635) 

	* libfreerdp-core: Gateway RDP8 BIO correction. Fixes connection
          losses.

2015-09-15 14:53:55 +0200 MartinHaimberger (db2ce49) 

	* Merge pull request #2763 from akallabeth/nla_null_auth

2015-09-15 14:45:42 +0200 MartinHaimberger (d4d360f) 

	* Merge pull request #2859 from akallabeth/resource_leak_fix

2015-09-15 04:14:30 -0700 Martin Haimberger (925e4ea) 

	* winpr/file: extend API

2015-09-15 01:18:19 +0200 Bernhard Miklautz (0748547) 

	* winpr/file: extend API

2015-09-15 09:07:15 +0200 Hardening (d5a0542) 

	* Merge pull request #2883 from bceverly/master

2015-09-14 14:34:24 -0400 Marc-André Moreau (01b52d0) 

	* winpr: fix ARM64 data type portability

2015-09-14 13:21:00 -0400 Bryan Everly (37b3881) 

	* Merge remote-tracking branch 'upstream/master'

2015-09-14 13:20:11 -0400 Bryan Everly (bd149a2) 

	* Cleaned up previous OpenBSD change per recommendation

2015-09-14 17:15:50 +0200 MartinHaimberger (735383b) 

	* Merge pull request #2877 from bmiklautz/filehandling

2015-09-11 15:01:31 -0600 clangm (ac089f8) 

	* Removed if statement that was causing network characteristics
          autodetect to not work

2015-09-11 08:54:40 -0400 Bryan Everly (3431e8e) 

	* Updated OpenBSD changes

2015-09-11 09:43:48 +0200 Hardening (02c86de) 

	* Merge pull request #2880 from bceverly/master

2015-09-10 21:31:13 -0400 Bryan Everly (cb533b2) 

	* Fixes for OpenBSD port

2015-09-10 18:15:55 -0400 Peter Harris (5f2f68f) 

	* xfreerdp: Fix window shape

2015-09-10 15:23:11 +0200 Martin Fleisz (aff46f2) 

	* Merge pull request #2878 from akallabeth/screen_orientation_types

2015-09-10 13:26:37 +0200 Armin Novak (e685f13) 

	* Added ORIENTATION_PREFERENCE from WinUser.h.

2015-09-10 11:50:10 +0200 Bernhard Miklautz (0d9dfb9) 

	* winpr/file: integrate pull request feedback

2015-09-09 17:07:40 +0200 Bernhard Miklautz (0f5e7c6) 

	* winpr/file: don't close stdin/stdout/stderr

2015-09-09 16:59:03 +0200 Bernhard Miklautz (8091530) 

	* winpr/file: fix ios build

2015-09-09 16:47:03 +0200 Bernhard Miklautz (6b52a2e) 

	* winpr/file: initial regular file support

2015-09-09 15:48:59 +0200 Bernhard Miklautz (204ae54) 

	* winpr/file: refactoring

2015-09-07 11:42:07 +0200 Bernhard Miklautz (4626f17) 

	* Merge pull request #2868 from nfedera/fix-inverted-pointer-colors

2015-09-07 11:15:51 +0200 Bernhard Miklautz (868add7) 

	* Merge pull request #2873 from mfleisz/makecert_change

2015-09-07 11:10:27 +0200 Armin Novak (911750f) 

	* Checking for allocation value > 0

2015-09-07 10:43:19 +0200 Martin Fleisz (899d087) 

	* makecert: Remove key usage attribute

2015-09-07 10:26:34 +0200 Hardening (aca347e) 

	* Merge pull request #2872 from akallabeth/recording_fix

2015-09-07 10:05:24 +0200 MartinHaimberger (d971116) 

	* Merge pull request #2765 from akallabeth/connect_abort

2015-09-07 09:24:45 +0200 Armin Novak (d07875b) 

	* Fixed error checking and recording reset.

2015-09-05 18:55:08 +0200 Armin Novak (4d77f2a) 

	* Fixed CreateProcess argument initialisation.

2015-09-05 17:00:27 +0200 Armin Novak (91d318b) 

	* Enable RFX for test connection, now required by sample server.

2015-09-05 16:26:46 +0200 Armin Novak (f7a11a0) 

	* Resetting abortEvent on disconnect to avoid race during connect.

2015-09-05 16:26:29 +0200 Armin Novak (01496f4) 

	* Fixed error handling for rdp_client_connect fail.

2015-09-05 15:18:01 +0200 Armin Novak (7d8ab23) 

	* WSAEvent fixes ported from realjiangms pull 2870.

2015-09-05 14:57:30 +0200 Armin Novak (188fe4e) 

	* Removed rdp disconnect, using unified abortEvent instead.

2015-09-04 17:20:17 +0200 Bernhard Miklautz (17834af) 

	* Merge pull request #2869 from peterh/negorigin

2015-09-03 18:42:53 -0400 Peter Harris (769ac2d) 

	* Fix drawing with negative window origin

2015-09-03 16:50:41 +0200 Norbert Federa (1791d42) 

	* improve handling of inverted pointer colors

2015-09-03 14:42:36 +0200 Norbert Federa (72d9014) 

	* Merge pull request #2865 from akallabeth/h264_ignore_errors

2015-09-03 14:22:40 +0200 Martin Fleisz (607dfe2) 

	* Merge pull request #2867 from akallabeth/channel_error_reset

2015-09-03 13:43:08 +0200 Armin Novak (3b80432) 

	* Resetting channel error on connect.

2015-09-03 13:37:16 +0200 Armin Novak (ce479e3) 

	* Fixed uninitialized environment block.

2015-09-03 12:05:02 +0200 Armin Novak (551eca2) 

	* Ignoring H264 decompression failures.

2015-09-03 12:00:22 +0200 Armin Novak (e345feb) 

	* Generalized rdpgfx_decode to work with all codecs.

2015-09-02 12:11:47 -0500 bjcollins (ac67e25) 

	* Give unique aliases for smartcards with the same name, so that two
          readers do not end up with the same alias.

2015-09-02 13:57:04 +0200 Armin Novak (6c74dbb) 

	* Reverted broken malloc size fix.

2015-09-02 12:43:11 +0200 Martin Fleisz (ad4a862) 

	* Merge pull request #2861 from llyzs/winmm_volume_fix

2015-09-02 10:09:11 +0200 MartinHaimberger (74817ef) 

	* Merge pull request #2852 from bmiklautz/process_env

2015-09-02 15:15:15 +0800 Vic Lee (cc1bcb3) 

	* rdpsnd/winmm: fix SetVolume when device is not opened.

2015-09-01 12:34:40 +0200 Armin Novak (61e7f99) 

	* Fixed possible memory leak.

2015-09-01 12:27:54 +0200 Armin Novak (97f7aa8) 

	* Fixed uninitialized values.

2015-09-01 12:21:25 +0200 Armin Novak (c7238fb) 

	* Fixed uninitialized values.

2015-09-01 12:05:22 +0200 Armin Novak (2a6318b) 

	* Fixed zero length allocation.

2015-09-01 11:58:43 +0200 Armin Novak (aa43f3b) 

	* Fixed zero lenght allocation.

2015-09-01 11:57:22 +0200 Armin Novak (08f61e6) 

	* Fixed zero length allocation.

2015-09-01 11:56:02 +0200 Armin Novak (6c288bd) 

	* Fixed zero length allocation.

2015-09-01 11:49:11 +0200 Armin Novak (2c7a20d) 

	* Fixed uninitialized memory.

2015-09-01 11:44:15 +0200 Armin Novak (2058783) 

	* Fixed array out of bound access.

2015-09-01 11:41:45 +0200 Armin Novak (cdf884f) 

	* Fixed broken structure comparison.

2015-09-01 11:39:56 +0200 Armin Novak (7cd3da9) 

	* Fixed error handling of OSS audio plugin.

2015-09-01 11:31:12 +0200 Armin Novak (cb79277) 

	* Fixed resource leak.

2015-09-01 11:09:42 +0200 Norbert Federa (2d5e249) 

	* Merge pull request #2825 from akallabeth/pointer_decoding_fix

2015-09-01 09:25:41 +0200 Armin Novak (89227b9) 

	* Ignore AND mask for 32 bit pointer.

2015-08-31 09:50:21 +0200 Bernhard Miklautz (1f13781) 

	* Merge pull request #2855 from akallabeth/memleak_fixes

2015-08-31 09:13:15 +0200 Armin Novak (893e7a3) 

	* Fixed broken cleanup code.

2015-08-30 22:31:08 +0200 Hardening (2fb232c) 

	* Merge pull request #2854 from bmiklautz/issue/2853

2015-08-28 11:46:24 +0200 Armin Novak (2766852) 

	* Fixed cleanup code.

2015-08-28 11:17:20 +0200 Armin Novak (5e360dd) 

	* Fixed memory leak.

2015-08-28 11:09:38 +0200 Bernhard Miklautz (05c02da) 

	* settings: update settings/help to match

2015-08-28 11:07:25 +0200 Armin Novak (5cad081) 

	* Fixed memory leak.

2015-08-28 11:06:26 +0200 Armin Novak (26b1f5a) 

	* Fixed memory leak.

2015-08-28 11:05:44 +0200 Armin Novak (198b70d) 

	* Fixed memory leak.

2015-08-28 11:01:34 +0200 Armin Novak (1cedbd5) 

	* Fixed memory leak.

2015-08-28 10:59:48 +0200 Armin Novak (dd9d66a) 

	* Fixed NONNULL argument warnings.

2015-08-28 10:58:20 +0200 Armin Novak (07bba9b) 

	* Fixed NONNULL argument warnings.

2015-08-28 10:53:43 +0200 Armin Novak (a8cd9e0) 

	* Fixed resource leak.

2015-08-28 10:51:27 +0200 Armin Novak (f8295a1) 

	* Fixed resource cleanup double free.

2015-08-28 10:31:22 +0200 Bernhard Miklautz (72f13ae) 

	* CreateProcess: add stdin/out/err redirection

2015-08-28 10:26:42 +0200 Bernhard Miklautz (c0d1f5b) 

	* codec/rfx: update comment and remove WLog_ERR

2015-08-27 10:20:18 -0400 Marc-André Moreau (a700d1d) 

	* Merge pull request #2716 from realjiangms/shadow_xor_pointer

2015-08-27 10:19:25 -0400 Marc-André Moreau (97c38e7) 

	* Merge pull request #2739 from realjiangms/shadow_resize

2015-08-27 10:15:29 -0400 Marc-André Moreau (fdac05b) 

	* Merge pull request #2798 from psumbera/master

2015-08-27 10:11:50 -0400 Marc-André Moreau (e1e4d2a) 

	* Merge pull request #2827 from HenryJacques/winpr_cleanup

2015-08-27 10:05:23 -0400 Marc-André Moreau (90b7d42) 

	* Merge pull request #2838 from akallabeth/smartcard_no_readers

2015-08-27 10:04:48 -0400 Marc-André Moreau (8768946) 

	* Merge pull request #2844 from akallabeth/getcomputername_fix

2015-08-27 10:00:47 -0400 Marc-André Moreau (f7ea8d1) 

	* Merge pull request #2829 from akallabeth/mf_compile_option

2015-08-04 13:34:28 +0200 Armin Novak (c3a1f56) 

	* Resetting signals on freerdp_connect.

2015-07-30 08:18:57 +0200 Armin Novak (fda56c0) 

	* Added missing NULL pointer checks.

2015-07-29 15:52:52 +0200 Armin Novak (7ebf487) 

	* Fixed uninitialised events.

2015-07-29 15:46:40 +0200 Armin Novak (4cfd7a4) 

	* Aborting transport layer now if requested.

2015-07-14 11:58:01 +0200 Armin Novak (134a16d) 

	* Fixed WSAEventSelect mode reset.

2015-07-03 11:56:57 +0200 Armin Novak (1cbeb10) 

	* Added unit test for freerdp_connect

2015-07-03 11:49:40 +0200 Armin Novak (e6c23cb) 

	* Implemented Async TCP connect with abort event

2015-08-27 09:24:10 -0400 Marc-André Moreau (223e0c7) 

	* Merge pull request #2785 from MartinHaimberger/mh-channel-fix

2015-08-27 05:25:09 -0700 Martin Haimberger (52405a3) 

	* Remove WIN32ERROR type

2015-08-27 11:42:45 +0200 Hardening (9101135) 

	* Merge pull request #2846 from llyzs/monitor

2015-08-27 11:28:37 +0200 Martin Fleisz (157f5af) 

	* Merge pull request #2847 from
          akallabeth/base64_decode_ensure_null_termination

2015-08-27 16:18:22 +0800 Vic Lee (6f639c1) 

	* gcc: read and write desktop scale settings in core data.

2015-08-27 09:27:23 +0200 Armin Novak (dfa7ac6) 

	* Ensure output of crypto_base64_decode is NULL terminated.

2015-08-27 14:10:42 +0800 Vic Lee (8394d8c) 

	* gcc: read and write monitor extended data.

2015-08-26 12:14:46 +0200 Armin Novak (db3fa9a) 

	* Added gdi_CreateBitmapEx function.

2015-08-25 17:44:03 +0200 Armin Novak (d557690) 

	* x509_get_default_name tries to get FQDN before hostname now.

2015-08-25 17:43:22 +0200 Armin Novak (1abd652) 

	* Fixed GetComputerNameExA and GetComputerNameA.

2015-08-25 00:07:04 -0700 Martin Haimberger (420a86e) 

	* Merge remote-tracking branch 'upstream/master' into mh-channel-fix

2015-08-19 12:50:48 +0200 Armin Novak (c40f319) 

	* Added return value checks.

2015-08-12 12:52:48 +0200 Armin Novak (e8554a5) 

	* Selecting correct bitmap in hdc now.

2015-08-12 11:15:07 +0200 Armin Novak (8024a08) 

	* Updated tests for new gdi_CreateBitmap API.

2015-08-12 10:49:59 +0200 Armin Novak (253a60a) 

	* Fixed GDI_BITMAP, now using custom deallocation function.
          gdi_surface_bits: Now properly discarding old bitmap
          before creating a new one.

2015-08-11 07:51:59 +0200 Armin Novak (4ed701b) 

	* media foundation support now a compile time option.

2015-08-06 14:43:39 +0200 Armin Novak (7983c2f) 

	* Fixed duplicate int.

2015-08-06 14:11:36 +0200 Armin Novak (be673f5) 

	* Fixed mac API.

2015-08-06 11:24:42 +0200 Armin Novak (4a62e6b) 

	* Added length arguments and checks.

2015-08-05 18:38:50 +0200 HenryJacques (e9a7da3) 

	* Remove unused variable

2015-08-05 17:32:46 +0200 Armin Novak (416ac0b) 

	* Fixed return and argument checks.

2015-08-05 17:32:38 +0200 Armin Novak (4df5e2b) 

	* Fixed argument checks.

2015-08-05 17:19:46 +0200 Armin Novak (0cbc46d) 

	* Fixed pointer update decoding with NULL mask.

2015-08-04 12:33:37 -0400 Marc-André Moreau (e45ebd8) 

	* Merge pull request #2823 from awakecoding/master

2015-08-04 11:55:38 -0400 Marc-André Moreau (d732919) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-08-04 11:55:03 -0400 Marc-André Moreau (162411d) 

	* libfreerdp-codec: fix Windows XP build for H.264 decoder

2015-08-04 10:26:13 -0400 Marc-André Moreau (8fb9535) 

	* libfreerdp-codec: fix leaks in H.264 Media Foundation decoder

2015-08-03 16:21:48 -0400 Marc-André Moreau (d952502) 

	* libfreerdp-codec: initial Media Foundation H.264 decoder support

2015-08-03 09:23:54 +0200 Bernhard Miklautz (4fb0ad0) 

	* Merge pull request #2811 from
          clivest/client_channel_interface_leak_fix

2015-07-31 08:19:03 +0200 Martin Fleisz (b136760) 

	* Merge pull request #2817 from FreeRDP/mh-fix-collection-free

2015-07-30 14:07:35 -0400 Marc-André Moreau (32d1053) 

	* libfreerdp-codec: add more Media Foundation H.264 code

2015-07-30 07:50:10 -0700 Martin Haimberger (414d4b8) 

	* fixed wrong returntype under windows

2015-07-30 07:29:12 -0700 Martin Haimberger (2862109) 

	* Merge remote-tracking branch 'upstream/master' into mh-channel-fix

2015-07-30 07:02:36 -0700 Martin Haimberger (008d9f3) 

	* fixed misc *_free functions to accept NULL

2015-07-30 06:49:21 -0700 Martin Haimberger (65fd259) 

	* misc fixes:

2015-07-30 14:09:13 +0200 Hardening (ee41790) 

	* Merge pull request #2815 from FreeRDP/mh-wait-SetLastError

2015-07-30 02:52:11 -0700 Martin Haimberger (479157b) 

	* winpr: WaitFor*Ojbect/s set lastError now

2015-07-30 11:05:00 +0200 MartinHaimberger (c605e32) 

	* Merge pull request #3 from bmiklautz/pull/2785

2015-07-29 16:33:04 -0400 Marc-André Moreau (4dc47d4) 

	* libfreerdp-codec: start H.264 MediaFoundation support

2015-07-29 17:32:09 +0200 Bernhard Miklautz (a22dc21) 

	* remdesk,encomps: misc fixes

2015-07-29 14:08:31 +0100 Clive Stevens (99228ee) 

	* Fix race condition in freerdp_channels_client_load

2015-07-28 16:01:34 -0400 Marc-André Moreau (9400ccb) 

	* libfreerdp-codec: add x264 stubs

2015-07-28 17:23:16 +0200 Bernhard Miklautz (f638ab5) 

	* Update version to 1.4.5

2015-07-28 09:21:33 -0400 Marc-André Moreau (5cb06ec) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-07-28 08:51:03 -0400 Marc-André Moreau (dfa2980) 

	* Merge pull request #2799 from kaliway/scardlistreaders-fix

2015-07-28 08:47:06 -0400 Marc-André Moreau (611c194) 

	* Merge pull request #2801 from bmiklautz/fix/thread

2015-07-28 08:46:27 -0400 Marc-André Moreau (b33ea8a) 

	* Merge pull request #2804 from bmiklautz/fix/misc

2015-07-28 08:44:58 -0400 Marc-André Moreau (06c3f2f) 

	* Merge pull request #2793 from rkondratenko/pcsclite-transactions

2015-07-28 14:05:57 +0200 Bernhard Miklautz (9fb6705) 

	* rdpdr/printer: ignore unhanded packetID

2015-07-27 19:24:41 +0200 Bernhard Miklautz (d9aca50) 

	* rdpsnd: include win32error.h

2015-07-27 11:24:21 +0200 Bernhard Miklautz (a342d40) 

	* core/listner: fix possible problem in _free

2015-07-24 14:57:47 +0200 Bernhard Miklautz (c3ea07f) 

	* winpr/thread: don't close invalid file descriptors

2015-07-24 14:52:31 +0200 Bernhard Miklautz (81d4225) 

	* winrp/thread: don't call pthread_exit on return

2015-07-24 13:29:48 +0200 Bernhard Miklautz (4250f3f) 

	* winpr/event: remove critical section

2015-07-23 11:52:24 +0200 Bernhard Miklautz (ca150f2) 

	* winpr/thread: small cleanups

2015-07-23 11:14:39 +0200 Bernhard Miklautz (a637cdd) 

	* Merge pull request #2789 from akallabeth/start_thread_fix

2015-07-22 08:51:09 -0700 Petr Sumbera (903e484) 

	* Removes unused (big big) array. Adds ifdef for debug stuff.

2015-07-22 17:25:17 +0300 Kirill Kotyagin (ef37487) 

	* channels/smartcard: fix possible mszReaders leak in
          smartcard_ListReaders(A/W)_Call

2015-07-22 16:56:24 +0300 Kirill Kotyagin (76916d6) 

	* channels/smartcard: make smartcard_ListReaders(A/W)_Call return
          PCSC error statuses to the server

2015-07-22 03:16:46 -0700 Martin Haimberger (f65d15f) 

	* fixed audioserver

2015-07-22 02:36:24 -0700 Martin Haimberger (58ada13) 

	* fixed some remakes and compiler errors

2015-07-21 09:20:57 -0700 Petr Sumbera (24ff3f2) 

	* This array is so big that it eats whole stack for the thread and
          makes the process dump core on some systems (e.g.
          Solaris).

2015-07-20 17:23:23 +0200 Bernhard Miklautz (bfdf025) 

	* Merge pull request #2751 from
          realjiangms/shadow_fix_compile_error_win

2015-07-20 15:10:55 +0200 MartinHaimberger (08b17b5) 

	* Merge pull request #2 from bmiklautz/pull/2785

2015-07-20 12:28:49 +0200 Bernhard Miklautz (f992568) 

	* rdpsnd: restore old behavior and fixes

2015-07-17 18:13:41 +0300 Rostislav Kondratenko (3f81ff8) 

	* Removing private context on hCard so that transaction will properly
          unlock when context is released.

2015-07-17 18:13:02 +0300 Rostislav Kondratenko (7248ea9) 

	* Fixing condition on SCardIsValidContext to be true when context is
          valid

2015-07-17 16:37:44 +0300 Rostislav Kondratenko (f2863fa) 

	* Re-enabled PCSC-Lite transactions and fixed smartcard
          deinitialization so it will release all contexts to
          unblock calls waiting for transactions

2015-07-17 12:30:20 +0200 MartinHaimberger (43a5680) 

	* Merge pull request #2791 from bmiklautz/100percent

2015-07-17 12:06:41 +0200 Bernhard Miklautz (458d3b1) 

	* transport: fix regression introduced with PR #2770

2015-07-16 13:48:14 +0200 Armin Novak (9af2e22) 

	* Fixed mutex unlocking and return checks.

2015-07-16 06:57:46 -0700 Vic Lee (042cb25) 

	* Merge pull request #2770 from akallabeth/bio_event_reset

2015-07-15 14:12:13 +0200 MartinHaimberger (45f9519) 

	* Merge pull request #2723 from akallabeth/pwd_from_stdin

2015-07-15 14:10:44 +0200 MartinHaimberger (b0eccc9) 

	* Merge pull request #2786 from mfleisz/fix_makecert

2015-07-15 03:17:38 -0700 Martin Haimberger (e682329) 

	* fixed compiler errors

2015-07-15 11:47:01 +0200 Martin Fleisz (1a6aba0) 

	* winpr/tools: Fixed x509_get_default_name failing with long computer
          names

2015-07-15 01:57:07 -0700 Martin Haimberger (6ab0187) 

	* Merge remote-tracking branch 'upstream/master' into mh-channel

2015-07-15 00:50:35 -0700 Martin Haimberger (b8c110d) 

	* introduced channel error reporting system

2015-07-15 09:47:43 +0200 MartinHaimberger (b06d83b) 

	* Merge pull request #2766 from akallabeth/snprintf_to_sprintf_s

2015-07-14 15:50:32 +0200 Bernhard Miklautz (c12bc0e) 

	* Merge pull request #2782 from bmiklautz/order_does_matter

2015-07-14 15:28:55 +0200 Bernhard Miklautz (f589d5d) 

	* x11: reorder xf_post_disconnect

2015-07-14 13:02:41 +0200 MartinHaimberger (e2b4bf6) 

	* Merge pull request #2781 from bmiklautz/fdread

2015-07-14 12:21:24 +0200 Bernhard Miklautz (1a0253e) 

	* winpr/handle: define WINPR_FD_ on all platforms

2015-07-14 11:39:41 +0200 Bernhard Miklautz (68e8569) 

	* winpr/synch: remove the dependency on winsock.h

2015-07-13 17:52:18 +0200 Bernhard Miklautz (920617e) 

	* Merge pull request #2778 from akallabeth/cert_store_compare_fix

2015-07-13 15:52:06 +0200 Armin Novak (fc929fb) 

	* Using lowercase hostname for comparison now. fixed argument mixup.

2015-07-13 14:16:04 +0200 Armin Novak (ca7c34f) 

	* Fixed comparison bug, cleanup and error handling.

2015-07-09 12:20:22 +0200 Armin Novak (098eda9) 

	* Error checks for BIO_get_event ResetEvent before reading data from
          transport BIO.

2015-07-03 04:09:03 -0700 Martin Haimberger (d9e2834) 

	* channel smartcard hardend

2015-07-09 10:09:18 +0200 Armin Novak (18cea1c) 

	* Replaced cbMaxSignature with cbSecurityTrailer

2015-07-09 09:57:45 +0200 Armin Novak (ecf6ffd) 

	* Fixed CompleteAuthToken return check.

2015-07-09 09:49:12 +0200 Armin Novak (cb01e54) 

	* Fixed CompleteAuthToken return check.

2015-07-08 14:16:29 -0400 Marc-André Moreau (aae86d6) 

	* channels/rdpgfx: fix TotalDecodedFrames counter

2015-07-08 17:40:17 +0200 Armin Novak (2fe5ecf) 

	* Fixed wrong output in log messages.

2015-07-08 14:32:01 +0200 Martin Fleisz (9a2d33a) 

	* Fixed missing encrypt / decrypt success check.

2015-07-07 17:17:29 +0200 Armin Novak (48ccf73) 

	* More SSPI logging.

2015-07-07 13:46:05 +0200 Armin Novak (5b0ee9b) 

	* Error checks and readable log messages.

2015-07-07 13:08:39 +0200 Armin Novak (7360cb6) 

	* Erasing memory on credentials or SecBuffer free.

2015-07-02 18:50:49 +0200 Martin Fleisz (3b87cc0) 

	* Fixed server and client NLA state machine.

2015-07-08 11:17:56 -0400 Marc-André Moreau (23f9b3b) 

	* channels/rdpgfx: reset state on channel close

2015-07-07 13:36:36 -0400 Marc-André Moreau (11f7852) 

	* channels/drdynvc: use same status code as mstsc for DVC opening
          failure

2015-07-07 14:48:27 +0200 Armin Novak (0120ee7) 

	* Resetting frontBio after read now.

2015-07-06 16:28:52 -0400 Marc-André Moreau (3781e80) 

	* channels/rdpgfx: improve frame ack handling

2015-07-06 16:52:19 +0200 MartinHaimberger (ba34ff6) 

	* Merge pull request #1 from hardening/mhchannel

2015-07-06 16:46:21 +0200 David FORT (b83ab92) 

	* Hardened urbdrc channel

2015-07-04 00:17:37 +0200 David FORT (1b7140d) 

	* Fixed some more checks in rdpsnd channel

2015-07-03 13:26:15 +0200 Armin Novak (cf9f975) 

	* Replaced snprintf with sprintf_s

2015-07-03 13:04:37 +0200 MartinHaimberger (358289f) 

	* Merge pull request #2764 from akallabeth/pull_fixes

2015-07-03 12:38:19 +0200 Armin Novak (40a7f2c) 

	* Added missing include breaking windows build.

2015-07-03 12:31:29 +0200 Armin Novak (776f15e) 

	* Fixed inverted bAttached setting.

2015-07-03 11:36:00 +0200 MartinHaimberger (282f157) 

	* Merge pull request #2762 from akallabeth/handle_write_event

2015-07-03 11:26:22 +0200 Armin Novak (4e7c03f) 

	* Added error checks and resource cleanup.

2015-07-03 11:13:48 +0200 Armin Novak (c21de0d) 

	* Fixed pr comments.

2015-07-03 10:44:35 +0200 MartinHaimberger (83641a3) 

	* Merge pull request #2761 from akallabeth/sample_server_port_arg

2015-07-03 09:56:43 +0200 Armin Novak (82da97e) 

	* Updated sample server.

2015-07-03 09:36:58 +0200 Armin Novak (d18b0fb) 

	* Handle API updated.

2015-07-03 09:29:36 +0200 Armin Novak (77204aa) 

	* WSAEventSelect: Handle lNetworkEvents == 0

2015-07-03 09:25:41 +0200 Armin Novak (6243a93) 

	* Added write event support to handle functions.

2015-07-03 09:22:02 +0200 Armin Novak (7dc96c4) 

	* Added convenience function winpr_log_backtrace.

2015-07-02 16:28:55 +0200 Bernhard Miklautz (f242406) 

	* Merge pull request #2759 from bmiklautz/fix/cliprdp

2015-07-02 15:39:35 +0200 Bernhard Miklautz (b6a799e) 

	* x11/cliprdr: handle empty format names

2015-07-02 15:08:31 +0200 Hardening (c8a71a2) 

	* Merge pull request #2747 from ilammy/egfx-missing-events

2015-06-29 15:21:53 +0200 David FORT (ea679b2) 

	* Hardened TSMF channel

2015-07-02 13:11:06 +0200 Hardening (87c5377) 

	* Merge pull request #2758 from bmiklautz/fix/CreateProcess

2015-07-02 12:25:48 +0200 Bernhard Miklautz (c7adb56) 

	* CreateProcess: fix setting of default handler

2015-07-02 12:05:46 +0200 Bernhard Miklautz (be53e9e) 

	* CreateProcess: two fixes

2015-07-02 12:02:51 +0200 Bernhard Miklautz (fedd598) 

	* Merge pull request #2757 from nfedera/nf-fix-createprocess-signals

2015-07-02 11:21:09 +0200 Norbert Federa (c84e90b) 

	* winpr: fix CreateProcess signal handler issues

2015-07-02 09:27:27 +0200 Hardening (873a256) 

	* Merge pull request #2754 from akallabeth/mixed_code

2015-07-02 09:26:13 +0200 Hardening (ac93b26) 

	* Merge pull request #2750 from realjiangms/fix_win32_wsaevent

2015-02-21 22:59:39 +0300 Zavadovsky Yan (2c1aff1) 

	* channels/rdpsnd: fix memory leak

2015-02-21 22:51:51 +0300 Zavadovsky Yan (6ce87bd) 

	* channels/rdpsnd: fix rdpsnd_opensles_set_format() logic

2015-04-12 02:57:16 +0800 zihao.jiang (491978b) 

	* server/shadow: Enhancement regarding the screen and resolution -
          add resize support and fix subRect feature Detail fixes:
          1. Add resize support in shadow framework layer 2. Enhance
          X11 implementation to detect desktop resolution change 3.
          Fix the subRect feature. It seems not completely finished
          and it looks incompatible in different source code. Fix it
          to be consistent in all source code as following: a. The
          subRect is only awared in framework layer, subsystem
          implementation should not be aware of it. It only take
          effect at shadow_client and corresponding shadow_input. b.
          The screen and surface should only represent a monitor
          screen. They don't need to consider subRect feature. 4. A
          lobby should be alternative image shown to client when the
          client is not 'mayView'. We don't need to have seperate
          lobby for each client, move it into server structure as
          'another surface' 5. Fix display handle leak in enum
          monitor of X11 6. Suppress BadMatch Error while capturing
          the image

2015-07-01 22:28:51 +0800 zihao.jiang (f7a1b46) 

	* server/shadow: Remove comments in define.

2015-07-01 16:23:00 +0200 Bernhard Miklautz (b89ea3d) 

	* Merge pull request #2753 from akallabeth/nla_null_auth_fix

2015-07-01 16:20:56 +0200 Armin Novak (78eeb86) 

	* Fixed mixed declarations and code.

2015-07-01 16:05:11 +0200 Armin Novak (3a9db56) 

	* NLA: Fixed length check.

2015-07-01 15:28:35 +0200 Armin Novak (8479c82) 

	* Fixed handling of optional TSPasswordCreds field.

2015-07-01 14:49:00 +0200 Martin Fleisz (59e2801) 

	* Merge pull request #2752 from akallabeth/nla_user_length_fix

2015-07-01 14:31:55 +0200 Armin Novak (6c0e1af) 

	* NLA decrypt credentials fixed.

2015-07-01 13:02:32 +0200 Norbert Federa (1c43a6e) 

	* Merge pull request #2738 from bmiklautz/ffuncs

2015-07-01 12:22:32 +0200 Bernhard Miklautz (798df32) 

	* Integrate pull request feedback

2015-07-01 01:13:28 +0800 zihao.jiang (75407ed) 

	* Fix event created for WSAEventSelect: The event we pass to
          WSAEventSelect should be WSAEVENT instead of normal event.
          From MSDN, it looks same as CreateEvent(NULL, FALSE,
          FALSE, NULL): 	The WSACreateEvent function creates
          a manual-reset event object with an initial state of
          nonsignaled. The event object is unnamed. However they are
          not really equivalent. When we use normal event, the
          WSAEventSelect still works but the event appears to be
          'auto-reset'.

2015-07-01 01:29:43 +0800 zihao.jiang (7a59f09) 

	* server/shadow: Fix compile error on win32.

2015-06-30 12:41:23 +0300 ilammy (1012bcc) 

	* client/x11: do not discard events when updating EGFX surface
          mapping

2015-06-30 10:46:38 +0200 Bernhard Miklautz (cc4b5f9) 

	* Merge pull request #2745 from mfleisz/fix_makecert

2015-06-30 08:14:28 +0200 Martin Fleisz (d64195d) 

	* makecert: Fix incorrect return value check

2015-06-29 14:47:46 -0400 Marc-André Moreau (ff5b876) 

	* channels/drdynvc: silence harmless warnings with Windows 8 /
          Windows 2012 channel close

2015-06-29 12:43:18 -0400 Marc-André Moreau (161359f) 

	* libfreerdp-core: fix receiving of logon error info during
          capability exchange

2015-06-29 18:10:59 +0200 Martin Fleisz (1547355) 

	* makecert: Formatting

2015-06-29 18:07:26 +0200 Martin Fleisz (bdf02d6) 

	* makecert: Add strdup checks

2015-06-29 17:49:13 +0200 Martin Fleisz (5632773) 

	* makecert: Fix double free crashes

2015-06-29 11:28:06 +0200 Bernhard Miklautz (5f2fa8a) 

	* Merge pull request #2740 from realjiangms/shadow_fix_cert_2708

2015-06-28 15:14:04 -0400 Marc-André Moreau (084b365) 

	* Merge pull request #2741 from awakecoding/master

2015-06-29 01:39:09 +0800 zihao.jiang (c7b598b) 

	* server/shadow: Fix incorrect handle of makecert_context_process.
          Also fix another typo for
          makecert_context_set_output_file_name

2015-06-28 13:57:46 -0400 Marc-André Moreau (a8e62e9) 

	* libfreerdp-codec: fix egfx artifacts resulting from incorrect
          handling of rects inside the same egfx frame

2015-06-24 23:33:49 +0800 zihao.jiang (2673a77) 

	* server/shadow: Fix alpha pointer message so that it allows pixel
          with both 'xor' and 'and'. Integrate idea from @bmiklautz:
          make convert_alpha_pointer_data function as common

2015-06-16 23:28:14 +0800 zihao.jiang (4574137) 

	* server/shadow: Fix alpha pointer message so that it allows pixel
          with both 'xor' and 'and'. Original pointer alpha update
          message is too specific for x11 implementation. It doesn't
          allow pointer alpha mask with both 'xor' color and 'and'
          mask, e.g.: the 'edit' pointer in windows text box.

2015-06-26 15:58:01 +0200 Bernhard Miklautz (1cee185) 

	* hardening: check fread and fwrite return values

2015-06-26 14:00:03 -0400 Marc-André Moreau (5ec19d2) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-06-26 13:59:41 -0400 Marc-André Moreau (24ed6b0) 

	* channels/rdpgfx: update debug output

2015-06-26 15:30:00 +0200 Norbert Federa (20878e5) 

	* Merge pull request #2724 from bmiklautz/leak_fix

2015-06-26 09:24:08 -0400 Marc-André Moreau (cf2f4bf) 

	* Merge pull request #2737 from
          nfedera/nf-fix-gdi-return-value-weirdness

2015-06-26 15:12:33 +0200 Bernhard Miklautz (77ef5a8) 

	* nla: clear identity memory before releasing

2015-06-26 15:01:08 +0200 Norbert Federa (ac95b72) 

	* Merge pull request #2727 from akallabeth/leak_fixes_reformat

2015-06-26 14:32:38 +0200 Norbert Federa (bb9536b) 

	* libfreerdp/gdi: fixed gdi return value madness

2015-06-26 08:27:22 -0400 Marc-André Moreau (ddf2519) 

	* Merge pull request #2719 from bmiklautz/pull/2481

2015-06-26 14:20:37 +0200 Bernhard Miklautz (da021fe) 

	* Merge pull request #2736 from akallabeth/windows_client_fix

2015-06-26 13:15:56 +0200 Norbert Federa (5281070) 

	* Merge pull request #2734 from giox069/master

2015-06-26 13:13:32 +0200 Armin Novak (8165031) 

	* Fixed windows client pre_connect return.

2015-06-26 12:49:42 +0200 Bernhard Miklautz (54c4dd6) 

	* Merge pull request #2735 from
          akallabeth/clipboard_temp_file_name_conversion_fix

2015-06-26 11:15:09 +0200 Hardening (b411c11) 

	* Merge pull request #2729 from
          akallabeth/win_reg_key_by_vendor_product_define

2015-06-26 09:50:21 +0200 Armin Novak (0157546) 

	* Fixed out of bound array access.

2015-06-25 16:54:08 +0200 Giovanni Panozzo (8a45b56) 

	* Returing OK when there is nothing to draw after clipping, fixes
          #2732

2015-06-25 16:49:29 +0200 Giovanni Panozzo (85b5c5f) 

	* Signed glyph offset calculation, fixes #2137

2015-06-25 12:39:12 +0200 Norbert Federa (91353f0) 

	* Merge pull request #2731 from akallabeth/mutex_cleanup_fix

2015-06-25 12:24:28 +0200 Armin Novak (b81aaa9) 

	* Fixed mutex trylock in MutexCloseHandle.

2015-06-25 12:11:50 +0200 Norbert Federa (a4c9a7f) 

	* Merge pull request #2728 from bmiklautz/unsigned

2015-06-25 11:53:03 +0200 Bernhard Miklautz (cbbc680) 

	* clipboard: fix of by one error on cleanup

2015-06-25 10:33:54 +0200 Bernhard Miklautz (28e6378) 

	* Integrate pull request feedback

2015-06-24 17:06:45 +0200 David FORT (a8fefae) 

	* Harden the sound channel

2015-06-24 14:59:59 +0200 Armin Novak (80ba464) 

	* Fixed cleanup of resources, only in error case now.

2015-06-24 11:12:59 +0200 Armin Novak (e8bfa29) 

	* Replaced registry keys with cmake defines.

2015-06-24 12:26:13 +0200 Bernhard Miklautz (9f6fa7e) 

	* Fix possible endless loops on cleanup.

2015-06-24 12:12:40 +0200 Armin Novak (c78b6f3) 

	* Fixed cleanup of MachineAddresses and MachinePorts.

2015-06-24 10:08:04 +0200 Armin Novak (ee22131) 

	* Fixed loop condition.

2015-06-24 10:02:42 +0200 Armin Novak (a809b87) 

	* Fixed memory leak.

2015-06-24 10:02:30 +0200 Armin Novak (4c9ee07) 

	* Fixed sizeof misuse.

2015-06-24 09:45:40 +0200 Armin Novak (2ff1205) 

	* Fixed a resource leak.

2015-06-24 09:33:20 +0200 Armin Novak (2e762c8) 

	* Fixed a resource leak.

2015-06-24 09:29:52 +0200 Armin Novak (6ed7b7b) 

	* Fixed a resource leak.

2015-06-24 09:29:13 +0200 Armin Novak (f177430) 

	* Fixed a resource leak.

2015-06-24 09:22:55 +0200 Martin Fleisz (ccf5ba3) 

	* Merge pull request #2717 from realjiangms/shadow_encoder_fps

2015-06-23 21:29:21 +0200 Armin Novak (6698e24) 

	* Fixed leaks, NULL dereferences and broken init.

2015-06-23 19:32:26 +0200 Hardening (e5008d4) 

	* Merge pull request #2725 from
          akallabeth/warning_fixes_more_more_more

2015-06-23 16:53:40 +0200 Armin Novak (dd19e22) 

	* Fixed missing colon.

2015-06-23 16:04:15 +0200 Armin Novak (e969049) 

	* Removed unused variable and incorrect comment.

2015-06-23 16:02:53 +0200 Armin Novak (fbbc1af) 

	* ifdef variables used with specific build options.

2015-06-23 16:11:11 +0200 Armin Novak (e793300) 

	* Fixed typo.

2015-06-23 16:09:39 +0200 Armin Novak (2d41cb9) 

	* Updated from-stdin help message.

2015-06-23 15:40:37 +0200 Bernhard Miklautz (2e87d0e) 

	* Fix leaks in certificate and identity handling

2015-06-23 14:59:54 +0200 Armin Novak (5a5ed77) 

	* Added /from-stdin

2015-06-23 14:30:23 +0200 Bernhard Miklautz (5f7ebd4) 

	* Merge pull request #2721 from akallabeth/warning_fixes_some_more

2015-06-23 12:25:07 +0200 Armin Novak (063b10e) 

	* Fixed memory leak.

2015-06-23 12:17:37 +0200 Armin Novak (2f81d99) 

	* Added missing argument checks.

2015-06-23 12:12:59 +0200 Armin Novak (30ea9f5) 

	* Fixed malloc with 0 size.

2015-06-23 12:12:16 +0200 Armin Novak (d83af81) 

	* Fixed uninitialized value.

2015-06-23 12:09:42 +0200 Armin Novak (89eac97) 

	* Fixed uninitialized value.

2015-06-23 12:08:47 +0200 Armin Novak (24fed46) 

	* Fixed grabage return value.

2015-06-23 12:07:38 +0200 Armin Novak (212db12) 

	* Fixed NULL pointer dereference.

2015-06-23 11:40:04 +0200 Bernhard Miklautz (72fde88) 

	* tsmf_oss: fix compiler warning

2015-06-23 11:18:19 +0200 Norbert Federa (e8d194c) 

	* Merge pull request #2708 from bmiklautz/dupdup

2015-06-23 11:08:44 +0200 Bernhard Miklautz (ff8d172) 

	* core: use error instead of debug

2015-06-23 10:14:11 +0200 Bernhard Miklautz (09445c2) 

	* nla and cmdline: integrated feedback

2015-04-10 02:33:54 +0800 zihao.jiang (e00655c) 

	* server/shadow: shadow encoder related enhancement/fix. 1. Export
          fps related API so that subsystem implementation no longer
          need to know about details in encoder structure. 2.
          Discard frameList dictionary. The 'value' in this
          dictionary is never used and not properly free'ed when
          client is disconnected. The dictionary was used to
          calculate 'inflight' frame count. Once an ACK is received
          from client, an item in the dictionary is removed. We then
          calculate 'inflight' frame by the count of the items in
          the dictionary. However, some rdp clients (win7 mstsc)
          skips frame ACK if it is inactive, ACK of some frame would
          actually never arrive. We actually don't need the
          dictionary. We only need to record the latest acknowledged
          frame id, and the difference between last sent frame id is
          the inflight frame count. 3. Minor fix in default fps
          calculation. encoder->frameAck is wrongly used as integer
          while it's actually bool flag.

2015-06-22 19:45:56 +0200 Bernhard Miklautz (7624519) 

	* oss: fix formating

2015-06-22 19:31:25 +0200 Bernhard Miklautz (af81a91) 

	* windows: fix compilation and warnings

2015-06-22 18:52:13 +0200 Bernhard Miklautz (06502e6) 

	* misc: integrate pull request feedback

2015-06-22 14:26:11 +0200 Bernhard Miklautz (421b74e) 

	* client/locale: properly check popen return value

2015-06-22 12:09:18 +0200 Bernhard Miklautz (19afc69) 

	* client/android: reset debug level to default

2015-06-19 10:38:37 +0200 Bernhard Miklautz (fc6a3cf) 

	* sspi/ntlm: integrate pull request comments

2015-06-18 13:00:10 +0200 Bernhard Miklautz (1b8dd13) 

	* cmd line: add missing checks

2015-06-17 12:23:14 +0200 Bernhard Miklautz (5de0e02) 

	* cache: fix regression

2015-06-16 17:47:33 +0200 Bernhard Miklautz (1f414ec) 

	* codec/planar: regression - fix conflicting types

2015-06-16 15:42:07 +0200 David FORT (7c3f8f3) 

	* Fixes for malloc / calloc + other fixes

2015-06-14 00:55:09 +0200 David FORT (16d36e3) 

	* A malloc() pass on WinPR

2015-06-16 16:03:34 +0200 Bernhard Miklautz (749d93a) 

	* client/android: misc updates and fixes

2015-06-10 18:57:05 +0200 Bernhard Miklautz (77927c2) 

	* android: fix misc compiler warnings

2015-06-03 16:44:07 +0200 Bernhard Miklautz (7d49893) 

	* winpr/wtsapi: disable tests that block on windows

2015-06-03 15:53:44 +0200 Bernhard Miklautz (ab8d83c) 

	* winpr/thread: fix test compilation on windows

2015-06-02 15:04:34 +0200 Bernhard Miklautz (d9d1759) 

	* Fix compiler warnings:

2015-06-09 15:22:50 +0200 Bernhard Miklautz (196695e) 

	* client/ios: fix unchecked strdups

2015-06-17 22:08:02 +0200 Bernhard Miklautz (bf73f4e) 

	* Fix unchecked strdups

2015-06-22 10:24:26 -0400 Marc-André Moreau (9fab504) 

	* Merge pull request #2686 from bmiklautz/ios/openssl

2015-06-22 10:24:25 -0400 Marc-André Moreau (85a2caa) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-06-22 10:19:22 -0400 Marc-André Moreau (3b3ffce) 

	* Merge pull request #2705 from akallabeth/sspi_fix_v2

2015-06-22 09:52:53 -0400 Marc-André Moreau (750e752) 

	* Merge pull request #2697 from realjiangms/shadow_audio

2015-06-22 09:39:17 -0400 Marc-André Moreau (82179c7) 

	* Merge pull request #2698 from realjiangms/shadow_stand_alone

2015-06-22 09:38:46 -0400 Marc-André Moreau (d10203c) 

	* Merge pull request #2699 from realjiangms/shadow_connect_disconnect

2015-06-22 09:31:38 -0400 Marc-André Moreau (86bf5a9) 

	* Merge pull request #2701 from akallabeth/upn_syntax_support

2015-06-22 09:31:15 -0400 Marc-André Moreau (20f7840) 

	* Merge pull request #2684 from Skool/master

2015-06-22 09:15:37 -0400 Marc-André Moreau (093aaa4) 

	* Merge pull request #2636 from xhaakon/master

2015-06-22 08:53:36 -0400 Marc-André Moreau (9aabec7) 

	* Merge pull request #2713 from bmiklautz/divbyzero

2015-06-22 08:53:05 -0400 Marc-André Moreau (1e39d77) 

	* Merge pull request #2702 from akallabeth/nla_null_identity_support

2015-06-22 12:26:31 +0200 Bernhard Miklautz (b7e2430) 

	* Merge pull request #2711 from
          nfedera/nf-fix-rdprecvmessagechannelpdu

2015-06-22 00:12:25 -0700 Martin Haimberger (0c3a62b) 

	* hardend remdesk channel

2015-06-19 17:21:16 +0200 Bernhard Miklautz (41ef7ca) 

	* core/metrics: prevent division by zero

2015-06-19 14:47:00 +0200 Norbert Federa (91a9b23) 

	* core: message channel pdu broken with rdp security

2015-06-18 16:07:25 +0200 Armin Novak (a7943a5) 

	* Setting hostname as default domain now.

2015-06-18 16:07:09 +0200 Armin Novak (c3e368b) 

	* Fixed typo and invalid domain name.

2015-06-18 13:01:28 +0200 Armin Novak (e563b2b) 

	* Fixed domain setting for windows client.

2015-06-18 12:24:22 +0200 Armin Novak (90cc7eb) 

	* UPN syntax fix: domain must be empty, not NULL.

2015-06-18 03:06:40 -0700 Martin Haimberger (6e4e1c2) 

	* Merge remote-tracking branch 'upstream/master' into mh-stream-fix

2015-06-12 03:26:15 -0700 Martin Haimberger (76305a7) 

	* just satisfied compiler

2015-06-12 02:24:45 -0700 Martin Haimberger (62d7b1e) 

	* hardend serial channel

2015-06-09 06:22:26 -0700 Martin Haimberger (dc68bdf) 

	* channel rdpgfx hardend

2015-06-09 03:46:10 -0700 Martin Haimberger (6348e41) 

	* channel rdpei hardend

2015-06-08 09:04:05 -0700 Martin Haimberger (d7636d0) 

	* channel rail hardend

2015-06-08 08:51:01 -0700 Martin Haimberger (0965608) 

	* channel printer hardend

2015-06-08 05:54:36 -0700 Martin Haimberger (3cc0148) 

	* channel parallel hardend

2015-06-08 05:44:10 -0700 Martin Haimberger (b9853f8) 

	* channel encomsp hardend

2015-06-08 05:35:27 -0700 Martin Haimberger (0cfbc66) 

	* channel echo hardend

2015-06-03 06:34:43 -0700 Martin Haimberger (2b3b999) 

	* changed returnvalues of DeviceServiceEntry to WIN32ERROR

2015-06-03 06:33:59 -0700 Martin Haimberger (d3d6052) 

	* hardend channel drive

2015-06-03 04:38:47 -0700 Martin Haimberger (0bf222e) 

	* hardend rdpdr channel

2015-06-02 05:08:00 -0700 Martin Haimberger (dca53c1) 

	* hardend display channel

2015-06-02 04:05:10 -0700 Martin Haimberger (e5d5cd3) 

	* hardend cliprdr

2015-06-02 00:56:10 -0700 Martin Haimberger (d33e8a1) 

	* hardend client addin

2015-06-02 00:50:38 -0700 Martin Haimberger (156f86e) 

	* hardend channel audin

2015-05-29 05:02:31 -0700 Martin Haimberger (d06da4f) 

	* hardend drdynvc channel

2015-06-18 12:01:17 +0200 Armin Novak (427d85f) 

	* Added user setting if no domain provided.

2015-06-18 11:49:16 +0200 Armin Novak (d5c3f21) 

	* Fixed variable parsed.

2015-06-18 11:35:22 +0200 Armin Novak (64529b6) 

	* Using last @ for domain split. Command line parser splits username
          after parsing all options.

2015-06-18 09:28:31 +0200 Hardening (c8731ea) 

	* Merge pull request #2706 from nfedera/nf-fix-reset-event

2015-06-18 02:43:47 +0000 Vic Lee (2e11eac) 

	* Merge pull request #2675 from akallabeth/path_make_path

2015-06-17 14:13:28 +0200 Norbert Federa (f503f4c) 

	* winpr/synch: fix ResetEvent & improve CTest

2015-06-17 13:24:11 +0200 Armin Novak (5dff9c4) 

	* Removed duplicate function tables, respecting WITH_NATIVE_SSPI

2015-06-17 13:23:44 +0200 Armin Novak (3c329aa) 

	* Using InitSecurityInterfaceEx(0) now.

2015-06-17 13:23:21 +0200 Armin Novak (e8b50eb) 

	* Fixed cmake warning.

2015-06-16 15:02:57 +0000 Vic Lee (bf7f933) 

	* Merge pull request #2703 from akallabeth/unified_sspi

2015-06-15 19:37:26 +0800 zihao.jiang (2335a30) 

	* server/shadow: integrate comment from @hardening Return directly at
          subsystem->ClientConnect Also change to argument to accept
          shadow_client instead of freerdp_peer

2015-06-15 23:54:30 +0800 zihao.jiang (1570736) 

	* server/shadow: Integrate comment from @hardening: use switch to
          handle different message id.

2015-06-12 10:32:13 +0200 Armin Novak (34253f2) 

	* Let SSPI module choose which implementation to use.

2015-06-15 15:03:13 +0200 Armin Novak (219ca1c) 

	* NLA identity now a pointer, allowing NULL.

2015-06-15 09:47:16 +0200 Armin Novak (3e26940) 

	* Allowing UPN syntax for user.

2015-04-09 01:30:57 +0800 zihao.jiang (131f030) 

	* server/shadow: Decouple shadow_subsystem and subsystem
          implementation detail. Make shadow_subsystem standalone so
          that others can implement customized shadow server with
          shadow library.

2015-04-09 01:37:41 +0800 zihao.jiang (b169dfd) 

	* server/shadow: add connect/disconnect anchor in subsystem callback
          Other implementation of subsystem may want to track
          connect/disconnect of each client

2015-04-09 02:13:52 +0800 zihao.jiang (8485d86) 

	* This is originally to add audio support. Several fixes included: 1.
          Introduce message queue in shadow client. No longer use
          subsytem->MsgPipe->out to deliver message to clients. We
          used to use subsytem->MsgPipe->out for messages which need
          to be sent to client. But it's not correct. Only one
          client would get the message if multiple client exists
          This problem make the fix in PR #2643 incomplete.
          Introduced reference count based solution to release
          resource taken by the message. Also added APIs for client
          message delivery. Also fixed msg pipe in subsystem to
          clean resource when destroyed. 2. Discard unused StopEvent
          in client. We actually use quit message instead. 3.
          Enhance disposal of channels. Free context for remdesk and
          encomsp channels. The original fix only stop the threads,
          but doesn't release resource. Dispose channels earlier.
          The channels are built on client->vcm. Disposing channels
          after client->vcm is closed cause unknown behavior.
          Original fix is #2644 4. Start to add audio support.

2015-06-12 12:52:53 +0000 Vic Lee (145fc10) 

	* Merge pull request #2687 from akallabeth/known_hosts_v2

2015-06-12 10:52:52 +0200 Norbert Federa (78b23cf) 

	* Merge pull request #2692 from nfedera/add-16bit-cursor-conversion

2015-06-12 09:48:53 +0200 Bernhard Miklautz (2f4fb14) 

	* Merge pull request #2688 from hardening/fix_packaging

2015-06-12 09:30:01 +0200 Armin Novak (b43c9f9) 

	* Renamed file to known_hosts2.

2015-06-11 18:40:41 +0200 Norbert Federa (f04bb6c) 

	* xfreerdp: xfc->palette wasn't updated with /gdi:sw

2015-06-11 16:34:42 +0200 Norbert Federa (20aa10e) 

	* codec/color: support for 8bpp color pointer

2015-06-11 13:12:21 +0200 Norbert Federa (86d398f) 

	* codec/color: support for 16bpp color pointer

2015-06-11 12:47:10 +0200 Bernhard Miklautz (e8d41c8) 

	* Merge pull request #2682 from nfedera/fix-hresult-winpr-path

2015-06-11 12:34:03 +0200 MartinHaimberger (2319e4f) 

	* Merge pull request #2690 from llyzs/autodetect_fix

2015-06-11 11:34:36 +0200 Armin Novak (9dd9c35) 

	* Updated tests.

2015-06-11 11:34:22 +0200 Armin Novak (3dda4eb) 

	* Added NULL pointer checks, fixed warnings.

2015-06-11 11:16:45 +0200 Armin Novak (7fc1c65) 

	* Added subject and issuer to saved data.

2015-06-11 09:58:34 +0200 Armin Novak (7786cf1) 

	* Fixed fingerprint comparison, return value was inverted.

2015-06-11 09:57:30 +0200 Armin Novak (90d8361) 

	* Fixed formatting.

2015-06-11 09:23:50 +0200 Armin Novak (3d27055) 

	* Added test for fingerprint read.

2015-06-11 09:23:32 +0200 Armin Novak (b983d8e) 

	* Fixed data replace.

2015-06-10 23:33:58 +0200 Armin Novak (acc9638) 

	* Added certificate_get_fingerprint function to read out old one.

2015-06-11 15:12:27 +0800 Vic Lee (d75ac1e) 

	* autodetect: use high-precision timer.

2015-06-11 15:11:19 +0800 Vic Lee (ad4cdf8) 

	* winpr: add high-precision GetTickCountPrecise for Windows.

2015-06-10 21:33:40 +0200 David FORT (3d5f653) 

	* Correct the included files to have a working freerdp-nightly-dev
          package

2015-06-10 10:59:14 +0200 Armin Novak (2204df9) 

	* Added port to certificate warnings.

2015-06-10 10:47:59 +0200 Armin Novak (ef0b9ab) 

	* Using binary mode for fopen.

2015-06-10 10:40:01 +0200 Armin Novak (ebad760) 

	* Opening correct file.

2015-06-10 10:34:02 +0200 Armin Novak (f4843e8) 

	* Opening file on use now.

2015-06-10 09:15:38 +0200 Armin Novak (05755b7) 

	* Working unit test for known_hosts functions.

2015-06-10 09:15:28 +0200 Armin Novak (98fc5b6) 

	* Fixed bugs found due to test.

2015-06-09 18:03:32 +0200 Armin Novak (991fc39) 

	* Added unit test.

2015-06-09 16:12:41 +0200 Armin Novak (6192230) 

	* Added legacy known_hosts support.

2015-06-09 15:33:13 +0200 Armin Novak (6da4a5a) 

	* Using '<host> <port> <fp>' format for known hosts.

2015-06-09 15:32:50 +0200 Armin Novak (d6e1a0a) 

	* Added StrSep function.

2015-06-09 13:17:15 +0200 Armin Novak (5b7a44c) 

	* Removed CreateDirectoryA, handled by PathMakePath

2015-06-03 12:35:45 +0200 Armin Novak (db7753b) 

	* Added RemoveDirectoryA, clean up test directories.

2015-06-03 11:47:40 +0200 Armin Novak (7403cdc) 

	* Added PathMakePath function.

2015-06-08 16:17:39 +0200 Bernhard Miklautz (1918b69) 

	* ios: update openssl build script

2015-06-09 12:35:45 +0200 Bernhard Miklautz (0740792) 

	* Merge pull request #2670 from akallabeth/windows_config_paths

2015-06-08 17:57:24 +0200 Norbert Federa (0278f7f) 

	* Merge pull request #2683 from nfedera/fix-shadow-server

2015-06-08 17:01:43 +0200 tdb (aa08492) 

	* fix French bépo layout id to match the bépo.fr installer

2015-06-08 16:34:45 +0200 Norbert Federa (202a931) 

	* server/shadow: prevent memcopy of NULL area

2015-06-08 15:55:11 +0200 Norbert Federa (677be4d) 

	* server/shadow: resuscitate shadow server

2015-06-08 14:32:19 +0200 Norbert Federa (cdabfcf) 

	* winpr/path: Denounce PathAllocCombine and more

2015-06-08 14:03:32 +0200 Norbert Federa (6823cb4) 

	* winpr/path: PathCchConvertStyle used S_FALSE

2015-06-08 12:06:46 +0200 Norbert Federa (b93a25a) 

	* winpr/path: umimplemented tests print a warning

2015-06-08 11:56:46 +0200 Norbert Federa (d383f95) 

	* winpr/path: unimpl. functions should not succeed

2015-06-08 10:24:38 +0200 Norbert Federa (c4cd601) 

	* winpr: fix PathCchFindExtension

2015-06-08 14:17:50 +0200 Bernhard Miklautz (d65cc5d) 

	* Merge pull request #2676 from nfedera/fix-hresult-xxx

2015-06-05 10:52:40 +0200 tdb (c9e7502) 

	* Add Bépo Layout

2015-06-03 16:05:19 +0200 Norbert Federa (178afd8) 

	* winpr: fix PathCchAppend

2015-06-03 13:53:39 +0200 Norbert Federa (92b0076) 

	* winpr: fix PathCchStripPrefix

2015-06-02 22:21:57 +0200 Norbert Federa (17ceafb) 

	* winpr: fix PathCchAddExtension

2015-06-02 21:38:49 +0200 Norbert Federa (03b0472) 

	* winpr: fix PathCchAddBackslashEx

2015-06-02 21:36:31 +0200 Norbert Federa (21e6012) 

	* winpr: fix PathCchAddBackslash

2015-06-02 21:15:46 +0200 Norbert Federa (87683ec) 

	* client/windows: invalid usage of S_FALSE HRESULT

2015-06-03 10:05:09 +0200 Bernhard Miklautz (6b92fe3) 

	* Merge pull request #2673 from nfedera/fix-hresult

2015-06-02 19:52:52 +0200 Norbert Federa (77769f1) 

	* winpr: fixed HRESULT & SCODE types, added a ctest

2015-06-02 19:22:29 +0200 Hardening (c1b2fbe) 

	* Merge pull request #2672 from akallabeth/img_test_fix

2015-06-02 17:54:27 +0200 Armin Novak (c6c43d5) 

	* Writing failure to stderr.

2015-06-02 17:53:16 +0200 Armin Novak (1c3b38f) 

	* Fixed image test.

2015-06-02 15:17:54 +0200 Armin Novak (2a3cd74) 

	* Fixed image test.

2015-06-02 09:17:30 -0400 Marc-André Moreau (36b7d9c) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-06-02 09:15:29 -0400 Marc-André Moreau (608174c) 

	* Merge pull request #2649 from xhaakon/cross-monitor-subrect

2015-06-02 12:45:14 +0200 Armin Novak (6b4cc2f) 

	* Fixed size of string buffer.

2015-06-02 12:38:21 +0200 MartinHaimberger (02bf7ec) 

	* Merge pull request #2669 from llyzs/h264

2015-06-02 11:53:25 +0200 Armin Novak (ea1dae2) 

	* Added config compatibility for default builds.

2015-06-02 10:10:13 +0200 Armin Novak (e6283db) 

	* Added missing NULL check.

2015-06-02 10:00:43 +0200 Armin Novak (d3a8801) 

	* Fixed directory creation checks.

2015-06-02 09:48:32 +0200 Armin Novak (dd1a031) 

	* Fixed settings path creation.

2015-06-02 09:45:46 +0200 Armin Novak (70df8d8) 

	* Fixed static function arguments.

2015-06-02 09:07:17 +0200 Armin Novak (8f68b9c) 

	* Using vendor/product scheme for settings now.

2015-06-02 09:02:29 +0200 Armin Novak (d1223d3) 

	* Fixed windows known path locations.

2015-06-02 15:28:36 +0800 Vic Lee (1d31f25) 

	* h264: add encoder constant QP rate control.

2015-05-30 03:02:25 +0300 ivan-83 (e22a446) 

	* rdpsnd oss remove unneded mem operations

2015-05-30 02:22:18 +0300 ivan-83 (d925f2f) 

	* rdpsnd: latency process

2015-05-29 17:58:30 +0200 Hardening (29de9b6) 

	* Merge pull request #2658 from hardening/fix_2657

2015-05-29 14:38:58 +0200 Hardening (c75ba04) 

	* Merge pull request #2647 from hardening/fix_message_queue

2015-05-27 17:35:25 +0200 David FORT (84ae1d1) 

	* Take in account nfedera's remarks

2015-05-26 15:49:38 +0200 David FORT (a9709a6) 

	* Check some return values

2015-05-26 14:50:13 +0200 David FORT (909a965) 

	* Added misc checks in rdg.c

2015-05-25 22:55:37 +0200 David FORT (d26ce69) 

	* Fixed nfedera's remarks

2015-05-23 22:47:18 +0200 David FORT (12f873f) 

	* Fixed MessageQueue and callers

2015-05-29 14:12:59 +0200 Hardening (4586450) 

	* Merge pull request #2661 from MartinHaimberger/mh-stream-fix

2015-05-29 02:23:10 -0700 Martin Haimberger (11716c0) 

	* introduced WIN32ERROR and changed dvc interface

2015-05-29 04:46:50 -0700 Martin Haimberger (951a2d2) 

	* stream: check stream_new in winpr and libfreerdp

2015-05-29 10:49:42 +0200 Hardening (1b36681) 

	* Merge pull request #2608 from oshogbo/master

2015-05-28 22:58:15 +0200 Hardening (dbb67cd) 

	* Merge pull request #2642 from hardening/shadow_fix

2015-05-28 22:57:17 +0200 Hardening (2ec3734) 

	* Merge pull request #2659 from oshogbo/unused

2015-05-28 11:09:07 +0200 Hardening (ca274b6) 

	* Merge pull request #2660 from nfedera/fix-tsmf-channel

2015-05-28 10:51:53 +0200 Hardening (f7f58f6) 

	* Merge pull request #2646 from eledoux/thread_list

2015-05-28 10:49:38 +0200 Norbert Federa (8e70012) 

	* tsmf: fix invalid check and a potential segfault

2015-05-28 03:26:24 +0300 ivan-83 (a520d8b) 

	* Merge branch 'master' of github.com:ivan-83/FreeRDP

2015-05-02 06:26:08 +0300 ivan-83 (9313197) 

	* Code style changed.

2015-05-02 02:31:09 +0300 ivan-83 (99e63b5) 

	* revert wlog debug formating

2015-03-28 03:08:36 +0300 ivan-83 (1a7ef09) 

	* * tsmf: OSS code cleanup + urbdrc: add devd support (not tested) *
          fix FindUUID detection ubder BSD * wlog: fix prev commit:
          build error on Windows * cmdline: add /usb syntax help

2015-03-19 02:41:29 +0300 ivan-83 (307d22c) 

	* * debug and error messages now print function name and line number
          * add debug messages to trace fake network dissconects

2015-03-17 06:24:48 +0300 ivan-83 (20a1d2b) 

	* * tsmf: OSS now work, but only with ffmpeg, and sound is bad (like
          with alsa), ffmpeg code possible have bug with wrong
          resample

2015-03-17 05:10:58 +0300 ivan-83 (3912172) 

	* + tsmf: OSS initial suppot (not work yet) * tsmf: fix video
          playback on FreeBSD (proper shared object name) * tsmf:
          renamed args: audio->sys, audio-dev->dev * audin: OSS fix,
          now it work * cmdline: add syntax help for /audin,
          /rdpsnd, /tsmf * add debug messages

2015-05-02 06:38:50 +0300 ivan-83 (5ba4d6c) 

	* Code style changed.

2015-05-02 06:26:08 +0300 ivan-83 (0fda0eb) 

	* Code style changed.

2015-05-02 02:31:09 +0300 ivan-83 (92662a1) 

	* revert wlog debug formating

2015-03-28 03:08:36 +0300 ivan-83 (83a40a3) 

	* * tsmf: OSS code cleanup + urbdrc: add devd support (not tested) *
          fix FindUUID detection ubder BSD * wlog: fix prev commit:
          build error on Windows * cmdline: add /usb syntax help

2015-03-19 02:41:29 +0300 ivan-83 (1009268) 

	* * debug and error messages now print function name and line number
          * add debug messages to trace fake network dissconects

2015-03-17 06:24:48 +0300 ivan-83 (4f15e59) 

	* * tsmf: OSS now work, but only with ffmpeg, and sound is bad (like
          with alsa), ffmpeg code possible have bug with wrong
          resample

2015-03-17 05:10:58 +0300 ivan-83 (94a7abd) 

	* + tsmf: OSS initial suppot (not work yet) * tsmf: fix video
          playback on FreeBSD (proper shared object name) * tsmf:
          renamed args: audio->sys, audio-dev->dev * audin: OSS fix,
          now it work * cmdline: add syntax help for /audin,
          /rdpsnd, /tsmf * add debug messages

2015-05-27 18:24:56 +0200 Emmanuel Ledoux (de1a21e) 

	* winpr-thread: added HP's copyright

2015-05-27 18:15:17 +0200 Emmanuel Ledoux (206714a) 

	* winpr-thread: thread_list's synchronization based on a
          pthread_cond_t

2015-05-27 19:02:54 +0300 ivan-83 (9d6b5a2) 

	* Merge branch 'master' of github.com:ivan-83/FreeRDP

2015-05-02 06:38:50 +0300 ivan-83 (0a969bf) 

	* Code style changed.

2015-05-02 06:26:08 +0300 ivan-83 (bc77bdb) 

	* Code style changed.

2015-05-02 02:31:09 +0300 ivan-83 (9ed8779) 

	* revert wlog debug formating

2015-03-28 03:08:36 +0300 ivan-83 (e3f962a) 

	* * tsmf: OSS code cleanup + urbdrc: add devd support (not tested) *
          fix FindUUID detection ubder BSD * wlog: fix prev commit:
          build error on Windows * cmdline: add /usb syntax help

2015-03-19 02:41:29 +0300 ivan-83 (6ed3914) 

	* * debug and error messages now print function name and line number
          * add debug messages to trace fake network dissconects

2015-05-27 16:04:06 +0200 Mariusz Zaborski (461497b) 

	* Remove unused variable.

2015-03-17 06:24:48 +0300 ivan-83 (ec1d475) 

	* * tsmf: OSS now work, but only with ffmpeg, and sound is bad (like
          with alsa), ffmpeg code possible have bug with wrong
          resample

2015-03-17 05:10:58 +0300 ivan-83 (82dbfc5) 

	* + tsmf: OSS initial suppot (not work yet) * tsmf: fix video
          playback on FreeBSD (proper shared object name) * tsmf:
          renamed args: audio->sys, audio-dev->dev * audin: OSS fix,
          now it work * cmdline: add syntax help for /audin,
          /rdpsnd, /tsmf * add debug messages

2015-05-27 15:13:43 +0200 David FORT (85c350f) 

	* Fix for #2657

2015-05-27 09:00:22 -0400 Marc-André Moreau (a2e0746) 

	* Merge pull request #2653 from bmiklautz/lzcnt

2015-05-27 10:32:08 +0200 Bernhard Miklautz (03ec9be) 

	* winpr/test: incorporate comments from pull request

2015-05-26 18:15:57 +0200 Emmanuel Ledoux (f74cd12) 

	* winpr-thread: a better error message and comments about thread_list

2015-05-26 17:55:27 +0200 Emmanuel Ledoux (56f3458) 

	* winpr-thread: added an assertion to enforce that thread_list is
          correctly set

2015-05-26 17:40:34 +0200 Emmanuel Ledoux (93127e0) 

	* winpr-thread: thread_list's synchronization based on an Event

2015-05-26 16:41:29 +0200 Bernhard Miklautz (f9c7e03) 

	* winpr: add intrin.h

2015-05-26 15:33:12 +0200 Mariusz Zaborski (951dbd8) 

	* In c file the name is channelId.

2015-05-26 16:10:41 +0200 Hardening (58b1995) 

	* Merge pull request #2654 from oshogbo/typos

2015-05-26 08:39:08 +0200 Hardening (83d5b26) 

	* Merge pull request #2652 from nfedera/fix-ios-context-new

2015-05-25 22:21:53 +0200 Norbert Federa (8a53e5e) 

	* client/iOS: fix ios_context_new

2015-05-25 13:44:51 +0200 Jakub Adam (dea741f) 

	* shadow_screen: allow sub-rectangle to span multiple monitors

2015-05-11 16:21:02 +0200 Mariusz Zaborski (8095875) 

	* Add check to protect memcpy(3) from using NULL pointer.

2015-05-22 19:01:37 -0400 Marc-André Moreau (4886c4c) 

	* libwinpr-winsock: add WSAIoctl() interface listing for OS X

2015-05-22 14:30:11 -0400 Marc-André Moreau (36cb1e6) 

	* Merge pull request #2639 from awakecoding/master

2015-05-22 14:15:31 -0400 Marc-André Moreau (649d495) 

	* Merge pull request #2644 from xhaakon/shadow-server-disposal

2015-05-22 14:15:09 -0400 Marc-André Moreau (30fc814) 

	* Merge pull request #2643 from
          xhaakon/shadow-server-client-disconnect

2015-05-22 14:14:57 -0400 Marc-André Moreau (35e2602) 

	* freerdp: patch multiple leaks and OOM errors

2015-05-22 19:17:30 +0200 Emmanuel Ledoux (f94ab00) 

	* winpr-thread: better error message upon a failure of
          TestThreadExitThread

2015-05-22 18:28:10 +0200 Emmanuel Ledoux (6f5de27) 

	* winpr-thread:   - added the unit test: TestThreadExitThread   -
          fix: ensure thread_list to be up to date before to call
          ExitThread()   - possibly resolved: Problems with serial
          redirection #2389

2015-05-22 10:03:21 -0400 Marc-André Moreau (7a06640) 

	* libwinpr-shell: use getpwnam_r

2015-05-22 09:29:16 +0200 Jakub Adam (bc1bbe6) 

	* shadow_client: dispose encomsp and remdesk

2015-05-21 14:32:10 +0200 Jakub Adam (9e60246) 

	* Don't dispose shadow server before all clients have disconnected

2015-05-21 08:32:51 +0200 Jakub Adam (73888a5) 

	* Ensure threads have finished using a barrier before releasing it

2015-05-22 13:36:00 +0200 Bernhard Miklautz (7a1485a) 

	* Merge pull request #2638 from kwitaszczyk/master

2015-05-22 11:12:41 +0200 David FORT (b01d64d) 

	* Specify to skip compression with remoteFx frames

2015-05-22 09:56:59 +0200 Hardening (ff1eb9d) 

	* Merge pull request #2640 from xsumbe00/master

2015-05-21 16:50:29 -0400 Marc-André Moreau (8964292) 

	* channels/rdpdr: add more server-side error checking

2015-05-21 13:24:03 -0700 Petr Sumbera (fe5ce30) 

	* winsock.c Solaris build fixes

2015-05-21 16:08:46 -0400 Marc-André Moreau (d8460d1) 

	* channels/rdpdr: treat OOM and status failures in server-side code

2015-05-21 14:33:38 -0400 Marc-André Moreau (aa34c8a) 

	* channels/rdpdr: cleanup server-side rdpdr code

2015-05-21 13:29:59 -0400 Marc-André Moreau (5526348) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-05-21 13:25:35 -0400 Marc-André Moreau (c64be49) 

	* libwinpr-utils: update backtrace utils

2015-05-21 16:54:19 +0200 Konrad Witaszczyk (8797eef) 

	* Assign peer to settings when a new RDP module is being initialized.

2015-05-21 16:21:09 +0200 Bernhard Miklautz (e6891b7) 

	* Merge pull request #2637 from
          nfedera/fix-shadow_client_context_cleanup

2015-05-21 10:17:54 -0400 Marc-André Moreau (b9c1cdd) 

	* Merge pull request #2583 from bceverly/OpenBSD-cleanup

2015-05-21 10:56:56 +0200 Norbert Federa (535a435) 

	* shadow/client context cleanup and unused vars fix

2015-05-21 16:04:26 +0200 Norbert Federa (cd0a8e0) 

	* Merge pull request #2630 from hardening/new_2616

2015-05-20 16:26:31 -0400 Marc-André Moreau (ebf863f) 

	* Merge pull request #2557 from realjiangms/shadow_fix_hang2395

2015-05-20 21:19:20 +0200 Hardening (58602c7) 

	* Merge pull request #2632 from
          akallabeth/client_bandwidth_measurement_callback

2015-05-20 21:01:46 +0200 David FORT (b83af4c) 

	* Fixed declaration of xf_event_action_script_init()

2015-05-20 19:19:50 +0200 David FORT (29d3724) 

	* Take in account nfedera's review

2015-05-20 12:17:05 -0400 Bryan Everly (a3a3efe) 

	* Fixed mistake with bitwise operator in previous two commits

2015-05-20 11:40:48 -0400 Marc-André Moreau (7e1dbd5) 

	* Merge branch 'awakecoding' of https://github.com/vworkspace/FreeRDP

2015-05-20 11:27:36 -0400 Marc-André Moreau (4c5ac6c) 

	* cmake: add PULSE_FOUND variable to FindPulse.cmake

2015-05-20 10:52:24 -0400 Bryan Everly (80af54b) 

	* Moved thread code to OpenBSD only

2015-05-20 10:47:24 +0200 Armin Novak (e239c10) 

	* Added client bandwidth measurement result callback.

2015-05-20 10:12:24 -0400 Marc-André Moreau (29d1477) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-05-20 09:41:18 -0400 Marc-André Moreau (05bc27e) 

	* Merge pull request #2633 from
          clivest/progressive_codec_new_surface_fix

2015-05-20 09:40:24 -0400 Marc-André Moreau (74ff78b) 

	* Merge pull request #2635 from clivest/gdi_gfx_leaked_regions_fix

2015-05-20 12:35:24 +0100 Clive Stevens (5528b15) 

	* Fix two cases of leaked regions in gdi/gfx

2015-05-20 12:26:58 +0100 Clive Stevens (63ecb59) 

	* Fix rounding error in progressive codec

2015-05-19 15:13:32 +0200 Jakub Adam (2e4948c) 

	* Make remdesk_virtual_channel_write() static

2015-05-19 13:54:43 +0200 David FORT (f8d6eb2) 

	* Fixed last VirtualChannelEntry

2015-05-19 13:48:57 +0200 David FORT (6fb3f39) 

	* Fixed functions that return BOOLs

2015-05-19 11:07:42 +0200 Bernhard Miklautz (1810656) 

	* Merge pull request #2627 from nfedera/fix-x11-polyregion

2015-05-19 01:07:51 +0200 Norbert Federa (4d661fd) 

	* client/x11: fix + simplify invalidate_poly_region

2015-05-18 08:55:48 -0400 Marc-André Moreau (9c8745b) 

	* Merge pull request #2624 from kwitaszczyk/master

2015-05-18 11:36:31 +0200 Bernhard Miklautz (d922afc) 

	* smartcard: fix compiler warnings

2015-05-18 11:28:00 +0200 Hardening (f812091) 

	* Add checks for some XXX_New and XXX_Add functions

2015-05-18 09:42:17 +0200 Konrad Witaszczyk (29d3b0b) 

	* QueryContextAttributes shouldn't return an error when a user or a
          domain is empty.

2015-05-17 21:40:38 +0200 Hardening (0067241) 

	* Merge pull request #2623 from nfedera/fix-xfclient-if-semicolons

2015-05-17 18:24:11 +0200 Norbert Federa (1b5abec) 

	* client/x11: fixed if statements with empty body

2015-05-15 08:37:10 -0400 Marc-André Moreau (0f959b2) 

	* Merge pull request #2622 from kwitaszczyk/master

2015-05-15 13:02:40 +0200 Konrad Witaszczyk (95f9e6a) 

	* Pass valid context to CompleteAuthToken function in Negotiate
          Security Package.

2015-05-15 11:59:12 +0200 Bernhard Miklautz (ded9ce5) 

	* Merge pull request #2621 from nfedera/fix-mac-async-transport

2015-05-14 21:54:09 +0200 Norbert Federa (51b697d) 

	* transport/mfreerdp: fix async transport

2015-05-14 21:13:12 +0200 Hardening (7220e34) 

	* Merge pull request #2620 from nfedera/fix-gdi-cache

2015-05-14 20:33:21 +0200 Norbert Federa (35c11c7) 

	* gdi: fix nullification of instance->context->cache

2015-05-13 08:24:35 +0200 Hardening (f219d34) 

	* Merge pull request #2611 from nfedera/fix-async-transport-thread

2015-05-12 16:18:08 +0200 Hardening (75634d4) 

	* Merge pull request #2613 from oshogbo/gethostname

2015-05-12 15:45:55 +0200 Hardening (a0a3eed) 

	* Merge pull request #2612 from oshogbo/style

2015-05-12 15:33:42 +0200 Mariusz Zaborski (401152f) 

	* At least at FreeBSD - the gethostname(3) function can fail. Check
          returned value.

2015-05-12 15:31:23 +0200 Mariusz Zaborski (b8c5da1) 

	* Function return bool, so lets return FALSE if 0 or TRUE if 1.

2015-05-11 21:54:36 +0200 Norbert Federa (e99b84e) 

	* transport: fixed multiple errors in async thread

2015-05-11 16:59:32 +0200 MartinHaimberger (e3236c2) 

	* Merge pull request #2605 from nfedera/fix-2015-05-08-01

2015-05-11 10:14:30 +0200 MartinHaimberger (692df12) 

	* Merge pull request #2607 from nfedera/remove_free_null_checks

2015-05-11 09:07:39 +0200 Norbert Federa (1eff1a3) 

	* free can handle NULL perfectly fine

2015-05-11 00:00:02 +0800 zihao.jiang (85dd90d) 

	* shadow fix multi-client hang

2015-05-08 21:39:23 +0200 Norbert Federa (71a4349) 

	* fixed multiple missing gdi return value checks

2015-05-08 13:44:26 +0200 Bernhard Miklautz (d4df3a9) 

	* Merge pull request #2594 from baruchsiach/fix-math-2

2015-05-08 11:17:33 +0200 Norbert Federa (9fe7ad2) 

	* Merge pull request #2577 from hardening/listen_from_socket

2015-05-08 10:07:29 +0200 David FORT (acf13da) 

	* Return FALSE under Win32

2015-05-08 10:05:39 +0200 David FORT (21d9ffc) 

	* Test the number of listening handles

2015-04-07 15:18:07 +0200 David FORT (fca4374) 

	* Add the ability to have listener from an existing socket

2015-05-08 00:49:41 +0200 Bernhard Miklautz (81568ff) 

	* Merge pull request #2596 from akallabeth/wlog_default_out_fix

2015-05-07 14:20:49 -0400 Marc-André Moreau (30dd40e) 

	* wfreerdp: fix and improve remote assistance

2015-05-07 13:35:39 -0400 Marc-André Moreau (87bb3aa) 

	* wfreerdp: fix build

2015-05-07 19:06:59 +0200 Hardening (a88adcb) 

	* Merge pull request #2601 from nfedera/fix-2015-05-07-01

2015-05-07 18:42:15 +0200 Norbert Federa (b9771f8) 

	* Merge pull request #2597 from clivest/bitstream_read_fix

2015-05-07 18:24:47 +0200 Norbert Federa (509230f) 

	* Merge pull request #2598 from clivest/stream_leak_fix

2015-05-07 18:15:01 +0200 Norbert Federa (b2dcde3) 

	* Merge pull request #2599 from hardening/fix_wayland_colors

2015-05-07 18:13:09 +0200 Norbert Federa (e290e55) 

	* Merge pull request #2603 from hardening/rail_empty_title_fix

2015-05-07 18:11:38 +0200 Norbert Federa (525ae6c) 

	* Merge pull request #2604 from hardening/rail_fix

2015-05-07 17:42:01 +0200 Norbert Federa (82843f0) 

	* server/shadow: added missing error message

2015-05-07 15:08:00 +0200 David FORT (c330a37) 

	* Fix empty window title

2015-05-07 14:36:07 +0200 David FORT (0e2925d) 

	* Fix remoteApps

2015-05-05 19:45:34 +0200 Norbert Federa (f9f59cd) 

	* Fix unchecked CreateDirectory calls

2015-05-05 17:32:06 +0200 Norbert Federa (e3fb908) 

	* Fix unchecked CreateSemaphore calls

2015-05-05 17:25:17 +0200 Norbert Federa (c77def3) 

	* Fix unchecked CreateMutex calls

2015-05-06 16:32:45 -0400 Marc-André Moreau (6b1fefe) 

	* freerdp: fix remote assistance mode, add multi-address connection

2015-05-06 21:54:39 +0200 David FORT (b09f6be) 

	* Fix colors with the wayland client

2015-05-06 15:54:23 +0100 Clive Stevens (2e41c54) 

	* Fix whitespace

2015-05-06 15:26:06 +0100 Clive Stevens (75865b5) 

	* Fix bitstream reading

2015-05-06 15:23:37 +0100 Clive Stevens (b06e504) 

	* Fix two cases of potentially leaked streams

2015-05-06 15:36:54 +0200 Armin Novak (1d3e847) 

	* Fixed broken indent.

2015-05-06 10:58:57 +0200 Armin Novak (c0fbaa5) 

	* Not writing messages if level is WLOG_OFF.

2015-05-06 10:56:30 +0200 Armin Novak (c375071) 

	* Console logging to stdout and stderr

2015-05-06 10:16:26 +0200 Martin Fleisz (063c1bc) 

	* Merge pull request #2592 from nfedera/fix-2015-05-05-01

2015-05-05 21:27:17 +0300 Baruch Siach (81fc2c9) 

	* Don't disable C99 long double math on non Unix platforms

2015-05-05 14:25:55 -0400 Marc-André Moreau (8ee097a) 

	* Merge branch 'master' of github.com:awakecoding/FreeRDP

2015-05-05 12:35:18 -0400 Bryan Everly (3b44bad) 

	* Removed unnecessary include file.

2015-05-05 12:33:44 -0400 Bryan Everly (9865854) 

	* Simplified random byte stream generation code to use SSL
          RAND_bytes() and also eliminated two more compiler
          warnings.

2015-05-05 10:56:12 -0400 Marc-André Moreau (1de81c3) 

	* Merge pull request #2587 from floppym/armfix

2015-05-05 10:47:03 -0400 Marc-André Moreau (70ecd9b) 

	* Merge pull request #2589 from baruchsiach/fix-math

2015-05-05 13:55:48 +0200 Norbert Federa (25fc866) 

	* Fix unchecked CreateThread calls and misc fixes

2015-05-04 13:14:00 -0400 Bryan Everly (6485e94) 

	* Freed memory buffer that was allocated in previous commit.

2015-05-04 09:53:15 -0400 Bryan Everly (f7db1ae) 

	* Fixed stream leak in modified code

2015-05-04 10:14:27 +0200 MartinHaimberger (9a4f645) 

	* Merge pull request #2582 from nfedera/fix-2015-04-28-01

2015-05-03 20:46:22 +0300 Baruch Siach (414663c) 

	* Don't use unavailable C99 long double math functions

2015-05-02 12:06:18 -0400 Bryan Everly (a7e77df) 

	* Fixed unchecked malloc() error

2015-05-02 06:38:50 +0300 ivan-83 (d325a3c) 

	* Code style changed.

2015-05-02 06:26:08 +0300 ivan-83 (b630bd8) 

	* Code style changed.

2015-05-02 02:31:09 +0300 ivan-83 (cf61c3e) 

	* revert wlog debug formating

2015-05-01 17:35:21 -0400 Mike Gilbert (2355b54) 

	* Remove the ARM_FP_ABI option

2015-04-30 10:12:37 -0400 Bryan Everly (df9ae5e) 

	* Changed the xf_tsmf.c code to test for zero visible rectangles for
          all platforms.  Modified arc4random() change to actually
          have a skeletal implementation in winpr for
          BCryptGenRandom() on all platforms.

2015-04-30 14:20:33 +0200 Bernhard Miklautz (dd2e7f3) 

	* Merge pull request #2584 from baruchsiach/fix-eventfd-2

2015-04-30 09:20:34 +0200 Norbert Federa (7edb38d) 

	* Increase API version to 1.2.3

2015-04-28 09:30:45 +0300 Baruch Siach (3b7d319) 

	* Fix build with newer uclibc versions

2015-04-28 17:00:41 +0200 Norbert Federa (ef1fd12) 

	* Fix unchecked CreateEvent calls and misc fixes

2015-04-29 18:04:59 +0200 Norbert Federa (19dc7b7) 

	* Merge pull request #2579 from akallabeth/mutex_debug_log

2015-04-29 08:48:07 +0200 Armin Novak (b7fccaf) 

	* Added EBUSY to success states.

2015-04-28 17:29:07 +0200 Armin Novak (07ee198) 

	* Better error handling on mutex destroy.

2015-04-28 10:50:29 -0400 Bryan Everly (6ed90e8) 

	* Fixed linker warning about insecure crypto and fixed compiler
          warning about unsigned being compared to less than zero

2015-04-28 14:43:30 +0200 Hardening (bfccc06) 

	* Merge pull request #2578 from jonathankap/master

2015-04-28 09:42:46 +0200 Armin Novak (fe27913) 

	* Ensuring mutex is unlocked on destroy.

2015-04-28 00:21:38 -0700 Jonathan Kaplan (8dee5da) 

	* Fix issue when numWindowIds is 0

2015-04-28 08:55:26 +0200 Armin Novak (ac15ce2) 

	* Added mutex debug flag.

2015-04-27 09:34:13 +0200 Norbert Federa (3fb8bb7) 

	* Merge pull request #2575 from bmiklautz/gdi_fix

2015-04-26 22:28:49 +0200 Bernhard Miklautz (ff11057) 

	* gdi: fix problem with gdi_SelectObject check(s)

2015-04-24 13:36:27 -0400 Marc-André Moreau (1fea6bf) 

	* Merge pull request #2568 from nfedera/fix-2015-04-23-01

2015-04-24 17:54:49 +0200 Norbert Federa (5926bbc) 

	* codec/rfx: simplification, segfault/malloc fixes

2015-04-24 17:38:02 +0200 Bernhard Miklautz (15a2e6f) 

	* Merge pull request #2572 from bceverly/OpenBSD-2015-04-24

2015-04-24 08:38:35 -0400 Bryan Everly (18b335e) 

	* Added support for manpage construction for OpenBSD

2015-04-23 14:22:20 -0400 Marc-André Moreau (dbcc972) 

	* libwinpr-crt: make fallback byteswap macros type safe

2015-04-23 15:42:21 +0200 Norbert Federa (84577b1) 

	* codec/rfx: error checking and various fixes

2015-04-22 17:33:42 -0400 Mike McDonald (b6cb94b) 

	* Fixed protocol parsing issue in general capability set.  The
          SpecialTypeDeviceCap field is only present when the
          Version field is set to GENERAL_CAPABILITY_VERSION_02.

2015-04-22 18:44:25 +0200 Bernhard Miklautz (e61620b) 

	* Merge pull request #2566 from bceverly/OpenBSD-2015-04-22

2015-04-22 09:50:50 -0400 Bryan Everly (cb66f3e) 

	* Removed compiler warning about obsolete header file in OpenBSD

2015-04-22 09:19:04 -0400 Bryan Everly (8f19bd1) 

	* Moved declaration of OPENBSD to higher in the file to clean some
          things up.  Also, removed -Wredundant-decls from OpenBSD
          because the OpenBSD standard include files have some
          redundant declarations that generate a large number of
          compiler warnings.

2015-04-22 14:42:31 +0200 Bernhard Miklautz (d5e7314) 

	* Merge pull request #2564 from
          akallabeth/pthread_mutex_timedjoin_detection

2015-04-22 13:33:12 +0200 Hardening (e144bbd) 

	* Merge pull request #2555 from akallabeth/wayland_warning_fix

2015-04-22 11:05:29 +0200 Armin Novak (7524ea5) 

	* Updated to new freerdp_get_event_handles API.

2015-04-20 16:20:16 +0200 Armin Novak (a07d1c4) 

	* Updated wayland client to new API.

2015-04-22 11:04:37 +0200 Norbert Federa (af79c30) 

	* Merge pull request #2554 from akallabeth/event_fix

2015-04-22 11:01:27 +0200 Hardening (6cd7713) 

	* Merge pull request #2544 from bmiklautz/boolenization

2015-04-22 10:23:25 +0200 Bernhard Miklautz (159306f) 

	* Increase API version to 1.2.2

2015-04-22 09:30:50 +0200 Armin Novak (5911332) 

	* Fixed pthread_mutex_timedjoin detection.

2015-04-22 09:14:29 +0200 Hardening (f7ef376) 

	* Merge pull request #2562 from bceverly/OpenBSD-2015-04-11

2015-04-21 16:14:56 -0400 Bryan Everly (d31301f) 

	* Modified code to use bulitin pthread functions on OpenBSD

2015-04-21 14:44:02 -0400 Bryan Everly (a2a1d06) 

	* Necessary changes to get latest branch working on OpenBSD 5.6

2015-04-21 14:42:06 -0400 Bryan Everly (8c75127) 

	* Necessary changes to get latest branch working on OpenBSD 5.6

2015-04-21 16:52:32 +0200 Bernhard Miklautz (b029e78) 

	* Merge pull request #2537 from MartinHaimberger/mh-autodetect-fix

2015-04-21 16:49:02 +0200 Bernhard Miklautz (d5edc63) 

	* Merge pull request #2553 from akallabeth/leak_fixes

2015-04-21 16:34:39 +0200 Bernhard Miklautz (e8f855f) 

	* Merge pull request #2560 from akallabeth/get_event_handle_api_fix

2015-04-21 15:57:25 +0200 Armin Novak (65a4c6e) 

	* Changed listener callback arguments and return.

2015-04-21 15:10:17 +0200 Armin Novak (90fa0e3) 

	* Fixed handle copy and index.

2015-04-21 14:25:59 +0200 Bernhard Miklautz (c9ee30a) 

	* TestStream: set function parameters to void

2015-04-21 14:15:53 +0200 Bernhard Miklautz (1e6943b) 

	* Fix formating

2015-04-20 11:43:44 +0200 Bernhard Miklautz (db81151) 

	* gdi: fix broken return type checks

2015-04-17 16:21:55 +0200 Bernhard Miklautz (2c072d3) 

	* Fix GDI return values and other fixes

2015-04-14 10:14:23 +0200 Bernhard Miklautz (515502f) 

	* change return types of callbacks to BOOL

2015-04-14 11:46:31 +0200 Bernhard Miklautz (6147392) 

	* TestStream: fix compiler warning

2015-04-14 11:43:24 +0200 Bernhard Miklautz (43695bc) 

	* ios: updates to build with xcode6+

2015-04-21 12:35:55 +0200 Armin Novak (d98e485) 

	* Fixed some type mismatches.

2015-04-21 12:24:50 +0200 Armin Novak (d333634) 

	* Add *get_event_handles handle count, return check.

2015-04-21 12:09:44 +0200 Armin Novak (6e213bc) 

	* Modified GetEventHandles of listener

2015-04-21 11:00:09 +0200 Norbert Federa (23dfec9) 

	* Merge pull request #2558 from llyzs/llyzs

2015-04-21 13:59:01 +0800 Vic Lee (93d59ac) 

	* h264: change encoder api and add multi-thread support.

2015-04-20 18:34:13 +0200 Bernhard Miklautz (12e256b) 

	* Merge pull request #2538 from
          MartinHaimberger/mh-add-transport-get-bytes

2015-04-20 17:47:44 +0200 Bernhard Miklautz (5622b91) 

	* Merge pull request #2552 from akallabeth/sample_update

2015-04-20 15:13:23 +0200 Armin Novak (ad41fc5) 

	* Fixed reading bitmap from buffer.

2015-04-20 14:43:37 +0200 Armin Novak (f634e52) 

	* Using auto reset event now.

2015-04-19 12:29:28 +0200 Armin Novak (7990ea6) 

	* Added proper bitmap and png image test.

2015-04-19 12:29:17 +0200 Armin Novak (e5cdd8a) 

	* Fixed bitmap reading bug.

2015-04-19 10:36:20 +0200 Armin Novak (7b0d7b3) 

	* Using new API for socket listener.

2015-04-19 10:31:28 +0200 Armin Novak (4ed891b) 

	* Moved client handler to new API.

2015-04-19 10:20:48 +0200 Armin Novak (70cf129) 

	* Moved cleanup code, removed unused.

2015-04-16 09:04:19 +0200 Armin Novak (efeb621) 

	* Updated sample for new API.

2015-04-17 09:03:46 -0400 Marc-André Moreau (2e80e32) 

	* Merge pull request #2547 from nfedera/fix-2015-04-16-01

2015-04-16 23:54:56 +0200 Norbert Federa (fd5f474) 

	* xfreerdp: fixed initial smart-sizing dimensions

2015-04-16 22:04:38 +0200 Armin Novak (813e75e) 

	* Fixed NULL dereference.

2015-04-16 21:56:57 +0200 Armin Novak (60de56e) 

	* Fixed NULL dereference and double free

2015-04-16 21:56:26 +0200 Armin Novak (276757c) 

	* Fixed NULL dereference

2015-04-16 21:31:27 +0200 Armin Novak (0d9bcb6) 

	* Fixed memory leaks and NULL dereferences.

2015-04-16 17:29:52 +0200 Norbert Federa (bad2f13) 

	* xfreerdp: FS fixes & smart-sizing resuscitation

2015-04-14 17:59:06 +0200 Norbert Federa (eb14ab1) 

	* xfreerdp: removed some weird/unnecessary code

2015-04-14 17:03:53 +0200 Norbert Federa (98505a0) 

	* xfreerdp: removed desktopWidth/desktopHeight vars

2015-04-14 16:32:08 +0200 Norbert Federa (b3b8306) 

	* xfreerdp: removed unused variables from xf_monitor

2015-04-14 13:07:19 +0200 Norbert Federa (6354a75) 

	* xfreerdp: rename xf_context's width height vars

2015-04-16 10:58:27 +0200 Bernhard Miklautz (f5cdae5) 

	* Merge pull request #2546 from akallabeth/error_fixes

2015-04-15 10:38:04 +0200 Armin Novak (5525d9f) 

	* Fixed uninitialized return value.

2015-04-15 10:37:28 +0200 Armin Novak (449929f) 

	* Fixed NULL dereference.

2015-04-14 09:23:47 -0400 Marc-André Moreau (4e1194c) 

	* Merge pull request #2532 from dbungert/4bytestub

2015-04-14 13:50:33 +0200 Norbert Federa (8f64b71) 

	* Merge pull request #2539 from bmiklautz/fix/regression

2015-04-14 13:47:23 +0200 Bernhard Miklautz (1093f64) 

	* ObjectPool: fix regression

2015-04-14 03:54:33 -0700 Martin Haimberger (5504f42) 

	* autodetect: debug fixed and level adjusted

2015-04-14 03:49:01 -0700 Martin Haimberger (9c0d275) 

	* transport: added function to get bytes written

2015-04-14 11:57:33 +0200 Norbert Federa (951a40b) 

	* Merge pull request #2517 from bmiklautz/alloc

2015-04-13 14:08:47 +0200 Norbert Federa (1487de6) 

	* Merge pull request #2527 from AMV007/patch-1

2015-04-13 11:52:03 +0200 Bernhard Miklautz (2ebdf76) 

	* Merge pull request #2535 from akallabeth/null_dereference_fix

2015-04-13 09:28:29 +0200 Armin Novak (ea0e255) 

	* Fixed broken pad setting.

2015-04-12 14:51:27 +0300 Maxim (9b8754c) 

	* Update urbdrc_main.c

2015-04-10 15:09:54 -0600 Daniel Bungert (0a1273e) 

	* GW RPC-HTTP - Don't drop 4 byte stub from the pipe

2015-04-10 14:50:17 -0600 Daniel Bungert (3910baf) 

	* GW RPC-HTTP login fix

2015-04-10 15:44:27 +0300 Maxim (d4ad03b) 

	* fixed buffer overflow at sprintf

2015-04-08 18:21:52 +0300 Maxim (0b39a1f) 

	* fixed undefined behaviour of sprintf, buffer overflow

2015-04-08 15:39:10 +0200 Bernhard Miklautz (423b151) 

	* Merge pull request #2522 from realjiangms/fix_WriteLock_leak

2015-04-07 00:24:08 +0800 zihao.jiang (a057526) 

	* transport_write sometimes returns directly without cleanup. Fix
          code path to always do cleanup job.

2015-04-07 14:38:09 +0200 Bernhard Miklautz (a8c44f1) 

	* winpr: small fixes and cleanups

2015-04-07 11:05:28 +0200 Bernhard Miklautz (12e1d94) 

	* winpr: fixes and cleanup

2015-04-03 16:21:01 +0200 Bernhard Miklautz (850de59) 

	* winpr: add checks for *alloc

2015-04-01 13:06:39 +0200 Bernhard Miklautz (20e2774) 

	* comm/tests: set label comm

2015-03-30 14:21:11 +0200 Bernhard Miklautz (b8e41b8) 

	* aligned memory: fixes in _aligned_offset_recalloc

2015-04-08 11:33:57 +0200 Bernhard Miklautz (879ed36) 

	* Merge pull request #2513 from
          hardening/license_and_security_retValues

2015-04-08 10:35:32 +0200 Bernhard Miklautz (7ae825f) 

	* Merge pull request #2512 from hardening/help2353

2015-04-07 21:06:53 +0200 David FORT (c03bf75) 

	* Take in account @nfedera's comments

2015-04-07 15:19:59 +0200 David FORT (c0b191a) 

	* Fix a too big Stream_EnsureRemainingCapacity()

2015-04-07 10:51:25 +0200 Hardening (35892cf) 

	* Merge pull request #2516 from bmiklautz/cmd_fix

2015-04-02 22:53:45 +0200 Bernhard Miklautz (0615c13) 

	* Fix regression introduced in 0b7f9d4

2015-04-01 22:26:38 +0200 David FORT (d84c760) 

	* Fix a typo in server-side code

2015-04-01 17:55:01 +0200 David FORT (a4a58aa) 

	* Fix the error case in mcs_send_connect_response()

2015-04-01 16:58:25 +0200 David FORT (23e11e5) 

	* Fix code style

2015-04-01 15:11:57 +0200 David FORT (5302bad) 

	* Drop the limit on key size

2015-04-01 14:24:37 +0200 David FORT (8685a8e) 

	* Fixed missing return value

2015-04-01 14:12:08 +0200 David FORT (9bb4d64) 

	* Correctly handle HMAC_Init_ex() for older versions of OpenSSL

2015-04-01 11:38:53 +0200 David FORT (edb9159) 

	* Treat return values in license.c

2015-04-01 11:13:05 +0200 David FORT (0cf17ef) 

	* Complement gitignore files with new generated files

2015-04-01 11:11:37 +0200 David FORT (0eb399a) 

	* Treat return values for security.c

2015-03-30 22:46:20 +0200 David FORT (cf8c763) 

	* Kill more exit() occurences

2015-03-31 10:55:04 -0400 Marc-André Moreau (121ea23) 

	* Merge pull request #2487 from mfleisz/nla_fix

2015-03-31 15:37:16 +0200 Norbert Federa (89b7eeb) 

	* Merge pull request #2509 from bmiklautz/security_fixes_v2

2015-03-31 09:26:30 -0400 Marc-André Moreau (ad67238) 

	* Merge pull request #2505 from bmiklautz/tls_shutdown

2015-03-31 15:20:10 +0200 Bernhard Miklautz (5692117) 

	* wlog: add missing check

2015-03-30 11:06:56 +0200 Armin Novak (71d4b81) 

	* Removed scopes.

2015-03-27 11:42:49 +0100 Armin Novak (b1edaf6) 

	* Removed duplicated NULL pointer checks.

2015-03-27 08:10:00 +0100 Armin Novak (d50ce6b) 

	* Corrected end of string checks.

2015-03-27 08:09:46 +0100 Armin Novak (853ac63) 

	* Removed INVALID_HANDLE_VALUE.

2015-03-24 12:13:41 +0100 Armin Novak (bd55b0d) 

	* Removed INVALID_HANDLE_VALUE from types not using it.

2015-03-24 09:18:06 +0100 Armin Novak (b3ea02a) 

	* Removed INVALID_HANDLE_VALUE from types not using it.

2015-03-23 16:07:40 +0100 Armin Novak (878aecf) 

	* Fixed conversion warnings.

2015-03-23 15:58:16 +0100 Armin Novak (e687264) 

	* Fixed NULL pointer dereference.

2015-03-23 15:22:03 +0100 Armin Novak (afe8bd2) 

	* Fixed missing checks for invalid handle.

2015-03-23 15:04:23 +0100 Armin Novak (6b0667c) 

	* Fixed use after free and realloc checks.

2015-03-30 21:54:27 +0200 Bernhard Miklautz (755c9e3) 

	* Merge pull request #2511 from hardening/fix2399

2015-03-30 21:16:18 +0200 David FORT (27c5b5b) 

	* Fix segfault when the xkb layout has no variants

2015-03-30 19:14:59 +0200 Hardening (bdb975a) 

	* Merge pull request #2510 from akallabeth/build_date

2015-03-30 19:11:11 +0200 Hardening (7f497c6) 

	* Merge pull request #2502 from bmiklautz/capacity

2015-03-30 18:29:32 +0200 Bernhard Miklautz (79de816) 

	* Integrate feedback from pull request

2015-03-30 18:18:14 +0200 Armin Novak (8e521e7) 

	* Fixed return value in test.

2015-03-30 18:17:07 +0200 Armin Novak (eedf455) 

	* Using sprintf_s now.

2015-03-30 18:09:02 +0200 Armin Novak (0adab13) 

	* Now returning const char*

2015-03-30 18:05:46 +0200 Armin Novak (cf94130) 

	* Fixed windows _snprintf.

2015-03-30 17:57:16 +0200 Armin Novak (827b4f7) 

	* Added test for freerdp version functions.

2015-03-30 17:50:47 +0200 Armin Novak (8f22816) 

	* Added version and build info functions

2015-03-30 17:23:22 +0200 Bernhard Miklautz (8615f74) 

	* drdynvc: ensure stream != NULL

2015-03-30 17:17:36 +0200 Bernhard Miklautz (6a997fa) 

	* cliprdr: ensure stream != NULL

2015-03-30 17:15:45 +0200 Bernhard Miklautz (74c8400) 

	* coding style fixes

2015-03-26 17:09:47 +0100 Bernhard Miklautz (f469e06) 

	* stream: Stream_Ensure*Capacity: change return type

2015-03-30 09:35:36 -0400 Marc-André Moreau (851626f) 

	* Merge pull request #2492 from bmiklautz/malloc_wrap

2015-03-30 08:23:59 -0400 Marc-André Moreau (ad6dc92) 

	* Merge pull request #2508 from nfedera/fix-2015-03-30-01

2015-03-30 08:23:40 -0400 Marc-André Moreau (644fafa) 

	* Merge pull request #2507 from nfedera/fix-2015-03-30-02

2015-03-30 13:48:51 +0200 Norbert Federa (1ba681f) 

	* crypto: support MSFT iOS clients with faulty SNI

2015-03-30 13:07:03 +0200 Norbert Federa (abeb79f) 

	* nego: fixed X.224 Connection Request PDU parsing

2015-03-30 11:56:09 +0200 Bernhard Miklautz (90968e0) 

	* rename and update tls_disconnect

2015-03-28 03:08:36 +0300 ivan-83 (1b4c2ff) 

	* * tsmf: OSS code cleanup + urbdrc: add devd support (not tested) *
          fix FindUUID detection ubder BSD * wlog: fix prev commit:
          build error on Windows * cmdline: add /usb syntax help

2015-03-26 16:42:54 +0100 Bernhard Miklautz (aa2181d) 

	* Merge pull request #2483 from
          akallabeth/feat/freerdp_set_last_error_name

2015-03-26 15:58:05 +0100 Hardening (29e2b1f) 

	* Merge pull request #2498 from TaGUNil/tsmf_fix_memory_leak

2015-03-26 13:38:09 +0300 tagunil (45ea141) 

	* tsmf: free frame data after processing

2015-03-26 12:04:08 +0800 Vic Lee (1b6ef84) 

	* Merge pull request #2493 from llyzs/llyzs

2015-03-25 18:03:11 +0100 Bernhard Miklautz (73f0153) 

	* Merge pull request #2494 from akallabeth/openh264_link_fix

2015-03-25 17:37:46 +0100 Bernhard Miklautz (1d7b369) 

	* Integrate feedback from pull request (#2492)

2015-03-25 12:11:22 +0100 Bernhard Miklautz (f2b4709) 

	* opensl: remove unnecessary memset

2015-03-23 17:35:11 +0100 Bernhard Miklautz (7f3326d) 

	* Fix compiler warnings

2015-03-23 17:25:23 +0100 Bernhard Miklautz (3c76625) 

	* hardening

2015-03-10 12:54:52 +0100 Bernhard Miklautz (90579ae) 

	* gdi/gfx: remove unused variables

2015-03-10 12:54:30 +0100 Bernhard Miklautz (f75ced2) 

	* gdi: remove unnecessary includes

2015-03-10 12:53:31 +0100 Bernhard Miklautz (b9cc206) 

	* gdi: remove dead code

2015-03-10 12:22:29 +0100 Bernhard Miklautz (f717075) 

	* asn1: use enum instead of returning a fixed value

2015-03-10 12:22:04 +0100 Bernhard Miklautz (91ba10e) 

	* rdtk: remove redundant casts

2015-03-25 10:41:40 +0100 Armin Novak (de4d571) 

	* Added openh264_dll to library name hints.

2015-03-25 16:06:32 +0800 Vic Lee (5f375d0) 

	* tls: revert checking SSL_ERROR_SYSCALL which may cause deadlock.

2015-03-23 16:06:12 +0100 Martin Fleisz (5fa777b) 

	* Merge pull request #2482 from llyzs/llyzs

2015-03-23 14:24:48 +0100 Bernhard Miklautz (ea648c5) 

	* Merge pull request #2489 from akallabeth/security_fixes

2015-03-23 14:14:38 +0100 Armin Novak (47f38b3) 

	* Fixed uninitialized test argument buffer.

2015-03-23 14:10:49 +0100 Armin Novak (54cb89f) 

	* Fixed pipe cleanup.

2015-03-23 08:33:14 +0100 Martin Fleisz (8d783bd) 

	* Fix server side NLA

2015-03-20 22:12:48 +0100 Hardening (20433e6) 

	* Merge pull request #2443 from realjiangms/fix_region

2015-03-21 01:07:54 +0800 zihao.jiang (a6311d2) 

	* Add ascii art for norbert_test_case

2015-03-21 00:04:30 +0800 zihao.jiang (2a91988) 

	* resolve comments from hardening

2015-03-20 23:40:48 +0800 zihao.jiang (ce06229) 

	* fix tab/space style

2015-03-20 20:55:06 +0800 zihao.jiang (f949352) 

	* Fixes extents of region16_intersect_rect. See Issue #2443. When
          there's more than 2 rectangles in the region structure,
          region16_intersect_rect would calculate extents by all
          'intersected' sub rectangles. But it always extend the
          extents to (0,0) because it initialize the new extents as
          (0,0,0,0) and union later rectangles with this empty point
          by simple MIN/MAX calculation.

2015-03-19 12:48:04 +0800 Vic Lee (2137ccc) 

	* tls: retry for all SSL_ERROR_SYSCALL errors.

2015-03-19 12:21:56 -0400 Marc-André Moreau (3a2a915) 

	* Merge pull request #2484 from dvincent-devolutions/gateway

2015-03-19 12:13:37 -0400 Marc-André Moreau (cb8e61c) 

	* libfreerdp-core: fix rdg.c header include

2015-03-19 12:08:30 -0400 Marc-André Moreau (69f4d78) 

	* libfreerdp-core: fix rdg.h header include

2015-03-19 11:44:47 -0400 Marc-André Moreau (6202f48) 

	* libfreerdp-core: add configurable TSG/RGB fallback, fix edge cases

2015-03-19 09:41:50 -0400 Marc-André Moreau (a2ff1e8) 

	* Merge branch 'gateway' of
          https://github.com/dvincent-devolutions/FreeRDP into
          gateway

2015-03-19 09:38:16 -0400 Marc-André Moreau (ca95ec1) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP into gateway

2015-03-19 09:35:57 -0400 Marc-André Moreau (9d77c92) 

	* Merge pull request #2475 from hardening/winpr_moreops

2015-03-19 09:35:31 -0400 Marc-André Moreau (4faf801) 

	* Merge pull request #2478 from akallabeth/win_sw_gdi_fix

2015-03-19 09:17:56 -0400 Denis Vincent (08a3d40) 

	* libfreerdp-core: minor code corrections

2015-03-19 14:17:48 +0100 Armin Novak (3a429e5) 

	* Removed unused define.

2015-03-19 11:11:43 +0100 Armin Novak (48d8058) 

	* fixed log message arguments.

2015-03-19 11:05:16 +0100 Armin Novak (56dc61c) 

	* Added error name and string functions.

2015-03-19 02:41:29 +0300 ivan-83 (462a3a9) 

	* * debug and error messages now print function name and line number
          * add debug messages to trace fake network dissconects

2015-03-17 06:24:48 +0300 ivan-83 (70d291e) 

	* * tsmf: OSS now work, but only with ffmpeg, and sound is bad (like
          with alsa), ffmpeg code possible have bug with wrong
          resample

2015-03-17 05:10:58 +0300 ivan-83 (bfd81e9) 

	* + tsmf: OSS initial suppot (not work yet) * tsmf: fix video
          playback on FreeBSD (proper shared object name) * tsmf:
          renamed args: audio->sys, audio-dev->dev * audin: OSS fix,
          now it work * cmdline: add syntax help for /audin,
          /rdpsnd, /tsmf * add debug messages

2015-03-18 16:13:32 -0400 Denis Vincent (205ccb7) 

	* libfreerdp-core: added fallback to RPC.

2015-03-18 09:48:21 -0400 Marc-André Moreau (1380895) 

	* libfreerdp-core: fix RDG http receive

2015-03-17 16:54:45 -0400 Marc-André Moreau (3c4bee3) 

	* libfreerdp-core: fix RDG valgrind issues

2015-03-17 16:09:17 -0400 Marc-André Moreau (dc913d9) 

	* libfreerdp-core: fix some RDG valgrind issues

2015-03-17 15:13:11 -0400 Marc-André Moreau (360e2c5) 

	* libfreerdp-core: fix rdg event handles

2015-03-17 14:54:04 -0400 Marc-André Moreau (bdf1745) 

	* Merge branch 'gateway' of
          https://github.com/dvincent-devolutions/FreeRDP into
          gateway

2015-03-17 14:54:16 -0400 Denis Vincent (144d0d9) 

	* libfreerdp-core: Initial RDG support.

2015-03-17 13:02:41 +0100 Armin Novak (f3d6a79) 

	* Fixed resize for software GDI.

2015-03-16 21:29:19 +0100 David FORT (552df08) 

	* Implement ReadFile() and WriteFile() as handle operation

2015-03-16 14:01:43 -0400 Marc-André Moreau (0e94ac6) 

	* libfreerdp-codec: add support for 16 color palette image copy

2015-03-16 13:27:27 -0400 Marc-André Moreau (9562439) 

	* libfreerdp-codec: add support for 1bpp image copy

2015-03-16 09:37:00 -0400 Marc-André Moreau (1f0c1da) 

	* Merge pull request #2474 from awakecoding/master

2015-03-16 09:26:38 -0400 Marc-André Moreau (2094501) 

	* freerdp: fix failing tests

2015-03-16 08:55:06 -0400 Marc-André Moreau (ad02c75) 

	* libfreerdp-gdi: disable broken BitBlt tests

2015-03-16 08:02:23 -0400 Marc-André Moreau (d7bdb50) 

	* Merge pull request #2473 from akallabeth/force_cmdline_flags

2015-03-16 08:01:54 -0400 Marc-André Moreau (c21bff5) 

	* Merge branch 'master' of github.com:FreeRDP/FreeRDP

2015-03-16 07:51:46 -0400 Marc-André Moreau (78d955d) 

	* Merge pull request #2469 from dupondje/master

2015-03-16 07:48:06 -0400 Marc-André Moreau (6e48989) 

	* Merge pull request #2472 from hardening/winpr_ops_rebased

2015-03-16 11:19:45 +0100 David FORT (bfb8593) 

	* Fixed the test for named pipe creation

2015-03-16 10:40:38 +0100 David FORT (a9020a3) 

	* Changes for upstream changes on pipe

2015-03-16 00:29:37 +0100 David FORT (52bd446) 

	* Make handle operations static

